var index = [
{'name': 'ceylon.language', 'type': 'package', 'url': 'index.html#section-package', 'doc': '<p>The root package of the Ceylon language module, functioning\nas the core of the [Ceylon platform][sdk], and covering the…</p>\n', 'tags': [],'icons': ['icon-package']},
{'name': 'Entry.pair', 'type': 'attribute', 'url': 'Entry.type.html#pair', 'doc': '<p>A pair (2 element tuple) with the key and item of this\nentry.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Entry.coalesced', 'type': 'attribute', 'url': 'Entry.type.html#coalesced', 'doc': '<p>An <code>Entry</code> with the key and item of this entry if this\nentry\'s item is non-null, or <code>null</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Entry.equals', 'type': 'function', 'url': 'Entry.type.html#equals', 'doc': '<p>Determines if this entry is equal to the given entry.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Entry.hash', 'type': 'attribute', 'url': 'Entry.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Entry.string', 'type': 'attribute', 'url': 'Entry.type.html#string', 'doc': '<p>A description of the entry in the form <code>key-&gt;item</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Entry', 'type': 'class', 'url': 'Entry.type.html', 'doc': '<p>A pair containing a <em>key</em> and an associated value called\nthe <em>item</em>.</p>\n', 'tags': ['Collections'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'sort', 'type': 'function', 'url': 'index.html#sort', 'doc': '<p>Sort the given elements according to their\n<a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>natural order</a>, returning a new\n<a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a>.</p>\n', 'tags': ['Streams', 'Comparisons'],'icons': ['icon-shared-member']},
{'name': 'forItem', 'type': 'function', 'url': 'index.html#forItem', 'doc': '<p>A function that returns the result of applying the given\n<a class=\'link-custom-text\' href=\'index.html#forItem-resulting\' title=\'Go to ceylon.language::forItem.resulting\'>function</a> to the <a class=\'link-custom-text\' href=\'Entry.type.html#item\' title=\'Go to ceylon.language::Entry.item\'>item</a>\nof a given…</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'max', 'type': 'function', 'url': 'index.html#max', 'doc': '<p>Given a stream of <code><a class=\'link\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'><span class=\'type-identifier\'>Comparable</span></a></code> values, return the largest\nvalue in the stream, or <code>null</code> if the stream is empty.</p>\n', 'tags': ['Comparisons', 'Streams'],'icons': ['icon-shared-member']},
{'name': 'min', 'type': 'function', 'url': 'index.html#min', 'doc': '<p>Given a stream of <code><a class=\'link\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'><span class=\'type-identifier\'>Comparable</span></a></code> values, return the\nsmallest value in the stream, or <code>null</code> if the stream is\nempty.</p>\n', 'tags': ['Comparisons', 'Streams'],'icons': ['icon-shared-member']},
{'name': 'any', 'type': 'function', 'url': 'index.html#any', 'doc': '<p>Determines if any one of the given boolean values\n(usually a comprehension) is <code>true</code>.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'largest', 'type': 'function', 'url': 'index.html#largest', 'doc': '<p>Given two <code><a class=\'link\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'><span class=\'type-identifier\'>Comparable</span></a></code> values, return largest of the two.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'printStackTrace', 'type': 'function', 'url': 'index.html#printStackTrace', 'doc': '<p>Print the stack trace of the given <code><a class=\'link\' href=\'Exception.type.html\' title=\'Go to ceylon.language::Exception\'><span class=\'type-identifier\'>Exception</span></a></code> using the\ngiven <a class=\'link-custom-text\' href=\'index.html#printStackTrace-write\' title=\'Go to ceylon.language::printStackTrace.write\'>function</a>, or to\n[[standard error|…</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'times', 'type': 'function', 'url': 'index.html#times', 'doc': '<p>Multiply the given <code><a class=\'link\' href=\'Numeric.type.html\' title=\'Go to ceylon.language::Numeric\'><span class=\'type-identifier\'>Numeric</span></a></code> values</p>\n', 'tags': ['Numbers'],'icons': ['icon-shared-member']},
{'name': 'Obtainable.obtain', 'type': 'function', 'url': 'Obtainable.type.html#obtain', 'doc': '<p>Obtain this resource.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Obtainable.release', 'type': 'function', 'url': 'Obtainable.type.html#release', 'doc': '<p>Release this resource.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Obtainable', 'type': 'interface', 'url': 'Obtainable.type.html', 'doc': '<p>Abstract supertype of resources which may be obtained at\nthe beginning of a <code>try</code> statement and then released when\nthe…</p>\n', 'tags': ['Basic types'],'icons': ['icon-interface']},
{'name': 'Summable.plus', 'type': 'function', 'url': 'Summable.type.html#plus', 'doc': '<p>The result of adding the given value to this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Summable', 'type': 'interface', 'url': 'Summable.type.html', 'doc': '<p>Abstraction of types which support a binary addition\noperator <code>x + y</code>.</p>\n', 'tags': ['Numbers', 'Strings'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'byItem', 'type': 'function', 'url': 'index.html#byItem', 'doc': '<p>A comparator for <code><a class=\'link\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'><span class=\'type-identifier\'>Entry</span></a></code>s which compares their items\naccording to the given <a class=\'link\' href=\'index.html#byItem-comparing\' title=\'Go to ceylon.language::byItem.comparing\'><code><span class=\'identifier\'>comparing()</span></code></a> function.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'process.arguments', 'type': 'value', 'url': 'process.object.html#arguments', 'doc': '<p>The command line arguments to the virtual machine.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.namedArgumentPresent', 'type': 'function', 'url': 'process.object.html#namedArgumentPresent', 'doc': '<p>Determine if an argument of form <code>-name</code> or <code>--name</code>\nwas specified among the command line arguments to\nthe virtual…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.namedArgumentValue', 'type': 'function', 'url': 'process.object.html#namedArgumentValue', 'doc': '<p>The value of the first argument of form <code>-name=value</code>,\n<code>--name=value</code>, or <code>-name value</code> specified among the\ncommand…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.propertyValue', 'type': 'function', 'url': 'process.object.html#propertyValue', 'doc': '<p>The value of the given system property of the virtual\nmachine, if any.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.environmentVariableValue', 'type': 'function', 'url': 'process.object.html#environmentVariableValue', 'doc': '<p>The value of the given environment variable defined\nfor the current virtual machine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.write', 'type': 'function', 'url': 'process.object.html#write', 'doc': '<p>Print a string to the standard output of the virtual\nmachine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.writeLine', 'type': 'function', 'url': 'process.object.html#writeLine', 'doc': '<p>Print a line to the standard output of the virtual\nmachine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.flush', 'type': 'function', 'url': 'process.object.html#flush', 'doc': '<p>Flush the standard output of the virtual machine\nprocess.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.writeError', 'type': 'function', 'url': 'process.object.html#writeError', 'doc': '<p>Print a string to the standard error of the virtual\nmachine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.writeErrorLine', 'type': 'function', 'url': 'process.object.html#writeErrorLine', 'doc': '<p>Print a line to the standard error of the virtual\nmachine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.flushError', 'type': 'function', 'url': 'process.object.html#flushError', 'doc': '<p>Flush the standard error of the\nvirtual machine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.readLine', 'type': 'function', 'url': 'process.object.html#readLine', 'doc': '<p>Read a line of input text from the standard input of\nthe virtual machine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.exit', 'type': 'function', 'url': 'process.object.html#exit', 'doc': '<p>Force the virtual machine to terminate with the given\nexit code.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'process.string', 'type': 'attribute', 'url': 'process.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'process', 'type': 'object', 'url': 'process.object.html', 'doc': '<p>Represents the current process (instance of the virtual\nmachine).</p>\n', 'tags': ['Environment'],'icons': ['icon-object']},
{'name': 'process', 'type': 'value', 'url': 'index.html#process', 'doc': '<p>Represents the current process (instance of the virtual\nmachine).</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'byDecreasing', 'type': 'function', 'url': 'index.html#byDecreasing', 'doc': '<p>Produces a comparator function which orders elements in\ndecreasing order according to the <code><a class=\'link\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'><span class=\'type-identifier\'>Comparable</span></a></code> value…</p>\n', 'tags': ['Functions', 'Comparisons'],'icons': ['icon-shared-member']},
{'name': 'decreasing', 'type': 'function', 'url': 'index.html#decreasing', 'doc': '<p>A comparator function which orders elements in decreasing\n<a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>natural order</a>.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'decreasingKey', 'type': 'function', 'url': 'index.html#decreasingKey', 'doc': '<p>A comparator function which orders <a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entries</a> by\ndecreasing <a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>natural order</a> of their\n[[keys|…</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'decreasingItem', 'type': 'function', 'url': 'index.html#decreasingItem', 'doc': '<p>A comparator function which orders <a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entries</a> by\ndecreasing <a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>natural order</a> of their\n[[items|…</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'sum', 'type': 'function', 'url': 'index.html#sum', 'doc': '<p>Given a nonempty stream of <code><a class=\'link\' href=\'Summable.type.html\' title=\'Go to ceylon.language::Summable\'><span class=\'type-identifier\'>Summable</span></a></code> values, return the\nsum of the values.</p>\n', 'tags': ['Streams', 'Numbers'],'icons': ['icon-shared-member']},
{'name': 'zipEntries', 'type': 'function', 'url': 'index.html#zipEntries', 'doc': '<p>Given two streams, form a new stream consisting of all\n<a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entries</a> where, for any given index in the\nresulting…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'zipPairs', 'type': 'function', 'url': 'index.html#zipPairs', 'doc': '<p>Given two streams, form a new stream consisting of all\npairs where, for any given index in the resulting stream,\nthe…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'zip', 'type': 'function', 'url': 'index.html#zip', 'doc': '<p>Given a stream of values, and a stream of <a class=\'link-custom-text\' href=\'Tuple.type.html\' title=\'Go to ceylon.language::Tuple\'>tuples</a>,\nproduce a new stream of tuples formed by prepending the…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'ConstrainedAnnotation', 'type': 'interface', 'url': 'ConstrainedAnnotation.type.html', 'doc': '<p>An annotation constrained to appear only on certain program\nelements, and only with certain values.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Annotation', 'type': 'interface', 'url': 'Annotation.type.html', 'doc': '<p>The supertype of all <em>annotation classes</em>.</p>\n<h3>Annotation classes</h3>\n<p>An <em>annotation class</em> must satisfy <code>Annotation</code>,\n[…</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'language.version', 'type': 'attribute', 'url': 'language.object.html#version', 'doc': '<p>The Ceylon language version.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'language.majorVersion', 'type': 'attribute', 'url': 'language.object.html#majorVersion', 'doc': '<p>The Ceylon language major version.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'language.minorVersion', 'type': 'attribute', 'url': 'language.object.html#minorVersion', 'doc': '<p>The Ceylon language minor version.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'language.releaseVersion', 'type': 'attribute', 'url': 'language.object.html#releaseVersion', 'doc': '<p>The Ceylon language release version.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'language.versionName', 'type': 'attribute', 'url': 'language.object.html#versionName', 'doc': '<p>The Ceylon language release name.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'language.majorVersionBinary', 'type': 'value', 'url': 'language.object.html#majorVersionBinary', 'doc': '<p>The major version of the code generated for the\nunderlying runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'language.minorVersionBinary', 'type': 'value', 'url': 'language.object.html#minorVersionBinary', 'doc': '<p>The minor version of the code generated for the\nunderlying runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'language.string', 'type': 'attribute', 'url': 'language.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'language', 'type': 'object', 'url': 'language.object.html', 'doc': '<p>Contains information about the Ceylon language version.</p>\n', 'tags': ['Environment'],'icons': ['icon-object']},
{'name': 'language', 'type': 'value', 'url': 'index.html#language', 'doc': '<p>Contains information about the Ceylon language version.</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'Annotated.annotated', 'type': 'function', 'url': 'Annotated.type.html#annotated', 'doc': '<p>true if this element has at least one annotation of the given annotation type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Annotated', 'type': 'interface', 'url': 'Annotated.type.html', 'doc': '<p>A program element that can\nbe annotated.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Category.contains', 'type': 'function', 'url': 'Category.type.html#contains', 'doc': '<p>Returns <code>true</code> if the given value belongs to this\n<code>Category</code>, that is, if it is an element of this\n<code>Category</code>, or `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Category.containsEvery', 'type': 'function', 'url': 'Category.type.html#containsEvery', 'doc': '<p>Returns <code>true</code> if every one of the given values belongs\nto this <code>Category</code>, or <code>false</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Category.containsAny', 'type': 'function', 'url': 'Category.type.html#containsAny', 'doc': '<p>Returns <code>true</code> if any one of the given values belongs\nto this <code>Category</code>, or <code>false</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Category', 'type': 'interface', 'url': 'Category.type.html', 'doc': '<p>Abstract supertype of objects that contain other values,\ncalled <em>elements</em>, where it is possible to efficiently…</p>\n', 'tags': ['Collections'],'icons': ['icon-interface']},
{'name': 'Integral.remainder', 'type': 'function', 'url': 'Integral.type.html#remainder', 'doc': '<p>The remainder, after dividing this number by the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Integral.modulo', 'type': 'function', 'url': 'Integral.type.html#modulo', 'doc': '<p>The modulo, after dividing this number by the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Integral.zero', 'type': 'value', 'url': 'Integral.type.html#zero', 'doc': '<p>Determine if the number is the additive identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Integral.unit', 'type': 'value', 'url': 'Integral.type.html#unit', 'doc': '<p>Determine if the number is the multiplicative identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Integral.divides', 'type': 'function', 'url': 'Integral.type.html#divides', 'doc': '<p>Determine if this number is a factor of the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Integral', 'type': 'interface', 'url': 'Integral.type.html', 'doc': '<p>Abstraction of integral numeric types.</p>\n', 'tags': ['Numbers'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'concatenate', 'type': 'function', 'url': 'index.html#concatenate', 'doc': '<p>Given zero or more argument <a class=\'link-custom-text\' href=\'index.html#concatenate-iterables\' title=\'Go to ceylon.language::concatenate.iterables\'>streams</a>, return a\nnew sequence containing all elements of every given stream…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'print', 'type': 'function', 'url': 'index.html#print', 'doc': '<p>Print a line to the standard output of the virtual machine\nprocess, printing the given value\'s <code>string</code>, or <code>&lt;null&gt;</code>…</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'printAll', 'type': 'function', 'url': 'index.html#printAll', 'doc': '<p>Print multiple values to the standard output of the virtual\nmachine process as a single line of text, separated by a…</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'arrayOfSize', 'type': 'function', 'url': 'index.html#arrayOfSize', 'doc': '<p>Create an array of the specified <a class=\'link\' href=\'index.html#arrayOfSize-size\' title=\'Go to ceylon.language::arrayOfSize.size\'><code><span class=\'identifier\'>size</span></code></a>, populating every\nindex with the given <a class=\'link\' href=\'index.html#arrayOfSize-element\' title=\'Go to ceylon.language::arrayOfSize.element\'><code><span class=\'identifier\'>element</span></code></a>.</p>\n', 'tags': ['Collections'],'icons': ['icon-decoration-deprecated', 'icon-shared-member']},
{'name': 'Ordinal.successor', 'type': 'value', 'url': 'Ordinal.type.html#successor', 'doc': '<p>The successor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Ordinal.predecessor', 'type': 'value', 'url': 'Ordinal.type.html#predecessor', 'doc': '<p>The predecessor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Ordinal', 'type': 'interface', 'url': 'Ordinal.type.html', 'doc': '<p>Abstraction of <em>ordinal types</em>, that is, of types where\neach instance has a <a class=\'link\' href=\'Ordinal.type.html#successor\' title=\'Go to ceylon.language::Ordinal.successor\'><code><span class=\'type-identifier\'>Ordinal</span>.<span class=\'identifier\'>successor</span></code></a> and <a class=\'link\' href=\'Ordinal.type.html#predecessor\' title=\'Go to ceylon.language::Ordinal.predecessor\'><code><span class=\'type-identifier\'>Ordinal</span>.<span class=\'identifier\'>predecessor</span></code></a>, such…</p>\n', 'tags': ['Numbers'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Comparison.reversed', 'type': 'value', 'url': 'Comparison.type.html#reversed', 'doc': '<p>The reversed value of this comparison.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Comparison', 'type': 'class', 'url': 'Comparison.type.html', 'doc': '<p>The result of a comparison between two <code><a class=\'link\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'><span class=\'type-identifier\'>Comparable</span></a></code>\nobjects: <a class=\'link\' href=\'index.html#larger\' title=\'Go to ceylon.language::larger\'><code><span class=\'identifier\'>larger</span></code></a>, <a class=\'link\' href=\'index.html#smaller\' title=\'Go to ceylon.language::smaller\'><code><span class=\'identifier\'>smaller</span></code></a>, or <a class=\'link\' href=\'index.html#equal\' title=\'Go to ceylon.language::equal\'><code><span class=\'identifier\'>equal</span></code></a>.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-class', 'icon-decoration-abstract', 'icon-decoration-enumerated']},
{'name': 'equal.reversed', 'type': 'attribute', 'url': 'equal.object.html#reversed', 'doc': '<p>The reversed value of this comparison.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'equal', 'type': 'object', 'url': 'equal.object.html', 'doc': '<p>The value is exactly equal to the given value.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-object']},
{'name': 'equal', 'type': 'value', 'url': 'index.html#equal', 'doc': '<p>The value is exactly equal to the given value.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'smaller.reversed', 'type': 'attribute', 'url': 'smaller.object.html#reversed', 'doc': '<p>The reversed value of this comparison.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'smaller', 'type': 'object', 'url': 'smaller.object.html', 'doc': '<p>The value is smaller than the given value.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-object']},
{'name': 'smaller', 'type': 'value', 'url': 'index.html#smaller', 'doc': '<p>The value is smaller than the given value.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'larger.reversed', 'type': 'attribute', 'url': 'larger.object.html#reversed', 'doc': '<p>The reversed value of this comparison.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'larger', 'type': 'object', 'url': 'larger.object.html', 'doc': '<p>The value is larger than the given value.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-object']},
{'name': 'larger', 'type': 'value', 'url': 'index.html#larger', 'doc': '<p>The value is larger than the given value.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'Singleton.first', 'type': 'attribute', 'url': 'Singleton.type.html#first', 'doc': '<p>Returns the element contained in this <code>Singleton</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.last', 'type': 'attribute', 'url': 'Singleton.type.html#last', 'doc': '<p>Returns the element contained in this <code>Singleton</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.lastIndex', 'type': 'attribute', 'url': 'Singleton.type.html#lastIndex', 'doc': '<p>Returns <code>0</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.size', 'type': 'attribute', 'url': 'Singleton.type.html#size', 'doc': '<p>Returns <code>1</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.rest', 'type': 'attribute', 'url': 'Singleton.type.html#rest', 'doc': '<p>Returns <code>Empty</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.getFromFirst', 'type': 'function', 'url': 'Singleton.type.html#getFromFirst', 'doc': '<p>Returns the contained element, if the specified\nindex is <code>0</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.reversed', 'type': 'attribute', 'url': 'Singleton.type.html#reversed', 'doc': '<p>Return this singleton.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.clone', 'type': 'function', 'url': 'Singleton.type.html#clone', 'doc': '<p>Returns a <code>Singleton</code> with the same element.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.contains', 'type': 'function', 'url': 'Singleton.type.html#contains', 'doc': '<p>Returns <code>true</code> if the specified element is this\n<code>Singleton</code>\'s element.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.iterator', 'type': 'function', 'url': 'Singleton.type.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.equals', 'type': 'function', 'url': 'Singleton.type.html#equals', 'doc': '<p>A <code>Singleton</code> can be equal to another <code>List</code> if\nthat <code>List</code> has only one element which is equal to\nthis <code>Singleton</code>\'s…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.hash', 'type': 'attribute', 'url': 'Singleton.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.measure', 'type': 'function', 'url': 'Singleton.type.html#measure', 'doc': '<p>Returns a <code>Singleton</code> if the given starting index\nis <code>0</code> and the given <code>length</code> is greater than <code>0</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.span', 'type': 'function', 'url': 'Singleton.type.html#span', 'doc': '<p>Returns a <code>Singleton</code> if the given starting index\nis <code>0</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.spanTo', 'type': 'function', 'url': 'Singleton.type.html#spanTo', 'doc': '<p>Obtain a span containing the elements between the first\nindex of this ranged stream and given <a class=\'link-custom-text\' href=\'Ranged.type.html#spanTo-to\' title=\'Go to ceylon.language::Ranged.spanTo.to\'>end index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.spanFrom', 'type': 'function', 'url': 'Singleton.type.html#spanFrom', 'doc': '<p>Obtain a span containing the elements between the given\n<a class=\'link-custom-text\' href=\'Ranged.type.html#spanFrom-from\' title=\'Go to ceylon.language::Ranged.spanFrom.from\'>starting index</a> and the last index of this\nranged…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Singleton.count', 'type': 'function', 'url': 'Singleton.type.html#count', 'doc': '<p>Returns <code>1</code> if this <code>Singleton</code>\'s element\nsatisfies the predicate, or <code>0</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.map', 'type': 'function', 'url': 'Singleton.type.html#map', 'doc': '<p>Produces a stream containing the results of applying\nthe given <a class=\'link-custom-text\' href=\'Iterable.type.html#map-collecting\' title=\'Go to ceylon.language::Iterable.map.collecting\'>mapping</a> to the elements of\nthis stream.…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.filter', 'type': 'function', 'url': 'Singleton.type.html#filter', 'doc': '<p>Produces a stream containing the elements of this\nstream that satisfy the given <a class=\'link-custom-text\' href=\'Iterable.type.html#filter-selecting\' title=\'Go to ceylon.language::Iterable.filter.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.fold', 'type': 'function', 'url': 'Singleton.type.html#fold', 'doc': '<p>Beginning with a given <a class=\'link-custom-text\' href=\'Iterable.type.html#fold-initial\' title=\'Go to ceylon.language::Iterable.fold.initial\'>initial value</a>, apply\nthe given <a class=\'link-custom-text\' href=\'Iterable.type.html#fold-accumulating\' title=\'Go to ceylon.language::Iterable.fold.accumulating\'>combining function</a> to each\nelement…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.reduce', 'type': 'function', 'url': 'Singleton.type.html#reduce', 'doc': '<p>Beginning with the <a class=\'link\' href=\'Iterable.type.html#first\' title=\'Go to ceylon.language::Iterable.first\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>first</span></code></a> element of this stream,\napply the given <a class=\'link-custom-text\' href=\'Iterable.type.html#reduce-accumulating\' title=\'Go to ceylon.language::Iterable.reduce.accumulating\'>combining function</a> to\neach…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.collect', 'type': 'function', 'url': 'Singleton.type.html#collect', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nresults of applying the given <a class=\'link-custom-text\' href=\'Iterable.type.html#collect-collecting\' title=\'Go to ceylon.language::Iterable.collect.collecting\'>mapping</a> to\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.select', 'type': 'function', 'url': 'Singleton.type.html#select', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing all\nelements of this stream that satisfy the given\n[[predicate…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.find', 'type': 'function', 'url': 'Singleton.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.findLast', 'type': 'function', 'url': 'Singleton.type.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.sort', 'type': 'function', 'url': 'Singleton.type.html#sort', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nelements of this stream, sorted according to the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.any', 'type': 'function', 'url': 'Singleton.type.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.every', 'type': 'function', 'url': 'Singleton.type.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.skip', 'type': 'function', 'url': 'Singleton.type.html#skip', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the first <a class=\'link\' href=\'Iterable.type.html#skip-skipping\' title=\'Go to ceylon.language::Iterable.skip.skipping\'><code><span class=\'identifier\'>skipping</span></code></a> elements\nproduced by…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.take', 'type': 'function', 'url': 'Singleton.type.html#take', 'doc': '<p>Produces a stream containing the first <a class=\'link\' href=\'Iterable.type.html#take-taking\' title=\'Go to ceylon.language::Iterable.take.taking\'><code><span class=\'identifier\'>taking</span></code></a>\nelements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.coalesced', 'type': 'attribute', 'url': 'Singleton.type.html#coalesced', 'doc': '<p>The non-null elements of this stream, in the order in\nwhich they occur in this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.chain', 'type': 'function', 'url': 'Singleton.type.html#chain', 'doc': '<p>The elements of this stream, in the order in which they\noccur in this stream, followed by the elements of the\n[[given…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.string', 'type': 'attribute', 'url': 'Singleton.type.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton.each', 'type': 'function', 'url': 'Singleton.type.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Singleton', 'type': 'class', 'url': 'Singleton.type.html', 'doc': '<p>A <code><a class=\'link\' href=\'Sequence.type.html\' title=\'Go to ceylon.language::Sequence\'><span class=\'type-identifier\'>Sequence</span></a></code> with exactly one <a class=\'link\' href=\'Singleton.type.html#element\' title=\'Go to ceylon.language::Singleton.element\'><code><span class=\'type-identifier\'>Singleton</span>.<span class=\'identifier\'>element</span></code></a>, which may be\nnull.</p>\n', 'tags': ['Sequences'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'Object.equals', 'type': 'function', 'url': 'Object.type.html#equals', 'doc': '<p>Determine if two values are equal.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Object.hash', 'type': 'value', 'url': 'Object.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Object.string', 'type': 'attribute', 'url': 'Object.type.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Object', 'type': 'class', 'url': 'Object.type.html', 'doc': '<p>The abstract supertype of all types representing definite\nvalues.</p>\n', 'tags': ['Basic types'],'icons': ['icon-class', 'icon-decoration-abstract']},
{'name': 'identityHash', 'type': 'function', 'url': 'index.html#identityHash', 'doc': '<p>Return the system-defined identity hash value of the given\n<a class=\'link-custom-text\' href=\'index.html#identityHash-identifiable\' title=\'Go to ceylon.language::identityHash.identifiable\'>value</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'shuffle', 'type': 'function', 'url': 'index.html#shuffle', 'doc': '<p>Given a function with two parameter lists, return a\nfunction with the order of the argument lists reversed.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'every', 'type': 'function', 'url': 'index.html#every', 'doc': '<p>Determines if every one of the given boolean values\n(usually a comprehension) is <code>true</code>.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'comparing', 'type': 'function', 'url': 'index.html#comparing', 'doc': '<p>A single comparator function which delegates to each of the\ngiven <a class=\'link-custom-text\' href=\'index.html#comparing-comparators\' title=\'Go to ceylon.language::comparing.comparators\'>comparator functions</a> in turn,…</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'Enumerable.neighbour', 'type': 'function', 'url': 'Enumerable.type.html#neighbour', 'doc': '<p>The indirect successor or predecessor at the given\n<a class=\'link\' href=\'Enumerable.type.html#neighbour-offset\' title=\'Go to ceylon.language::Enumerable.neighbour.offset\'><code><span class=\'identifier\'>offset</span></code></a>, where:</p>\n<ul>\n<li><code>x.neighbour(0) == x</code>,</li>\n<li>`x.neighbour(i+1) ==…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Enumerable.successor', 'type': 'attribute', 'url': 'Enumerable.type.html#successor', 'doc': '<p>The successor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Enumerable.predecessor', 'type': 'attribute', 'url': 'Enumerable.type.html#predecessor', 'doc': '<p>The predecessor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Enumerable.offset', 'type': 'function', 'url': 'Enumerable.type.html#offset', 'doc': '<p>Compute the offset from the given value, where:</p>\n<ul>\n<li><code>x.offset(x) == 0</code>, and</li>\n<li><code>x.successor.offset(x) == 1</code> if `x!</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Enumerable.offsetSign', 'type': 'function', 'url': 'Enumerable.type.html#offsetSign', 'doc': '<p>The sign of the offset from the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Enumerable', 'type': 'interface', 'url': 'Enumerable.type.html', 'doc': '<p>Abstraction of <a class=\'link-custom-text\' href=\'Ordinal.type.html\' title=\'Go to ceylon.language::Ordinal\'>ordinal types</a> whose values may\nbe used as endpoints of a <a class=\'link\' href=\'index.html#span\' title=\'Go to ceylon.language::span\'><code><span class=\'identifier\'>span()</span></code></a> or <a class=\'link\' href=\'index.html#measure\' title=\'Go to ceylon.language::measure\'><code><span class=\'identifier\'>measure()</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'compose', 'type': 'function', 'url': 'index.html#compose', 'doc': '<p>Given a function with return type <code>Y</code>, and a second\nfunction with a single parameter also of type <code>Y</code>, return\nthe…</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'Identifiable.equals', 'type': 'function', 'url': 'Identifiable.type.html#equals', 'doc': '<p>Identity equality comparing the identity of the two\nvalues.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Identifiable.hash', 'type': 'attribute', 'url': 'Identifiable.type.html#hash', 'doc': '<p>The system-defined identity hash value of the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Identifiable', 'type': 'interface', 'url': 'Identifiable.type.html', 'doc': '<p>The abstract supertype of all types with a well-defined\nnotion of identity.</p>\n', 'tags': ['Basic types'],'icons': ['icon-interface']},
{'name': 'OverflowException', 'type': 'class', 'url': 'OverflowException.type.html', 'doc': '<p>Thrown when a mathematical operation caused a number to\noverflow from its bounds, or when a numeric narrowing…</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'product', 'type': 'function', 'url': 'index.html#product', 'doc': '<p>Given a nonempty stream of <code><a class=\'link\' href=\'Numeric.type.html\' title=\'Go to ceylon.language::Numeric\'><span class=\'type-identifier\'>Numeric</span></a></code> values, return the\nproduct of the values.</p>\n', 'tags': ['Streams', 'Numbers'],'icons': ['icon-shared-member']},
{'name': 'Collection.clone', 'type': 'function', 'url': 'Collection.type.html#clone', 'doc': '<p>A shallow copy of this collection, that is, a\ncollection with identical elements which does not\nchange if this…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Collection.empty', 'type': 'attribute', 'url': 'Collection.type.html#empty', 'doc': '<p>Determine if the collection is empty, that is, if it\nhas no elements.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Collection.contains', 'type': 'function', 'url': 'Collection.type.html#contains', 'doc': '<p>Return <code>true</code> if the given object is an element of this\ncollection.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Collection.string', 'type': 'attribute', 'url': 'Collection.type.html#string', 'doc': '<p>A string of form <code>"{ x, y, z }"</code> where <code>x</code>, <code>y</code>, and\n<code>z</code> are the <code>string</code> representations of the elements of\nthis…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Collection.permutations', 'type': 'attribute', 'url': 'Collection.type.html#permutations', 'doc': '<p>The permutations of this collection, as a stream of\nnonempty <a class=\'link-custom-text\' href=\'Sequence.type.html\' title=\'Go to ceylon.language::Sequence\'>sequences</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Collection', 'type': 'interface', 'url': 'Collection.type.html', 'doc': '<p>An iterable collection of elements of finite <a class=\'link\' href=\'Iterable.type.html#size\' title=\'Go to ceylon.language::Iterable.size\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>size</span></code></a>, with\na well-defined notion of <a class=\'link-custom-text\' href=\'Object.type.html#equals\' title=\'Go to ceylon.language::Object.equals\'>value equality</a>.</p>\n', 'tags': ['Collections'],'icons': ['icon-interface']},
{'name': 'AnnotationAnnotation', 'type': 'class', 'url': 'AnnotationAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#annotation\' title=\'Go to ceylon.language::annotation\'><code><span class=\'identifier\'>annotation()</span></code></a> meta-annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'annotation', 'type': 'function', 'url': 'index.html#annotation', 'doc': '<p>Annotation to mark a class as an <em>annotation class</em>, or a\ntop-level function as an <em>annotation constructor</em>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'SharedAnnotation', 'type': 'class', 'url': 'SharedAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#shared\' title=\'Go to ceylon.language::shared\'><code><span class=\'identifier\'>shared()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'shared', 'type': 'function', 'url': 'index.html#shared', 'doc': '<p>Annotation to mark a declaration as shared.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'VariableAnnotation', 'type': 'class', 'url': 'VariableAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#variable\' title=\'Go to ceylon.language::variable\'><code><span class=\'identifier\'>variable()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'variable', 'type': 'function', 'url': 'index.html#variable', 'doc': '<p>Annotation to mark a value as variable.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'AbstractAnnotation', 'type': 'class', 'url': 'AbstractAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#abstract\' title=\'Go to ceylon.language::abstract\'><code><span class=\'identifier\'>abstract()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'abstract', 'type': 'function', 'url': 'index.html#abstract', 'doc': '<p>Annotation to mark a class as abstract.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'FinalAnnotation', 'type': 'class', 'url': 'FinalAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#final\' title=\'Go to ceylon.language::final\'><code><span class=\'identifier\'>final()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'final', 'type': 'function', 'url': 'index.html#final', 'doc': '<p>Annotation to mark a class as final.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'SealedAnnotation', 'type': 'class', 'url': 'SealedAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#sealed\' title=\'Go to ceylon.language::sealed\'><code><span class=\'identifier\'>sealed()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'sealed', 'type': 'function', 'url': 'index.html#sealed', 'doc': '<p>Annotation to mark an interface, class, or constructor as\nsealed.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'ActualAnnotation', 'type': 'class', 'url': 'ActualAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#actual\' title=\'Go to ceylon.language::actual\'><code><span class=\'identifier\'>actual()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'actual', 'type': 'function', 'url': 'index.html#actual', 'doc': '<p>Annotation to mark a member of a type as refining a member\nof a supertype.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'FormalAnnotation', 'type': 'class', 'url': 'FormalAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#formal\' title=\'Go to ceylon.language::formal\'><code><span class=\'identifier\'>formal()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'formal', 'type': 'function', 'url': 'index.html#formal', 'doc': '<p>Annotation to mark a member whose implementation must be\nprovided by subtypes.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'DefaultAnnotation', 'type': 'class', 'url': 'DefaultAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#default\' title=\'Go to ceylon.language::default\'><code><span class=\'identifier\'>default()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'default', 'type': 'function', 'url': 'index.html#default', 'doc': '<p>Annotation to mark a member whose implementation may be\nrefined by subtypes.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'LateAnnotation', 'type': 'class', 'url': 'LateAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#late\' title=\'Go to ceylon.language::late\'><code><span class=\'identifier\'>late()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'late', 'type': 'function', 'url': 'index.html#late', 'doc': '<p>Annotation to disable definite initialization analysis for\na reference.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'NativeAnnotation', 'type': 'class', 'url': 'NativeAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#native\' title=\'Go to ceylon.language::native\'><code><span class=\'identifier\'>native()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'native', 'type': 'function', 'url': 'index.html#native', 'doc': '<p>Annotation to mark a member whose implementation is defined\nin platform-native code.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'DocAnnotation', 'type': 'class', 'url': 'DocAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#doc\' title=\'Go to ceylon.language::doc\'><code><span class=\'identifier\'>doc()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'doc', 'type': 'function', 'url': 'index.html#doc', 'doc': '<p>Annotation to specify API documentation of a program\nelement.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'SeeAnnotation', 'type': 'class', 'url': 'SeeAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#see\' title=\'Go to ceylon.language::see\'><code><span class=\'identifier\'>see()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'see', 'type': 'function', 'url': 'index.html#see', 'doc': '<p>Annotation to specify references to other program elements\nrelated to the annotated API.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'AuthorsAnnotation', 'type': 'class', 'url': 'AuthorsAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#by\' title=\'Go to ceylon.language::by\'><code><span class=\'identifier\'>by()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'by', 'type': 'function', 'url': 'index.html#by', 'doc': '<p>Annotation to document the authors of an API.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'ThrownExceptionAnnotation', 'type': 'class', 'url': 'ThrownExceptionAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#throws\' title=\'Go to ceylon.language::throws\'><code><span class=\'identifier\'>throws()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'throws', 'type': 'function', 'url': 'index.html#throws', 'doc': '<p>Annotation to document the exception types thrown by a\nfunction, value, class, or constructor.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'DeprecationAnnotation.reason', 'type': 'attribute', 'url': 'DeprecationAnnotation.type.html#reason', 'doc': '<p>A description, in Markdown syntax, of why the program\nelement is deprecated, and what alternatives are\navailable, or…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'DeprecationAnnotation', 'type': 'class', 'url': 'DeprecationAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#deprecated\' title=\'Go to ceylon.language::deprecated\'><code><span class=\'identifier\'>deprecated()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'deprecated', 'type': 'function', 'url': 'index.html#deprecated', 'doc': '<p>Annotation to mark program elements which should not be\nused anymore.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'TagsAnnotation', 'type': 'class', 'url': 'TagsAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#tagged\' title=\'Go to ceylon.language::tagged\'><code><span class=\'identifier\'>tagged()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'tagged', 'type': 'function', 'url': 'index.html#tagged', 'doc': '<p>Annotation to categorize an API by tag.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'AliasesAnnotation', 'type': 'class', 'url': 'AliasesAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#aliased\' title=\'Go to ceylon.language::aliased\'><code><span class=\'identifier\'>aliased()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'aliased', 'type': 'function', 'url': 'index.html#aliased', 'doc': '<p>Annotation to specify a list of aliases that tools such as auto-completion and\nquick-fixes should consider, to help…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'LicenseAnnotation', 'type': 'class', 'url': 'LicenseAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#license\' title=\'Go to ceylon.language::license\'><code><span class=\'identifier\'>license()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'license', 'type': 'function', 'url': 'index.html#license', 'doc': '<p>Annotation to specify the URL of the license of a module or\npackage.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'OptionalImportAnnotation', 'type': 'class', 'url': 'OptionalImportAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#optional\' title=\'Go to ceylon.language::optional\'><code><span class=\'identifier\'>optional()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'optional', 'type': 'function', 'url': 'index.html#optional', 'doc': '<p>Annotation to specify that a module can be executed even if\nthe annotated dependency is not available.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'SuppressWarningsAnnotation', 'type': 'class', 'url': 'SuppressWarningsAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#suppressWarnings\' title=\'Go to ceylon.language::suppressWarnings\'><code><span class=\'identifier\'>suppressWarnings()</span></code></a>\nannotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'suppressWarnings', 'type': 'function', 'url': 'index.html#suppressWarnings', 'doc': '<p>Annotation to suppress compilation warnings of the\n<a class=\'link-custom-text\' href=\'index.html#suppressWarnings-warnings\' title=\'Go to ceylon.language::suppressWarnings.warnings\'>specified types</a> when typechecking the\nannotated…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'SerializableAnnotation', 'type': 'class', 'url': 'SerializableAnnotation.type.html', 'doc': '<p>The annotation class for the <a class=\'link\' href=\'index.html#serializable\' title=\'Go to ceylon.language::serializable\'><code><span class=\'identifier\'>serializable()</span></code></a> annotation.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-annotation']},
{'name': 'serializable', 'type': 'function', 'url': 'index.html#serializable', 'doc': '<p>Annotation to specify that a class is serializable.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-annotation']},
{'name': 'emptyOrSingleton', 'type': 'function', 'url': 'index.html#emptyOrSingleton', 'doc': '<p>A singleton <code><a class=\'link\' href=\'Tuple.type.html\' title=\'Go to ceylon.language::Tuple\'><span class=\'type-identifier\'>Tuple</span></a></code> with the given <a class=\'link\' href=\'index.html#emptyOrSingleton-element\' title=\'Go to ceylon.language::emptyOrSingleton.element\'><code><span class=\'identifier\'>element</span></code></a> if the\ngiven element is non-null, or the <a class=\'link-custom-text\' href=\'Empty.type.html\' title=\'Go to ceylon.language::Empty\'>empty sequence</a>…</p>\n', 'tags': ['Sequences'],'icons': ['icon-shared-member']},
{'name': 'Numeric.times', 'type': 'function', 'url': 'Numeric.type.html#times', 'doc': '<p>The product of this number and the given number.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Numeric.divided', 'type': 'function', 'url': 'Numeric.type.html#divided', 'doc': '<p>The quotient obtained by dividing this number by the\ngiven number.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Numeric', 'type': 'interface', 'url': 'Numeric.type.html', 'doc': '<p>Abstraction of numeric types with the usual binary\noperations:</p>\n<ul>\n<li>addition, <code>x + y</code>,</li>\n<li>subtraction, <code>x - y</code>,\n-…</li>\n</ul>\n', 'tags': ['Numbers'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Tuple.lastIndex', 'type': 'attribute', 'url': 'Tuple.type.html#lastIndex', 'doc': '<p>The index of the last element of the list, or <code>null</code> if\nthe list is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.size', 'type': 'attribute', 'url': 'Tuple.type.html#size', 'doc': '<p>The number of elements returned by the <a class=\'link\' href=\'Iterable.type.html#iterator\' title=\'Go to ceylon.language::Iterable.iterator\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>iterator()</span></code></a> of\nthis stream, if the iterator terminates.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Tuple.getFromFirst', 'type': 'function', 'url': 'Tuple.type.html#getFromFirst', 'doc': '<p>The <a class=\'link\' href=\'Iterable.type.html#getFromFirst-index\' title=\'Go to ceylon.language::Iterable.getFromFirst.index\'><code><span class=\'identifier\'>index</span></code></a>th element returned by an iterator of this\nstream, or <code>null</code> if there are fewer than <code>index+1</code>\nelements…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Tuple.last', 'type': 'attribute', 'url': 'Tuple.type.html#last', 'doc': '<p>The last element of this tuple.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Tuple.measure', 'type': 'function', 'url': 'Tuple.type.html#measure', 'doc': '<p>Obtain a measure containing the mapped values starting\nfrom the given <a class=\'link-custom-text\' href=\'Ranged.type.html#measure-from\' title=\'Go to ceylon.language::Ranged.measure.from\'>starting index</a>, with the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.span', 'type': 'function', 'url': 'Tuple.type.html#span', 'doc': '<p>Obtain a span containing the elements between the two\ngiven indices.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.spanTo', 'type': 'function', 'url': 'Tuple.type.html#spanTo', 'doc': '<p>Obtain a span containing the elements between the first\nindex of this ranged stream and given <a class=\'link-custom-text\' href=\'Ranged.type.html#spanTo-to\' title=\'Go to ceylon.language::Ranged.spanTo.to\'>end index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.spanFrom', 'type': 'function', 'url': 'Tuple.type.html#spanFrom', 'doc': '<p>Obtain a span containing the elements between the given\n<a class=\'link-custom-text\' href=\'Ranged.type.html#spanFrom-from\' title=\'Go to ceylon.language::Ranged.spanFrom.from\'>starting index</a> and the last index of this\nranged…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.clone', 'type': 'function', 'url': 'Tuple.type.html#clone', 'doc': '<p>This tuple.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.iterator', 'type': 'function', 'url': 'Tuple.type.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.contains', 'type': 'function', 'url': 'Tuple.type.html#contains', 'doc': '<p>Determine if the given value is an element of this\ntuple.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.withLeading', 'type': 'function', 'url': 'Tuple.type.html#withLeading', 'doc': '<p>Return a new tuple that starts with the specified\n<a class=\'link\' href=\'Tuple.type.html#withLeading-element\' title=\'Go to ceylon.language::Tuple.withLeading.element\'><code><span class=\'identifier\'>element</span></code></a>, followed by the elements of this tuple.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.withTrailing', 'type': 'function', 'url': 'Tuple.type.html#withTrailing', 'doc': '<p>Return a new tuple containing the elements of this\ntuple, followed by the given <a class=\'link\' href=\'Tuple.type.html#withTrailing-element\' title=\'Go to ceylon.language::Tuple.withTrailing.element\'><code><span class=\'identifier\'>element</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple.append', 'type': 'function', 'url': 'Tuple.type.html#append', 'doc': '<p>Return a tuple containing the elements of this\ntuple, followed by the given <a class=\'link\' href=\'Tuple.type.html#append-elements\' title=\'Go to ceylon.language::Tuple.append.elements\'><code><span class=\'identifier\'>elements</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Tuple', 'type': 'class', 'url': 'Tuple.type.html', 'doc': '<p>A <em>tuple</em> is a typed linked list.</p>\n', 'tags': ['Sequences', 'Basic types', 'Collections'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'Set.contains', 'type': 'function', 'url': 'Set.type.html#contains', 'doc': '<p>The fundamental operation for <code>Set</code>s.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Set.clone', 'type': 'function', 'url': 'Set.type.html#clone', 'doc': '<p>A shallow copy of this set, that is, a set with the\nsame elements as this set, which do not change if the\nelements of…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Set.superset', 'type': 'function', 'url': 'Set.type.html#superset', 'doc': '<p>Determines if this set is a superset of the given\n<code>Set</code>, that is, if this set contains all of the\nelements in the…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Set.subset', 'type': 'function', 'url': 'Set.type.html#subset', 'doc': '<p>Determines if this set is a subset of the given <code>Set</code>,\nthat is, if the given set contains all of the elements\nin this…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Set.defaultNullElements', 'type': 'function', 'url': 'Set.type.html#defaultNullElements', 'doc': '<p>Produces a stream containing the elements of this\nstream, in the order in which they occur in this stream,\nafter…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Set.union', 'type': 'function', 'url': 'Set.type.html#union', 'doc': '<p>Returns a new <code>Set</code> containing all the elements of this\nset and all the elements of the given <code>Set</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Set.intersection', 'type': 'function', 'url': 'Set.type.html#intersection', 'doc': '<p>Returns a new <code>Set</code> containing only the elements that\nare present in both this set and the given <code>Set</code> and\nthat are…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Set.complement', 'type': 'function', 'url': 'Set.type.html#complement', 'doc': '<p>Returns a new <code>Set</code> containing all the elements in this\nset that are not contained in the given <code>Set</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Set.exclusiveUnion', 'type': 'function', 'url': 'Set.type.html#exclusiveUnion', 'doc': '<p>Returns a new <code>Set</code> containing only the elements\ncontained in either this set or the given <code>Set</code>, but no\nelement…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Set.equals', 'type': 'function', 'url': 'Set.type.html#equals', 'doc': '<p>Two <code>Set</code>s are considered equal if they have the same\nsize and if every element of the first set is also an\nelement…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Set.hash', 'type': 'attribute', 'url': 'Set.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Set.distinct', 'type': 'attribute', 'url': 'Set.type.html#distinct', 'doc': '<p>A stream that produces every element produced by this\nstream exactly once.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Set', 'type': 'interface', 'url': 'Set.type.html', 'doc': '<p>A collection in which each distinct element occurs at most\nonce.</p>\n', 'tags': ['Collections'],'icons': ['icon-interface']},
{'name': 'set', 'type': 'function', 'url': 'index.html#set', 'doc': '<p>Create a new immutable <code><a class=\'link\' href=\'Set.type.html\' title=\'Go to ceylon.language::Set\'><span class=\'type-identifier\'>Set</span></a></code> containing every element\nproduced by the given <a class=\'link\' href=\'index.html#set-stream\' title=\'Go to ceylon.language::set.stream\'><code><span class=\'identifier\'>stream</span></code></a>, resolving items with…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'emptySet.union', 'type': 'function', 'url': 'emptySet.object.html#union', 'doc': '<p>Returns a new <code>Set</code> containing all the elements of this\nset and all the elements of the given <code>Set</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.intersection', 'type': 'function', 'url': 'emptySet.object.html#intersection', 'doc': '<p>Returns a new <code>Set</code> containing only the elements that\nare present in both this set and the given <code>Set</code> and\nthat are…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.exclusiveUnion', 'type': 'function', 'url': 'emptySet.object.html#exclusiveUnion', 'doc': '<p>Returns a new <code>Set</code> containing only the elements\ncontained in either this set or the given <code>Set</code>, but no\nelement…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.complement', 'type': 'function', 'url': 'emptySet.object.html#complement', 'doc': '<p>Returns a new <code>Set</code> containing all the elements in this\nset that are not contained in the given <code>Set</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.find', 'type': 'function', 'url': 'emptySet.object.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.findLast', 'type': 'function', 'url': 'emptySet.object.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.each', 'type': 'function', 'url': 'emptySet.object.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.subset', 'type': 'function', 'url': 'emptySet.object.html#subset', 'doc': '<p>Determines if this set is a subset of the given <code>Set</code>,\nthat is, if the given set contains all of the elements\nin this…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.superset', 'type': 'function', 'url': 'emptySet.object.html#superset', 'doc': '<p>Determines if this set is a superset of the given\n<code>Set</code>, that is, if this set contains all of the\nelements in the…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.clone', 'type': 'function', 'url': 'emptySet.object.html#clone', 'doc': '<p>A shallow copy of this collection, that is, a\ncollection with identical elements which does not\nchange if this…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptySet.iterator', 'type': 'function', 'url': 'emptySet.object.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptySet.size', 'type': 'attribute', 'url': 'emptySet.object.html#size', 'doc': '<p>The number of elements returned by the <a class=\'link\' href=\'Iterable.type.html#iterator\' title=\'Go to ceylon.language::Iterable.iterator\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>iterator()</span></code></a> of\nthis stream, if the iterator terminates.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.empty', 'type': 'attribute', 'url': 'emptySet.object.html#empty', 'doc': '<p>Determines if the stream is empty, that is to say, if\nthe iterator returns no elements.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.contains', 'type': 'function', 'url': 'emptySet.object.html#contains', 'doc': '<p>Returns <code>true</code> if the given value belongs to this\n<code>Category</code>, that is, if it is an element of this\n<code>Category</code>, or `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptySet.containsAny', 'type': 'function', 'url': 'emptySet.object.html#containsAny', 'doc': '<p>Returns <code>true</code> if any one of the given values belongs\nto this <code>Category</code>, or <code>false</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.containsEvery', 'type': 'function', 'url': 'emptySet.object.html#containsEvery', 'doc': '<p>Returns <code>true</code> if every one of the given values belongs\nto this <code>Category</code>, or <code>false</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.count', 'type': 'function', 'url': 'emptySet.object.html#count', 'doc': '<p>Produces the number of elements in this stream that\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#count-selecting\' title=\'Go to ceylon.language::Iterable.count.selecting\'>given predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.any', 'type': 'function', 'url': 'emptySet.object.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.every', 'type': 'function', 'url': 'emptySet.object.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.skip', 'type': 'function', 'url': 'emptySet.object.html#skip', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the first <a class=\'link\' href=\'Iterable.type.html#skip-skipping\' title=\'Go to ceylon.language::Iterable.skip.skipping\'><code><span class=\'identifier\'>skipping</span></code></a> elements\nproduced by…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.take', 'type': 'function', 'url': 'emptySet.object.html#take', 'doc': '<p>Produces a stream containing the first <a class=\'link\' href=\'Iterable.type.html#take-taking\' title=\'Go to ceylon.language::Iterable.take.taking\'><code><span class=\'identifier\'>taking</span></code></a>\nelements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet.by', 'type': 'function', 'url': 'emptySet.object.html#by', 'doc': '<p>Produces a stream containing every <a class=\'link\' href=\'Iterable.type.html#by-step\' title=\'Go to ceylon.language::Iterable.by.step\'><code><span class=\'identifier\'>step</span></code></a>th element\nof this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptySet', 'type': 'object', 'url': 'emptySet.object.html', 'doc': '<p>An immutable <code><a class=\'link\' href=\'Set.type.html\' title=\'Go to ceylon.language::Set\'><span class=\'type-identifier\'>Set</span></a></code> with no elements.</p>\n', 'tags': ['Collections'],'icons': ['icon-object']},
{'name': 'emptySet', 'type': 'value', 'url': 'index.html#emptySet', 'doc': '<p>An immutable <code><a class=\'link\' href=\'Set.type.html\' title=\'Go to ceylon.language::Set\'><span class=\'type-identifier\'>Set</span></a></code> with no elements.</p>\n', 'tags': ['Collections'],'icons': ['icon-shared-member']},
{'name': 'Binary.not', 'type': 'value', 'url': 'Binary.type.html#not', 'doc': '<p>The binary complement of this sequence of bits.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.leftLogicalShift', 'type': 'function', 'url': 'Binary.type.html#leftLogicalShift', 'doc': '<p>Shift the sequence of bits to the left, by the\ngiven <a class=\'link-custom-text\' href=\'Binary.type.html#leftLogicalShift-shift\' title=\'Go to ceylon.language::Binary.leftLogicalShift.shift\'>number of places</a>, filling the least\nsignificant bits…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.rightLogicalShift', 'type': 'function', 'url': 'Binary.type.html#rightLogicalShift', 'doc': '<p>Shift the sequence of bits to the right, by the\ngiven <a class=\'link-custom-text\' href=\'Binary.type.html#rightLogicalShift-shift\' title=\'Go to ceylon.language::Binary.rightLogicalShift.shift\'>number of places</a>, filling the most\nsignificant bits…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.rightArithmeticShift', 'type': 'function', 'url': 'Binary.type.html#rightArithmeticShift', 'doc': '<p>Shift the sequence of bits to the right, by the\ngiven <a class=\'link-custom-text\' href=\'Binary.type.html#rightArithmeticShift-shift\' title=\'Go to ceylon.language::Binary.rightArithmeticShift.shift\'>number of places</a>, preserving the values\nof the most…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.and', 'type': 'function', 'url': 'Binary.type.html#and', 'doc': '<p>Performs a logical AND operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.or', 'type': 'function', 'url': 'Binary.type.html#or', 'doc': '<p>Performs a logical inclusive OR operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.xor', 'type': 'function', 'url': 'Binary.type.html#xor', 'doc': '<p>Performs a logical exclusive OR operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.get', 'type': 'function', 'url': 'Binary.type.html#get', 'doc': '<p>Retrieves a given bit from this bit sequence if\n<code>0 &lt;= index &lt; size</code>, otherwise returns false.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.set', 'type': 'function', 'url': 'Binary.type.html#set', 'doc': '<p>Returns an instance with the given bit set to the given\nvalue if <code>0 &lt;= index &lt; size</code>, otherwise returns a value\nwith…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary.clear', 'type': 'function', 'url': 'Binary.type.html#clear', 'doc': '<p>Returns an instance with the given bit set to 0 if\n<code>0 &lt;= index &lt; size</code>, otherwise returns a value with the\nsame bits…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Binary.flip', 'type': 'function', 'url': 'Binary.type.html#flip', 'doc': '<p>Returns an instance with the given bit flipped to its\nopposite value if <code>0 &lt;= index &lt; size</code>, otherwise\nreturns a…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Binary', 'type': 'interface', 'url': 'Binary.type.html', 'doc': '<p>Abstraction of types that are conceptually a sequence of\nbits, and may be the subject of bitwise operations.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Callable', 'type': 'interface', 'url': 'Callable.type.html', 'doc': '<p>A reference to a function.</p>\n', 'tags': ['Functions'],'icons': ['icon-interface']},
{'name': 'formatFloat', 'type': 'function', 'url': 'index.html#formatFloat', 'doc': '<p>The string decimal representation of the given\n<a class=\'link-custom-text\' href=\'index.html#formatFloat-float\' title=\'Go to ceylon.language::formatFloat.float\'>floating point number</a>.</p>\n', 'tags': ['Numbers'],'icons': ['icon-shared-member']},
{'name': 'Scalable.scale', 'type': 'function', 'url': 'Scalable.type.html#scale', 'doc': '<p>Scale this value by the given scale factor.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Scalable', 'type': 'interface', 'url': 'Scalable.type.html', 'doc': '<p>Abstract supertype of types that support scaling by a\nnumeric factor.</p>\n', 'tags': ['Numbers'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'curry', 'type': 'function', 'url': 'index.html#curry', 'doc': '<p>Curries a function, returning a function with two parameter\nlists, given a function with at least one parameter.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'uncurry', 'type': 'function', 'url': 'index.html#uncurry', 'doc': '<p>Uncurries a function, returning a function with one\nparameter list, given a function with two parameter lists,\nwhere…</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'Exception', 'type': 'class', 'url': 'Exception.type.html', 'doc': '<p>The supertype of all unexpected transient failures.</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Destroyable.destroy', 'type': 'function', 'url': 'Destroyable.type.html#destroy', 'doc': '<p>Destroy this resource.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Destroyable', 'type': 'interface', 'url': 'Destroyable.type.html', 'doc': '<p>Abstract supertype of resources which are created at the\nbeginning of a <code>try</code> statement and destroyed when the…</p>\n', 'tags': ['Basic types'],'icons': ['icon-interface']},
{'name': 'Ranged.span', 'type': 'function', 'url': 'Ranged.type.html#span', 'doc': '<p>Obtain a span containing the elements between the two\ngiven indices.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Ranged.spanFrom', 'type': 'function', 'url': 'Ranged.type.html#spanFrom', 'doc': '<p>Obtain a span containing the elements between the given\n<a class=\'link-custom-text\' href=\'Ranged.type.html#spanFrom-from\' title=\'Go to ceylon.language::Ranged.spanFrom.from\'>starting index</a> and the last index of this\nranged…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Ranged.spanTo', 'type': 'function', 'url': 'Ranged.type.html#spanTo', 'doc': '<p>Obtain a span containing the elements between the first\nindex of this ranged stream and given <a class=\'link-custom-text\' href=\'Ranged.type.html#spanTo-to\' title=\'Go to ceylon.language::Ranged.spanTo.to\'>end index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Ranged.measure', 'type': 'function', 'url': 'Ranged.type.html#measure', 'doc': '<p>Obtain a measure containing the mapped values starting\nfrom the given <a class=\'link-custom-text\' href=\'Ranged.type.html#measure-from\' title=\'Go to ceylon.language::Ranged.measure.from\'>starting index</a>, with the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Ranged', 'type': 'interface', 'url': 'Ranged.type.html', 'doc': '<p>Abstract supertype of <em>ranged streams</em> mapping a range of\ndiscrete indices to elements of the stream, and supporting…</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'system.milliseconds', 'type': 'value', 'url': 'system.object.html#milliseconds', 'doc': '<p>The elapsed time in milliseconds since midnight,\n1 January 1970.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'system.nanoseconds', 'type': 'value', 'url': 'system.object.html#nanoseconds', 'doc': '<p>The elapsed time in nanoseconds since an arbitrary\nstarting point.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'system.timezoneOffset', 'type': 'value', 'url': 'system.object.html#timezoneOffset', 'doc': '<p>Returns the offset, in milliseconds, to add to UTC to\nget the local time for default timezone for this system.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'system.locale', 'type': 'value', 'url': 'system.object.html#locale', 'doc': '<p>Returns the IETF language tag representing the default\nlocale for this system.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'system.characterEncoding', 'type': 'value', 'url': 'system.object.html#characterEncoding', 'doc': '<p>Returns the IANA character set name representing the default\ncharacter encoding for this system.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'system.string', 'type': 'attribute', 'url': 'system.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'system', 'type': 'object', 'url': 'system.object.html', 'doc': '<p>Represents the system on which the current process is\nexecuting.</p>\n', 'tags': ['Environment'],'icons': ['icon-object']},
{'name': 'system', 'type': 'value', 'url': 'index.html#system', 'doc': '<p>Represents the system on which the current process is\nexecuting.</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'Byte.even', 'type': 'value', 'url': 'Byte.type.html#even', 'doc': '<p>Whether this byte is even.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Byte.zero', 'type': 'value', 'url': 'Byte.type.html#zero', 'doc': '<p>Whether this byte is zero.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Byte.unit', 'type': 'value', 'url': 'Byte.type.html#unit', 'doc': '<p>Whether this byte is one.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Byte.unsigned', 'type': 'value', 'url': 'Byte.type.html#unsigned', 'doc': '<p>This byte interpreted as an unsigned integer in the\nrange <code>0..255</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Byte.signed', 'type': 'value', 'url': 'Byte.type.html#signed', 'doc': '<p>This byte interpreted as a signed integer in the range\n<code>-128..127</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Byte.negated', 'type': 'value', 'url': 'Byte.type.html#negated', 'doc': '<p>The additive inverse of this byte.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.plus', 'type': 'function', 'url': 'Byte.type.html#plus', 'doc': '<p>The modulo 256 sum of this byte and the given byte.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.and', 'type': 'function', 'url': 'Byte.type.html#and', 'doc': '<p>Performs a logical AND operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.flip', 'type': 'function', 'url': 'Byte.type.html#flip', 'doc': '<p>Returns an instance with the given bit flipped to its\nopposite value if <code>0 &lt;= index &lt; size</code>, otherwise\nreturns a…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.get', 'type': 'function', 'url': 'Byte.type.html#get', 'doc': '<p>Retrieves a given bit from this bit sequence if\n<code>0 &lt;= index &lt; size</code>, otherwise returns false.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.leftLogicalShift', 'type': 'function', 'url': 'Byte.type.html#leftLogicalShift', 'doc': '<p>Shift the sequence of bits to the left, by the\ngiven <a class=\'link-custom-text\' href=\'Binary.type.html#leftLogicalShift-shift\' title=\'Go to ceylon.language::Binary.leftLogicalShift.shift\'>number of places</a>, filling the least\nsignificant bits…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.not', 'type': 'value', 'url': 'Byte.type.html#not', 'doc': '<p>The binary complement of this sequence of bits.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.or', 'type': 'function', 'url': 'Byte.type.html#or', 'doc': '<p>Performs a logical inclusive OR operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.rightArithmeticShift', 'type': 'function', 'url': 'Byte.type.html#rightArithmeticShift', 'doc': '<p>Shift the sequence of bits to the right, by the\ngiven <a class=\'link-custom-text\' href=\'Binary.type.html#rightArithmeticShift-shift\' title=\'Go to ceylon.language::Binary.rightArithmeticShift.shift\'>number of places</a>, preserving the values\nof the most…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.rightLogicalShift', 'type': 'function', 'url': 'Byte.type.html#rightLogicalShift', 'doc': '<p>Shift the sequence of bits to the right, by the\ngiven <a class=\'link-custom-text\' href=\'Binary.type.html#rightLogicalShift-shift\' title=\'Go to ceylon.language::Binary.rightLogicalShift.shift\'>number of places</a>, filling the most\nsignificant bits…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.set', 'type': 'function', 'url': 'Byte.type.html#set', 'doc': '<p>Returns an instance with the given bit set to the given\nvalue if <code>0 &lt;= index &lt; size</code>, otherwise returns a value\nwith…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.xor', 'type': 'function', 'url': 'Byte.type.html#xor', 'doc': '<p>Performs a logical exclusive OR operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.predecessor', 'type': 'value', 'url': 'Byte.type.html#predecessor', 'doc': '<p>The predecessor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.successor', 'type': 'value', 'url': 'Byte.type.html#successor', 'doc': '<p>The successor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.neighbour', 'type': 'function', 'url': 'Byte.type.html#neighbour', 'doc': '<p>The indirect successor or predecessor at the given\n<a class=\'link\' href=\'Enumerable.type.html#neighbour-offset\' title=\'Go to ceylon.language::Enumerable.neighbour.offset\'><code><span class=\'identifier\'>offset</span></code></a>, where:</p>\n<ul>\n<li><code>x.neighbour(0) == x</code>,</li>\n<li>`x.neighbour(i+1) ==…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.offset', 'type': 'function', 'url': 'Byte.type.html#offset', 'doc': '<p>Compute the offset from the given value, where:</p>\n<ul>\n<li><code>x.offset(x) == 0</code>, and</li>\n<li><code>x.successor.offset(x) == 1</code> if `x!</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.offsetSign', 'type': 'function', 'url': 'Byte.type.html#offsetSign', 'doc': '<p>The sign of the offset from the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Byte.equals', 'type': 'function', 'url': 'Byte.type.html#equals', 'doc': '<p>Determine if two values are equal.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.hash', 'type': 'value', 'url': 'Byte.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Byte.string', 'type': 'value', 'url': 'Byte.type.html#string', 'doc': '<p>The <a class=\'link\' href=\'Byte.type.html#unsigned\' title=\'Go to ceylon.language::Byte.unsigned\'><code><span class=\'type-identifier\'>Byte</span>.<span class=\'identifier\'>unsigned</span></code></a> interpretation of this byte as a\nstring.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Byte', 'type': 'class', 'url': 'Byte.type.html', 'doc': '<p>An 8-bit byte.</p>\n', 'tags': ['Basic types'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'corresponding', 'type': 'function', 'url': 'index.html#corresponding', 'doc': '<p>Compares corresponding elements of the given streams using\nthe given <a class=\'link-custom-text\' href=\'index.html#corresponding-comparing\' title=\'Go to ceylon.language::corresponding.comparing\'>binary predicate function</a>.</p>\n', 'tags': ['Comparisons', 'Streams'],'icons': ['icon-shared-member']},
{'name': 'className', 'type': 'function', 'url': 'index.html#className', 'doc': '<p>Return the name of the concrete class of the given object,\nin a format native to the virtual machine.</p>\n', 'tags': ['Metamodel'],'icons': ['icon-shared-member']},
{'name': 'Empty.getFromLast', 'type': 'function', 'url': 'Empty.type.html#getFromLast', 'doc': '<p>Returns <code>null</code> for any given index.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.getFromFirst', 'type': 'function', 'url': 'Empty.type.html#getFromFirst', 'doc': '<p>Returns <code>null</code> for any given index.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.contains', 'type': 'function', 'url': 'Empty.type.html#contains', 'doc': '<p>Returns <code>false</code> for any given element.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.defines', 'type': 'function', 'url': 'Empty.type.html#defines', 'doc': '<p>Returns <code>false</code> for any given index.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.keys', 'type': 'attribute', 'url': 'Empty.type.html#keys', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.indexes', 'type': 'function', 'url': 'Empty.type.html#indexes', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.empty', 'type': 'attribute', 'url': 'Empty.type.html#empty', 'doc': '<p>Returns <code>true</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.size', 'type': 'attribute', 'url': 'Empty.type.html#size', 'doc': '<p>Returns 0.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.reversed', 'type': 'attribute', 'url': 'Empty.type.html#reversed', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.sequence', 'type': 'function', 'url': 'Empty.type.html#sequence', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.string', 'type': 'attribute', 'url': 'Empty.type.html#string', 'doc': '<p>Returns a string description of the empty sequence:\n<code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.lastIndex', 'type': 'attribute', 'url': 'Empty.type.html#lastIndex', 'doc': '<p>Returns <code>null</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.first', 'type': 'attribute', 'url': 'Empty.type.html#first', 'doc': '<p>Returns <code>null</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.last', 'type': 'attribute', 'url': 'Empty.type.html#last', 'doc': '<p>Returns <code>null</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.rest', 'type': 'attribute', 'url': 'Empty.type.html#rest', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.clone', 'type': 'function', 'url': 'Empty.type.html#clone', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.coalesced', 'type': 'attribute', 'url': 'Empty.type.html#coalesced', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.indexed', 'type': 'attribute', 'url': 'Empty.type.html#indexed', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.repeat', 'type': 'function', 'url': 'Empty.type.html#repeat', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.cycled', 'type': 'attribute', 'url': 'Empty.type.html#cycled', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.paired', 'type': 'attribute', 'url': 'Empty.type.html#paired', 'doc': '<p>Returns <code>[]</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.iterator', 'type': 'function', 'url': 'Empty.type.html#iterator', 'doc': '<p>Returns an iterator that is already exhausted.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.measure', 'type': 'function', 'url': 'Empty.type.html#measure', 'doc': '<p>Returns <code>[]</code> for any given measure.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.span', 'type': 'function', 'url': 'Empty.type.html#span', 'doc': '<p>Returns <code>[]</code> for any given span.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.spanTo', 'type': 'function', 'url': 'Empty.type.html#spanTo', 'doc': '<p>Returns <code>[]</code> for any given span.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.spanFrom', 'type': 'function', 'url': 'Empty.type.html#spanFrom', 'doc': '<p>Returns <code>[]</code> for any given span.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.chain', 'type': 'function', 'url': 'Empty.type.html#chain', 'doc': '<p>Returns the given <a class=\'link\' href=\'Empty.type.html#chain-other\' title=\'Go to ceylon.language::Empty.chain.other\'><code><span class=\'identifier\'>other</span></code></a> iterable object.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.defaultNullElements', 'type': 'function', 'url': 'Empty.type.html#defaultNullElements', 'doc': '<p>Produces a stream containing the elements of this\nstream, in the order in which they occur in this stream,\nafter…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.count', 'type': 'function', 'url': 'Empty.type.html#count', 'doc': '<p>Returns 0 for any given predicate.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.map', 'type': 'function', 'url': 'Empty.type.html#map', 'doc': '<p>Produces a stream containing the results of applying\nthe given <a class=\'link-custom-text\' href=\'Iterable.type.html#map-collecting\' title=\'Go to ceylon.language::Iterable.map.collecting\'>mapping</a> to the elements of\nthis stream.…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.flatMap', 'type': 'function', 'url': 'Empty.type.html#flatMap', 'doc': '<p>Given a <a class=\'link-custom-text\' href=\'Iterable.type.html#flatMap-collecting\' title=\'Go to ceylon.language::Iterable.flatMap.collecting\'>mapping function</a> that accepts an\n<code><span class=\'type-parameter\'>Element</span></code> and returns a stream of <code><span class=\'type-parameter\'>Result</span></code>s,\nproduces a…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.spread', 'type': 'function', 'url': 'Empty.type.html#spread', 'doc': '<p>Given a <a class=\'link\' href=\'Iterable.type.html#spread-method\' title=\'Go to ceylon.language::Iterable.spread.method\'><code><span class=\'identifier\'>method()</span></code></a> of the element type <code><span class=\'type-parameter\'>Element</span></code>,\nreturn a function that, when supplied with a list of\nmethod…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.filter', 'type': 'function', 'url': 'Empty.type.html#filter', 'doc': '<p>Produces a stream containing the elements of this\nstream that satisfy the given <a class=\'link-custom-text\' href=\'Iterable.type.html#filter-selecting\' title=\'Go to ceylon.language::Iterable.filter.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.fold', 'type': 'function', 'url': 'Empty.type.html#fold', 'doc': '<p>Beginning with a given <a class=\'link-custom-text\' href=\'Iterable.type.html#fold-initial\' title=\'Go to ceylon.language::Iterable.fold.initial\'>initial value</a>, apply\nthe given <a class=\'link-custom-text\' href=\'Iterable.type.html#fold-accumulating\' title=\'Go to ceylon.language::Iterable.fold.accumulating\'>combining function</a> to each\nelement…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.reduce', 'type': 'function', 'url': 'Empty.type.html#reduce', 'doc': '<p>Beginning with the <a class=\'link\' href=\'Iterable.type.html#first\' title=\'Go to ceylon.language::Iterable.first\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>first</span></code></a> element of this stream,\napply the given <a class=\'link-custom-text\' href=\'Iterable.type.html#reduce-accumulating\' title=\'Go to ceylon.language::Iterable.reduce.accumulating\'>combining function</a> to\neach…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.find', 'type': 'function', 'url': 'Empty.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.sort', 'type': 'function', 'url': 'Empty.type.html#sort', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nelements of this stream, sorted according to the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.collect', 'type': 'function', 'url': 'Empty.type.html#collect', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nresults of applying the given <a class=\'link-custom-text\' href=\'Iterable.type.html#collect-collecting\' title=\'Go to ceylon.language::Iterable.collect.collecting\'>mapping</a> to\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.select', 'type': 'function', 'url': 'Empty.type.html#select', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing all\nelements of this stream that satisfy the given\n[[predicate…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.any', 'type': 'function', 'url': 'Empty.type.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.every', 'type': 'function', 'url': 'Empty.type.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.skip', 'type': 'function', 'url': 'Empty.type.html#skip', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the first <a class=\'link\' href=\'Iterable.type.html#skip-skipping\' title=\'Go to ceylon.language::Iterable.skip.skipping\'><code><span class=\'identifier\'>skipping</span></code></a> elements\nproduced by…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.take', 'type': 'function', 'url': 'Empty.type.html#take', 'doc': '<p>Produces a stream containing the first <a class=\'link\' href=\'Iterable.type.html#take-taking\' title=\'Go to ceylon.language::Iterable.take.taking\'><code><span class=\'identifier\'>taking</span></code></a>\nelements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.skipWhile', 'type': 'function', 'url': 'Empty.type.html#skipWhile', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the leading elements until the\ngiven [[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.takeWhile', 'type': 'function', 'url': 'Empty.type.html#takeWhile', 'doc': '<p>Produces a stream containing the leading elements of\nthis stream until the given <a class=\'link-custom-text\' href=\'Iterable.type.html#takeWhile-taking\' title=\'Go to ceylon.language::Iterable.takeWhile.taking\'>predicate function</a>\nreturns…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.by', 'type': 'function', 'url': 'Empty.type.html#by', 'doc': '<p>Produces a stream containing every <a class=\'link\' href=\'Iterable.type.html#by-step\' title=\'Go to ceylon.language::Iterable.by.step\'><code><span class=\'identifier\'>step</span></code></a>th element\nof this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.withLeading', 'type': 'function', 'url': 'Empty.type.html#withLeading', 'doc': '<p>Returns a new sequence that starts with the specified\n<a class=\'link\' href=\'Sequential.type.html#withLeading-element\' title=\'Go to ceylon.language::Sequential.withLeading.element\'><code><span class=\'identifier\'>element</span></code></a>, followed by the elements of this sequence,\nin the…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.withTrailing', 'type': 'function', 'url': 'Empty.type.html#withTrailing', 'doc': '<p>Returns a new sequence that starts with the elements of\nthis sequence, in the order they occur in this sequence,\nand…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.append', 'type': 'function', 'url': 'Empty.type.html#append', 'doc': '<p>Return a sequence containing the elements of this\nsequence, in the order in which they occur in this\nsequence,…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.prepend', 'type': 'function', 'url': 'Empty.type.html#prepend', 'doc': '<p>Return a sequence containing the given <a class=\'link\' href=\'Sequential.type.html#prepend-elements\' title=\'Go to ceylon.language::Sequential.prepend.elements\'><code><span class=\'identifier\'>elements</span></code></a>, in\nthe order in which they occur in the given sequence,\nfollowed…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Empty.follow', 'type': 'function', 'url': 'Empty.type.html#follow', 'doc': '<p>Produces a stream with a given <a class=\'link-custom-text\' href=\'Iterable.type.html#follow-head\' title=\'Go to ceylon.language::Iterable.follow.head\'>initial element</a>,\nfollowed by the elements of this stream, in the order\nin…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.sublist', 'type': 'function', 'url': 'Empty.type.html#sublist', 'doc': '<p>A sublist of this list, starting at the element with\nindex <a class=\'link\' href=\'List.type.html#sublist-from\' title=\'Go to ceylon.language::List.sublist.from\'><code><span class=\'identifier\'>from</span></code></a>, ending at the element with the index\n<a class=\'link\' href=\'List.type.html#sublist-to\' title=\'Go to ceylon.language::List.sublist.to\'><code><span class=\'identifier\'>to</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.sublistFrom', 'type': 'function', 'url': 'Empty.type.html#sublistFrom', 'doc': '<p>A sublist of this list, starting at the element with\nthe given <a class=\'link-custom-text\' href=\'List.type.html#sublistFrom-from\' title=\'Go to ceylon.language::List.sublistFrom.from\'>index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.sublistTo', 'type': 'function', 'url': 'Empty.type.html#sublistTo', 'doc': '<p>A sublist of this list, ending at the element with the\ngiven <a class=\'link-custom-text\' href=\'List.type.html#sublistTo-to\' title=\'Go to ceylon.language::List.sublistTo.to\'>index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.initial', 'type': 'function', 'url': 'Empty.type.html#initial', 'doc': '<p>Select the first elements of this list, returning a\nlist no longer than the given length.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.terminal', 'type': 'function', 'url': 'Empty.type.html#terminal', 'doc': '<p>Select the last elements of the list, returning a list\nno longer than the given length.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.indexesWhere', 'type': 'function', 'url': 'Empty.type.html#indexesWhere', 'doc': '<p>The indexes in this list for which the element is not\nnull and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#indexesWhere-selecting\' title=\'Go to ceylon.language::List.indexesWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.firstIndexWhere', 'type': 'function', 'url': 'Empty.type.html#firstIndexWhere', 'doc': '<p>The first index in this list for which the element is\nnot null and satisfies the given\n[[predicate function|selecting]…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.lastIndexWhere', 'type': 'function', 'url': 'Empty.type.html#lastIndexWhere', 'doc': '<p>The last index in this list for which the element is\nnot null and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#lastIndexWhere-selecting\' title=\'Go to ceylon.language::List.lastIndexWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.trim', 'type': 'function', 'url': 'Empty.type.html#trim', 'doc': '<p>Trim the elements satisfying the given <a class=\'link-custom-text\' href=\'List.type.html#trim-trimming\' title=\'Go to ceylon.language::List.trim.trimming\'>predicate\nfunction</a>, along with any null elements, from\nthe start…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.trimLeading', 'type': 'function', 'url': 'Empty.type.html#trimLeading', 'doc': '<p>Trim the elements satisfying the given <a class=\'link-custom-text\' href=\'List.type.html#trimLeading-trimming\' title=\'Go to ceylon.language::List.trimLeading.trimming\'>predicate\nfunction</a>, along with any null elements, from\nthe start…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.trimTrailing', 'type': 'function', 'url': 'Empty.type.html#trimTrailing', 'doc': '<p>Trim the elements satisfying the given <a class=\'link-custom-text\' href=\'List.type.html#trimTrailing-trimming\' title=\'Go to ceylon.language::List.trimTrailing.trimming\'>predicate\nfunction</a>, along with any null elements, from\nthe end of…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.slice', 'type': 'function', 'url': 'Empty.type.html#slice', 'doc': '<p>Return two lists, the first containing the elements\nthat occur before the given <a class=\'link\' href=\'List.type.html#slice-index\' title=\'Go to ceylon.language::List.slice.index\'><code><span class=\'identifier\'>index</span></code></a>, the second with\nthe elements…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty.each', 'type': 'function', 'url': 'Empty.type.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Empty', 'type': 'interface', 'url': 'Empty.type.html', 'doc': '<p>A sequence with no elements.</p>\n', 'tags': ['Sequences'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'empty', 'type': 'object', 'url': 'empty.object.html', 'doc': '<p>A sequence with no elements, abbreviated <code>[]</code>.</p>\n', 'tags': ['Sequences'],'icons': ['icon-object']},
{'name': 'empty', 'type': 'value', 'url': 'index.html#empty', 'doc': '<p>A sequence with no elements, abbreviated <code>[]</code>.</p>\n', 'tags': ['Sequences'],'icons': ['icon-shared-member']},
{'name': 'emptyIterator.next', 'type': 'function', 'url': 'emptyIterator.object.html#next', 'doc': '<p>The next element, or <a class=\'link\' href=\'index.html#finished\' title=\'Go to ceylon.language::finished\'><code><span class=\'identifier\'>finished</span></code></a> if there are no more\nelements to be iterated.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptyIterator.string', 'type': 'attribute', 'url': 'emptyIterator.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyIterator', 'type': 'object', 'url': 'emptyIterator.object.html', 'doc': '<p>An iterator that returns no elements.</p>\n', 'tags': ['Streams'],'icons': ['icon-object']},
{'name': 'emptyIterator', 'type': 'value', 'url': 'index.html#emptyIterator', 'doc': '<p>An iterator that returns no elements.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'Boolean', 'type': 'class', 'url': 'Boolean.type.html', 'doc': '<p>A type capable of representing the values <a class=\'link\' href=\'index.html#true\' title=\'Go to ceylon.language::true\'><code><span class=\'identifier\'>true</span></code></a> and\n<a class=\'link\' href=\'index.html#false\' title=\'Go to ceylon.language::false\'><code><span class=\'identifier\'>false</span></code></a> of Boolean logic.</p>\n', 'tags': ['Basic types'],'icons': ['icon-class', 'icon-decoration-abstract', 'icon-decoration-enumerated']},
{'name': 'true.string', 'type': 'attribute', 'url': 'true.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'true', 'type': 'object', 'url': 'true.object.html', 'doc': '<p>A value representing truth in Boolean logic.</p>\n', 'tags': ['Basic types'],'icons': ['icon-object']},
{'name': 'true', 'type': 'value', 'url': 'index.html#true', 'doc': '<p>A value representing truth in Boolean logic.</p>\n', 'tags': ['Basic types'],'icons': ['icon-shared-member']},
{'name': 'false.string', 'type': 'attribute', 'url': 'false.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'false', 'type': 'object', 'url': 'false.object.html', 'doc': '<p>A value representing falsity in Boolean logic.</p>\n', 'tags': ['Basic types'],'icons': ['icon-object']},
{'name': 'false', 'type': 'value', 'url': 'index.html#false', 'doc': '<p>A value representing falsity in Boolean logic.</p>\n', 'tags': ['Basic types'],'icons': ['icon-shared-member']},
{'name': 'loop', 'type': 'function', 'url': 'index.html#loop', 'doc': '<p>Produces the <a class=\'link-custom-text\' href=\'Iterable.type.html\' title=\'Go to ceylon.language::Iterable\'>stream</a> that results from repeated\napplication of the given <a class=\'link-custom-text\' href=\'index.html#loop-next\' title=\'Go to ceylon.language::loop.next\'>function</a> to the given\n[[…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'SequencedAnnotation', 'type': 'interface', 'url': 'SequencedAnnotation.type.html', 'doc': '<p>An annotation that may occur multiple times at a given\nprogram element, and only on certain program elemenets.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'identity', 'type': 'function', 'url': 'index.html#identity', 'doc': '<p>The identity function that always returns its argument.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'noop', 'type': 'function', 'url': 'index.html#noop', 'doc': '<p>A <code>void</code> function that does nothing.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'Comparable.compare', 'type': 'function', 'url': 'Comparable.type.html#compare', 'doc': '<p>Compares this value with the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Comparable.largerThan', 'type': 'function', 'url': 'Comparable.type.html#largerThan', 'doc': '<p>Determines if this value is strictly larger than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Comparable.smallerThan', 'type': 'function', 'url': 'Comparable.type.html#smallerThan', 'doc': '<p>Determines if this value is strictly smaller than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Comparable.notSmallerThan', 'type': 'function', 'url': 'Comparable.type.html#notSmallerThan', 'doc': '<p>Determines if this value is larger than or equal to the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Comparable.notLargerThan', 'type': 'function', 'url': 'Comparable.type.html#notLargerThan', 'doc': '<p>Determines if this value is smaller than or equal to\nthe given value.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Comparable', 'type': 'interface', 'url': 'Comparable.type.html', 'doc': '<p>The general contract for values whose magnitude can be\ncompared.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Throwable.message', 'type': 'attribute', 'url': 'Throwable.type.html#message', 'doc': '<p>A message describing the problem.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Throwable.string', 'type': 'attribute', 'url': 'Throwable.type.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Throwable.printStackTrace', 'type': 'function', 'url': 'Throwable.type.html#printStackTrace', 'doc': '<p>Print the stack trace to the standard error of the\nvirtual machine process.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Throwable.addSuppressed', 'type': 'function', 'url': 'Throwable.type.html#addSuppressed', 'doc': '<p>The given exception was suppressed in order to\npropagate this exception.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Throwable.suppressed', 'type': 'value', 'url': 'Throwable.type.html#suppressed', 'doc': '<p>The exceptions that were suppressed in order to\npropagate this exception.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Throwable', 'type': 'class', 'url': 'Throwable.type.html', 'doc': '<p>The abstract supertype of values indicating exceptional\nconditions.</p>\n', 'tags': ['Basic types'],'icons': ['icon-class', 'icon-decoration-abstract']},
{'name': 'nothing', 'type': 'attribute', 'url': 'index.html#nothing', 'doc': '<p>A value getter of type <code>Nothing</code>.</p>\n', 'tags': ['Basic types'],'icons': ['icon-shared-member']},
{'name': 'forKey', 'type': 'function', 'url': 'index.html#forKey', 'doc': '<p>A function that returns the result of applying the given\n<a class=\'link-custom-text\' href=\'index.html#forKey-resulting\' title=\'Go to ceylon.language::forKey.resulting\'>function</a> to the <a class=\'link-custom-text\' href=\'Entry.type.html#key\' title=\'Go to ceylon.language::Entry.key\'>key</a> of\na given [[…</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'Iterator.next', 'type': 'function', 'url': 'Iterator.type.html#next', 'doc': '<p>The next element, or <a class=\'link\' href=\'index.html#finished\' title=\'Go to ceylon.language::finished\'><code><span class=\'identifier\'>finished</span></code></a> if there are no more\nelements to be iterated.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Iterator', 'type': 'interface', 'url': 'Iterator.type.html', 'doc': '<p>Produces the elements of an <code><a class=\'link\' href=\'Iterable.type.html\' title=\'Go to ceylon.language::Iterable\'><span class=\'type-identifier\'>Iterable</span></a></code> object.</p>\n', 'tags': ['Streams'],'icons': ['icon-interface']},
{'name': 'runtime.name', 'type': 'value', 'url': 'runtime.object.html#name', 'doc': '<p>The name of the runtime / virtual machine this process\nis running on.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.version', 'type': 'value', 'url': 'runtime.object.html#version', 'doc': '<p>The version of the runtime / virtual machine this\nprocess is running on.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.integerSize', 'type': 'value', 'url': 'runtime.object.html#integerSize', 'doc': '<p>The number of bits used to represent the value of an\n<code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.integerAddressableSize', 'type': 'value', 'url': 'runtime.object.html#integerAddressableSize', 'doc': '<p>The number of bits of <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code> instances which may\nbe manipulated via the methods inherited from\n<code><a class=\'link\' href=\'Binary.type.html\' title=\'Go to ceylon.language::Binary\'><span class=\'type-identifier\'>Binary</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.minIntegerValue', 'type': 'value', 'url': 'runtime.object.html#minIntegerValue', 'doc': '<p>The smallest <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code> value that can be represented\nby the runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.maxIntegerValue', 'type': 'value', 'url': 'runtime.object.html#maxIntegerValue', 'doc': '<p>The largest <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code> value that can be represented\nby the runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.maxArraySize', 'type': 'value', 'url': 'runtime.object.html#maxArraySize', 'doc': '<p>The maximum size of an <code><a class=\'link\' href=\'Array.type.html\' title=\'Go to ceylon.language::Array\'><span class=\'type-identifier\'>Array</span></a></code> that is possible for\nthis runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.maxFloatValue', 'type': 'value', 'url': 'runtime.object.html#maxFloatValue', 'doc': '<p>The largest finite <code><a class=\'link\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'><span class=\'type-identifier\'>Float</span></a></code> value that can be\nrepresented by the runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.minFloatValue', 'type': 'value', 'url': 'runtime.object.html#minFloatValue', 'doc': '<p>The smallest positive nonzero <code><a class=\'link\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'><span class=\'type-identifier\'>Float</span></a></code> value that can\nbe represented by the runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.epsilon', 'type': 'value', 'url': 'runtime.object.html#epsilon', 'doc': '<p>The <em>machine epsilon</em> for <a class=\'link-custom-text\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'>floating point</a>\nvalues.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.maxExactIntegralFloat', 'type': 'value', 'url': 'runtime.object.html#maxExactIntegralFloat', 'doc': '<p>The largest <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code> that can be exactly represented\nas a <code><a class=\'link\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'><span class=\'type-identifier\'>Float</span></a></code> without loss of precision.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'runtime.string', 'type': 'attribute', 'url': 'runtime.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'runtime', 'type': 'object', 'url': 'runtime.object.html', 'doc': '<p>Represents the machine and virtual machine on which the\ncurrent process is executing.</p>\n', 'tags': ['Environment'],'icons': ['icon-object']},
{'name': 'runtime', 'type': 'value', 'url': 'index.html#runtime', 'doc': '<p>Represents the machine and virtual machine on which the\ncurrent process is executing.</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'Sequential.size', 'type': 'value', 'url': 'Sequential.type.html#size', 'doc': '<p>The strictly-positive length of this sequence, that is,\nthe number of elements in this sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequential.keys', 'type': 'attribute', 'url': 'Sequential.type.html#keys', 'doc': '<p>A sequence containing all indexes of this sequence,\nthat is, every index in the range <code>0:sequence.size</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.sequence', 'type': 'function', 'url': 'Sequential.type.html#sequence', 'doc': '<p>This sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.rest', 'type': 'value', 'url': 'Sequential.type.html#rest', 'doc': '<p>The rest of the sequence, without the first element.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequential.reversed', 'type': 'value', 'url': 'Sequential.type.html#reversed', 'doc': '<p>A sequence containing the elements of this sequence in\nreverse order to the order in which they occur in this\nsequence,…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequential.repeat', 'type': 'function', 'url': 'Sequential.type.html#repeat', 'doc': '<p>Produces a sequence formed by repeating the elements of\nthis sequence the given <a class=\'link-custom-text\' href=\'Sequential.type.html#repeat-times\' title=\'Go to ceylon.language::Sequential.repeat.times\'>number of times</a>, or\nthe [[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequential.initial', 'type': 'function', 'url': 'Sequential.type.html#initial', 'doc': '<p>Select the first elements of this sequence, returning\na sequence no longer than the given length.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.terminal', 'type': 'function', 'url': 'Sequential.type.html#terminal', 'doc': '<p>Select the last elements of the sequence, returning a\nsequence no longer than the given length.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.clone', 'type': 'function', 'url': 'Sequential.type.html#clone', 'doc': '<p>This sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequential.trim', 'type': 'function', 'url': 'Sequential.type.html#trim', 'doc': '<p>Trim the elements satisfying the given predicate\nfunction from the start and end of this sequence,\nreturning a…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.trimLeading', 'type': 'function', 'url': 'Sequential.type.html#trimLeading', 'doc': '<p>Trim the elements satisfying the given predicate\nfunction from the start of this sequence, returning\na sequence no…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.trimTrailing', 'type': 'function', 'url': 'Sequential.type.html#trimTrailing', 'doc': '<p>Trim the elements satisfying the given predicate\nfunction from the end of this sequence, returning a\nsequence no…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.slice', 'type': 'function', 'url': 'Sequential.type.html#slice', 'doc': '<p>Return two sequences, the first containing the elements\nthat occur before the given <a class=\'link\' href=\'Sequential.type.html#slice-index\' title=\'Go to ceylon.language::Sequential.slice.index\'><code><span class=\'identifier\'>index</span></code></a>, the second with\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential.withLeading', 'type': 'function', 'url': 'Sequential.type.html#withLeading', 'doc': '<p>Returns a new sequence that starts with the specified\n<a class=\'link\' href=\'Sequential.type.html#withLeading-element\' title=\'Go to ceylon.language::Sequential.withLeading.element\'><code><span class=\'identifier\'>element</span></code></a>, followed by the elements of this sequence,\nin the…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Sequential.withTrailing', 'type': 'function', 'url': 'Sequential.type.html#withTrailing', 'doc': '<p>Returns a new sequence that starts with the elements of\nthis sequence, in the order they occur in this sequence,\nand…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Sequential.append', 'type': 'function', 'url': 'Sequential.type.html#append', 'doc': '<p>Return a sequence containing the elements of this\nsequence, in the order in which they occur in this\nsequence,…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Sequential.prepend', 'type': 'function', 'url': 'Sequential.type.html#prepend', 'doc': '<p>Return a sequence containing the given <a class=\'link\' href=\'Sequential.type.html#prepend-elements\' title=\'Go to ceylon.language::Sequential.prepend.elements\'><code><span class=\'identifier\'>elements</span></code></a>, in\nthe order in which they occur in the given sequence,\nfollowed…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Sequential.string', 'type': 'attribute', 'url': 'Sequential.type.html#string', 'doc': '<p>A string of form <code>"[ x, y, z ]"</code> where <code>x</code>, <code>y</code>, and\n<code>z</code> are the <code>string</code> representations of the elements of\nthis…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequential', 'type': 'interface', 'url': 'Sequential.type.html', 'doc': '<p>A possibly-empty, immutable sequence of values.</p>\n', 'tags': ['Sequences'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'StringBuilder.size', 'type': 'value', 'url': 'StringBuilder.type.html#size', 'doc': '<p>The number characters in the current content, that is,\nthe <a class=\'link-custom-text\' href=\'String.type.html#size\' title=\'Go to ceylon.language::String.size\'>size</a> of the produced <a class=\'link\' href=\'StringBuilder.type.html#string\' title=\'Go to ceylon.language::StringBuilder.string\'><code><span class=\'type-identifier\'>StringBuilder</span>.<span class=\'identifier\'>string</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'StringBuilder.lastIndex', 'type': 'value', 'url': 'StringBuilder.type.html#lastIndex', 'doc': '<p>The index of the last element of the list, or <code>null</code> if\nthe list is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'StringBuilder.string', 'type': 'value', 'url': 'StringBuilder.type.html#string', 'doc': '<p>The resulting string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'StringBuilder.iterator', 'type': 'function', 'url': 'StringBuilder.type.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'StringBuilder.substring', 'type': 'function', 'url': 'StringBuilder.type.html#substring', 'doc': '<p>Returns a string of the given <a class=\'link\' href=\'StringBuilder.type.html#substring-length\' title=\'Go to ceylon.language::StringBuilder.substring.length\'><code><span class=\'identifier\'>length</span></code></a> containing\nthe characters beginning at the given <a class=\'link\' href=\'StringBuilder.type.html#substring-index\' title=\'Go to ceylon.language::StringBuilder.substring.index\'><code><span class=\'identifier\'>index</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.getFromFirst', 'type': 'function', 'url': 'StringBuilder.type.html#getFromFirst', 'doc': '<p>The <a class=\'link\' href=\'Iterable.type.html#getFromFirst-index\' title=\'Go to ceylon.language::Iterable.getFromFirst.index\'><code><span class=\'identifier\'>index</span></code></a>th element returned by an iterator of this\nstream, or <code>null</code> if there are fewer than <code>index+1</code>\nelements…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'StringBuilder.append', 'type': 'function', 'url': 'StringBuilder.type.html#append', 'doc': '<p>Append the characters in the given <a class=\'link\' href=\'StringBuilder.type.html#append-string\' title=\'Go to ceylon.language::StringBuilder.append.string\'><code><span class=\'identifier\'>string</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.appendAll', 'type': 'function', 'url': 'StringBuilder.type.html#appendAll', 'doc': '<p>Append the characters in the given <a class=\'link\' href=\'StringBuilder.type.html#appendAll-strings\' title=\'Go to ceylon.language::StringBuilder.appendAll.strings\'><code><span class=\'identifier\'>strings</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.prepend', 'type': 'function', 'url': 'StringBuilder.type.html#prepend', 'doc': '<p>Prepend the characters in the given <a class=\'link\' href=\'StringBuilder.type.html#prepend-string\' title=\'Go to ceylon.language::StringBuilder.prepend.string\'><code><span class=\'identifier\'>string</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.prependAll', 'type': 'function', 'url': 'StringBuilder.type.html#prependAll', 'doc': '<p>Prepend the characters in the given <a class=\'link\' href=\'StringBuilder.type.html#prependAll-strings\' title=\'Go to ceylon.language::StringBuilder.prependAll.strings\'><code><span class=\'identifier\'>strings</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.appendCharacter', 'type': 'function', 'url': 'StringBuilder.type.html#appendCharacter', 'doc': '<p>Append the given <a class=\'link\' href=\'StringBuilder.type.html#appendCharacter-character\' title=\'Go to ceylon.language::StringBuilder.appendCharacter.character\'><code><span class=\'identifier\'>character</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.prependCharacter', 'type': 'function', 'url': 'StringBuilder.type.html#prependCharacter', 'doc': '<p>Prepend the given <a class=\'link\' href=\'StringBuilder.type.html#prependCharacter-character\' title=\'Go to ceylon.language::StringBuilder.prependCharacter.character\'><code><span class=\'identifier\'>character</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.appendNewline', 'type': 'function', 'url': 'StringBuilder.type.html#appendNewline', 'doc': '<p>Append a newline character.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.appendSpace', 'type': 'function', 'url': 'StringBuilder.type.html#appendSpace', 'doc': '<p>Append a space character.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.clear', 'type': 'function', 'url': 'StringBuilder.type.html#clear', 'doc': '<p>Remove all content and return to initial state.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.insert', 'type': 'function', 'url': 'StringBuilder.type.html#insert', 'doc': '<p>Insert a <a class=\'link\' href=\'StringBuilder.type.html#insert-string\' title=\'Go to ceylon.language::StringBuilder.insert.string\'><code><span class=\'identifier\'>string</span></code></a> at the specified <a class=\'link\' href=\'StringBuilder.type.html#insert-index\' title=\'Go to ceylon.language::StringBuilder.insert.index\'><code><span class=\'identifier\'>index</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.insertCharacter', 'type': 'function', 'url': 'StringBuilder.type.html#insertCharacter', 'doc': '<p>Insert a <a class=\'link\' href=\'StringBuilder.type.html#insertCharacter-character\' title=\'Go to ceylon.language::StringBuilder.insertCharacter.character\'><code><span class=\'identifier\'>character</span></code></a> at the specified <a class=\'link\' href=\'StringBuilder.type.html#insertCharacter-index\' title=\'Go to ceylon.language::StringBuilder.insertCharacter.index\'><code><span class=\'identifier\'>index</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.replace', 'type': 'function', 'url': 'StringBuilder.type.html#replace', 'doc': '<p>Replaces the specified <a class=\'link-custom-text\' href=\'StringBuilder.type.html#replace-length\' title=\'Go to ceylon.language::StringBuilder.replace.length\'>number of characters</a>\nfrom the current content, starting at the specified\n<a class=\'link\' href=\'StringBuilder.type.html#replace-index\' title=\'Go to ceylon.language::StringBuilder.replace.index\'><code><span class=\'identifier\'>index</span></code></a>,…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.delete', 'type': 'function', 'url': 'StringBuilder.type.html#delete', 'doc': '<p>Deletes the specified <a class=\'link-custom-text\' href=\'StringBuilder.type.html#delete-length\' title=\'Go to ceylon.language::StringBuilder.delete.length\'>number of characters</a>\nfrom the current content, starting at the specified\n<a class=\'link\' href=\'StringBuilder.type.html#delete-index\' title=\'Go to ceylon.language::StringBuilder.delete.index\'><code><span class=\'identifier\'>index</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.deleteInitial', 'type': 'function', 'url': 'StringBuilder.type.html#deleteInitial', 'doc': '<p>Deletes the specified <a class=\'link-custom-text\' href=\'StringBuilder.type.html#deleteInitial-length\' title=\'Go to ceylon.language::StringBuilder.deleteInitial.length\'>number of characters</a>\nfrom the start of the string.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.deleteTerminal', 'type': 'function', 'url': 'StringBuilder.type.html#deleteTerminal', 'doc': '<p>Deletes the specified <a class=\'link-custom-text\' href=\'StringBuilder.type.html#deleteTerminal-length\' title=\'Go to ceylon.language::StringBuilder.deleteTerminal.length\'>number of characters</a>\nfrom the end of the string.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.reverseInPlace', 'type': 'function', 'url': 'StringBuilder.type.html#reverseInPlace', 'doc': '<p>Reverses the order of the current characters.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'StringBuilder.equals', 'type': 'function', 'url': 'StringBuilder.type.html#equals', 'doc': '<p>Determine if two values are equal.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'StringBuilder.hash', 'type': 'value', 'url': 'StringBuilder.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'StringBuilder', 'type': 'class', 'url': 'StringBuilder.type.html', 'doc': '<p>Builder utility for constructing <a class=\'link-custom-text\' href=\'String.type.html\' title=\'Go to ceylon.language::String\'>strings</a> by\nincrementally appending strings or characters.</p>\n', 'tags': ['Strings'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'List.first', 'type': 'attribute', 'url': 'List.type.html#first', 'doc': '<p>The first element of this <code>List</code>, if any.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.last', 'type': 'attribute', 'url': 'List.type.html#last', 'doc': '<p>The last element of this <code>List</code>, if any.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.get', 'type': 'function', 'url': 'List.type.html#get', 'doc': '<p>Returns the element of this list with the given\n<a class=\'link\' href=\'List.type.html#get-index\' title=\'Go to ceylon.language::List.get.index\'><code><span class=\'identifier\'>index</span></code></a> if the index refers to an element of this\nlist, that is, if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.getFromFirst', 'type': 'function', 'url': 'List.type.html#getFromFirst', 'doc': '<p>Returns the element of this list with the given\n<a class=\'link\' href=\'List.type.html#getFromFirst-index\' title=\'Go to ceylon.language::List.getFromFirst.index\'><code><span class=\'identifier\'>index</span></code></a> if the index refers to an element of this\nlist, that is, if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'List.getFromLast', 'type': 'function', 'url': 'List.type.html#getFromLast', 'doc': '<p>Returns the element of this list with the given\n<a class=\'link\' href=\'List.type.html#getFromLast-index\' title=\'Go to ceylon.language::List.getFromLast.index\'><code><span class=\'identifier\'>index</span></code></a>, where the list is indexed from the <em>end</em> of\nthe list…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.lastIndex', 'type': 'value', 'url': 'List.type.html#lastIndex', 'doc': '<p>The index of the last element of the list, or <code>null</code> if\nthe list is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'List.size', 'type': 'attribute', 'url': 'List.type.html#size', 'doc': '<p>The number of elements in this list, always\n<code>1 + (lastIndex else -1)</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.defines', 'type': 'function', 'url': 'List.type.html#defines', 'doc': '<p>Determines if the given index refers to an element of\nthis list, that is, if <code>0&lt;=index&lt;=list.lastIndex</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.contains', 'type': 'function', 'url': 'List.type.html#contains', 'doc': '<p>Determines if this list contains the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.rest', 'type': 'attribute', 'url': 'List.type.html#rest', 'doc': '<p>The rest of the list, without the first element.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.keys', 'type': 'attribute', 'url': 'List.type.html#keys', 'doc': '<p>A list containing all indexes of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.reversed', 'type': 'attribute', 'url': 'List.type.html#reversed', 'doc': '<p>A list containing the elements of this list in reverse\norder to the order in which they occur in this list.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.clone', 'type': 'function', 'url': 'List.type.html#clone', 'doc': '<p>A shallow copy of this list, that is, a list with the\nsame elements as this list, which do not change if the\nelements…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.iterator', 'type': 'function', 'url': 'List.type.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.equals', 'type': 'function', 'url': 'List.type.html#equals', 'doc': '<p>Two <code>List</code>s are considered equal iff they have the\nsame <code>size</code> and <em>entry sets</em>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.hash', 'type': 'attribute', 'url': 'List.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.shorterThan', 'type': 'function', 'url': 'List.type.html#shorterThan', 'doc': '<p>Determines if this stream has fewer elements than the\ngiven <a class=\'link\' href=\'Iterable.type.html#shorterThan-length\' title=\'Go to ceylon.language::Iterable.shorterThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.longerThan', 'type': 'function', 'url': 'List.type.html#longerThan', 'doc': '<p>Determines if this stream has more elements than the\ngiven <a class=\'link\' href=\'Iterable.type.html#longerThan-length\' title=\'Go to ceylon.language::Iterable.longerThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.repeat', 'type': 'function', 'url': 'List.type.html#repeat', 'doc': '<p>A list containing the elements of this list repeated\nthe <a class=\'link-custom-text\' href=\'List.type.html#repeat-times\' title=\'Go to ceylon.language::List.repeat.times\'>given number of times</a>, or an empty list\nif `times&lt;=…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.find', 'type': 'function', 'url': 'List.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.findLast', 'type': 'function', 'url': 'List.type.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List.sublistFrom', 'type': 'function', 'url': 'List.type.html#sublistFrom', 'doc': '<p>A sublist of this list, starting at the element with\nthe given <a class=\'link-custom-text\' href=\'List.type.html#sublistFrom-from\' title=\'Go to ceylon.language::List.sublistFrom.from\'>index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.sublistTo', 'type': 'function', 'url': 'List.type.html#sublistTo', 'doc': '<p>A sublist of this list, ending at the element with the\ngiven <a class=\'link-custom-text\' href=\'List.type.html#sublistTo-to\' title=\'Go to ceylon.language::List.sublistTo.to\'>index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.sublist', 'type': 'function', 'url': 'List.type.html#sublist', 'doc': '<p>A sublist of this list, starting at the element with\nindex <a class=\'link\' href=\'List.type.html#sublist-from\' title=\'Go to ceylon.language::List.sublist.from\'><code><span class=\'identifier\'>from</span></code></a>, ending at the element with the index\n<a class=\'link\' href=\'List.type.html#sublist-to\' title=\'Go to ceylon.language::List.sublist.to\'><code><span class=\'identifier\'>to</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.patch', 'type': 'function', 'url': 'List.type.html#patch', 'doc': '<p>Return a list formed by patching the given <a class=\'link\' href=\'List.type.html#patch-list\' title=\'Go to ceylon.language::List.patch.list\'><code><span class=\'identifier\'>list</span></code></a>\nin place of a segment of this list identified by the\ngiven [[…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.startsWith', 'type': 'function', 'url': 'List.type.html#startsWith', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'List.type.html#startsWith-sublist\' title=\'Go to ceylon.language::List.startsWith.sublist\'>list</a> occurs at the\nstart of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.endsWith', 'type': 'function', 'url': 'List.type.html#endsWith', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'List.type.html#endsWith-sublist\' title=\'Go to ceylon.language::List.endsWith.sublist\'>list</a> occurs at the\nend of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.indexesWhere', 'type': 'function', 'url': 'List.type.html#indexesWhere', 'doc': '<p>The indexes in this list for which the element is not\nnull and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#indexesWhere-selecting\' title=\'Go to ceylon.language::List.indexesWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.firstIndexWhere', 'type': 'function', 'url': 'List.type.html#firstIndexWhere', 'doc': '<p>The first index in this list for which the element is\nnot null and satisfies the given\n[[predicate function|selecting]…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.lastIndexWhere', 'type': 'function', 'url': 'List.type.html#lastIndexWhere', 'doc': '<p>The last index in this list for which the element is\nnot null and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#lastIndexWhere-selecting\' title=\'Go to ceylon.language::List.lastIndexWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.trim', 'type': 'function', 'url': 'List.type.html#trim', 'doc': '<p>Trim the elements satisfying the given <a class=\'link-custom-text\' href=\'List.type.html#trim-trimming\' title=\'Go to ceylon.language::List.trim.trimming\'>predicate\nfunction</a>, along with any null elements, from\nthe start…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.trimLeading', 'type': 'function', 'url': 'List.type.html#trimLeading', 'doc': '<p>Trim the elements satisfying the given <a class=\'link-custom-text\' href=\'List.type.html#trimLeading-trimming\' title=\'Go to ceylon.language::List.trimLeading.trimming\'>predicate\nfunction</a>, along with any null elements, from\nthe start…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.trimTrailing', 'type': 'function', 'url': 'List.type.html#trimTrailing', 'doc': '<p>Trim the elements satisfying the given <a class=\'link-custom-text\' href=\'List.type.html#trimTrailing-trimming\' title=\'Go to ceylon.language::List.trimTrailing.trimming\'>predicate\nfunction</a>, along with any null elements, from\nthe end of…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.slice', 'type': 'function', 'url': 'List.type.html#slice', 'doc': '<p>Return two lists, the first containing the elements\nthat occur before the given <a class=\'link\' href=\'List.type.html#slice-index\' title=\'Go to ceylon.language::List.slice.index\'><code><span class=\'identifier\'>index</span></code></a>, the second with\nthe elements…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.initial', 'type': 'function', 'url': 'List.type.html#initial', 'doc': '<p>Select the first elements of this list, returning a\nlist no longer than the given length.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.terminal', 'type': 'function', 'url': 'List.type.html#terminal', 'doc': '<p>Select the last elements of the list, returning a list\nno longer than the given length.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'List.span', 'type': 'function', 'url': 'List.type.html#span', 'doc': '<p>Obtain a span containing the elements between the two\ngiven indices.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.spanFrom', 'type': 'function', 'url': 'List.type.html#spanFrom', 'doc': '<p>Obtain a span containing the elements between the given\n<a class=\'link-custom-text\' href=\'Ranged.type.html#spanFrom-from\' title=\'Go to ceylon.language::Ranged.spanFrom.from\'>starting index</a> and the last index of this\nranged…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.spanTo', 'type': 'function', 'url': 'List.type.html#spanTo', 'doc': '<p>Obtain a span containing the elements between the first\nindex of this ranged stream and given <a class=\'link-custom-text\' href=\'Ranged.type.html#spanTo-to\' title=\'Go to ceylon.language::Ranged.spanTo.to\'>end index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.measure', 'type': 'function', 'url': 'List.type.html#measure', 'doc': '<p>Obtain a measure containing the mapped values starting\nfrom the given <a class=\'link-custom-text\' href=\'Ranged.type.html#measure-from\' title=\'Go to ceylon.language::Ranged.measure.from\'>starting index</a>, with the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'List.collect', 'type': 'function', 'url': 'List.type.html#collect', 'doc': '<p>A sequence containing the results of applying the given\nmapping to the elements of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'List', 'type': 'interface', 'url': 'List.type.html', 'doc': '<p>A collection in which every element has a unique\nnon-negative integer index.</p>\n', 'tags': ['Collections'],'icons': ['icon-interface']},
{'name': 'and', 'type': 'function', 'url': 'index.html#and', 'doc': '<p>Returns a function which is the logical conjunction of the\ngiven predicate functions.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'apply', 'type': 'function', 'url': 'index.html#apply', 'doc': '<p>Applies an arbitrary <span class=\'link-dropdown\'><code><span class=\'type-parameter\'>Return</span>(*<span class=\'type-parameter\'>Arguments</span>)</code><span class=\'dropdown\'><a class=\'dropdown-toggle\' data-toggle=\'dropdown\' href=\'#\'><b title=\'Show more links\' class=\'caret\'></b></a><ul class=\'dropdown-menu\'><li><a class=\'link\' href=\'Callable.type.html\'>Go to Callable <small>abbreviation X(Y,Z) means Callable&lt;X,[Y,Z]&gt;</small></a></li></ul></span></span> to the given\n<a class=\'link-custom-text\' href=\'index.html#apply-args\' title=\'Go to ceylon.language::apply.args\'>arguments</a>.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'Finished', 'type': 'class', 'url': 'Finished.type.html', 'doc': '<p>The type of the value that indicates that an <code><a class=\'link\' href=\'Iterator.type.html\' title=\'Go to ceylon.language::Iterator\'><span class=\'type-identifier\'>Iterator</span></a></code>\nis exhausted and has no more values to return.</p>\n', 'tags': ['Streams'],'icons': ['icon-class', 'icon-decoration-abstract', 'icon-decoration-enumerated']},
{'name': 'finished.string', 'type': 'attribute', 'url': 'finished.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'finished', 'type': 'object', 'url': 'finished.object.html', 'doc': '<p>A value that indicates that an <code><a class=\'link\' href=\'Iterator.type.html\' title=\'Go to ceylon.language::Iterator\'><span class=\'type-identifier\'>Iterator</span></a></code> is exhausted\nand has no more values to return.</p>\n', 'tags': ['Streams'],'icons': ['icon-object']},
{'name': 'finished', 'type': 'value', 'url': 'index.html#finished', 'doc': '<p>A value that indicates that an <code><a class=\'link\' href=\'Iterator.type.html\' title=\'Go to ceylon.language::Iterator\'><span class=\'type-identifier\'>Iterator</span></a></code> is exhausted\nand has no more values to return.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'Correspondence.get', 'type': 'function', 'url': 'Correspondence.type.html#get', 'doc': '<p>Returns the value defined for the given key, or <code>null</code>\nif there is no value defined for the given key.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Correspondence.defines', 'type': 'function', 'url': 'Correspondence.type.html#defines', 'doc': '<p>Determines if there is a value defined for the given\nkey.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Correspondence.keys', 'type': 'attribute', 'url': 'Correspondence.type.html#keys', 'doc': '<p>The <code>Category</code> of all keys for which a value is defined\nby this <code>Correspondence</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Correspondence.definesEvery', 'type': 'function', 'url': 'Correspondence.type.html#definesEvery', 'doc': '<p>Determines if this <code>Correspondence</code> defines a value for\nevery one of the given keys.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Correspondence.definesAny', 'type': 'function', 'url': 'Correspondence.type.html#definesAny', 'doc': '<p>Determines if this <code>Correspondence</code> defines a value for\nany one of the given keys.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Correspondence.getAll', 'type': 'function', 'url': 'Correspondence.type.html#getAll', 'doc': '<p>Returns the items defined for the given keys, in the\nsame order as the corresponding keys.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Correspondence', 'type': 'interface', 'url': 'Correspondence.type.html', 'doc': '<p>Abstract supertype of objects which associate values with\nkeys.</p>\n', 'tags': ['Collections'],'icons': ['icon-interface']},
{'name': 'Invertible.negated', 'type': 'value', 'url': 'Invertible.type.html#negated', 'doc': '<p>The additive inverse of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Invertible.minus', 'type': 'function', 'url': 'Invertible.type.html#minus', 'doc': '<p>The difference between this number and the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Invertible', 'type': 'interface', 'url': 'Invertible.type.html', 'doc': '<p>Abstraction of <a class=\'link-custom-text\' href=\'Summable.type.html\' title=\'Go to ceylon.language::Summable\'>additive</a> numeric types which\nsupport a unary operation <code>-x</code> producing the additive\ninverse…</p>\n', 'tags': ['Numbers'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Basic', 'type': 'class', 'url': 'Basic.type.html', 'doc': '<p>The default superclass when no superclass is explicitly\nspecified using <code>extends</code>.</p>\n', 'tags': ['Basic types'],'icons': ['icon-class', 'icon-decoration-abstract']},
{'name': 'SearchableList.occursAt', 'type': 'function', 'url': 'SearchableList.type.html#occursAt', 'doc': '<p>Determines if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#occursAt-element\' title=\'Go to ceylon.language::SearchableList.occursAt.element\'>value</a> occurs at the\ngiven index in this list.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.occurrences', 'type': 'function', 'url': 'SearchableList.type.html#occurrences', 'doc': '<p>The indexes in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#occurrences-element\' title=\'Go to ceylon.language::SearchableList.occurrences.element\'>value</a> occurs.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.occurs', 'type': 'function', 'url': 'SearchableList.type.html#occurs', 'doc': '<p>Determines if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#occurs-element\' title=\'Go to ceylon.language::SearchableList.occurs.element\'>value</a> occurs as an\nelement of this list, at any index that falls within\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.firstOccurrence', 'type': 'function', 'url': 'SearchableList.type.html#firstOccurrence', 'doc': '<p>The first index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#firstOccurrence-element\' title=\'Go to ceylon.language::SearchableList.firstOccurrence.element\'>value</a> occurs, that falls within the segment\n<code>from:length</code>…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.lastOccurrence', 'type': 'function', 'url': 'SearchableList.type.html#lastOccurrence', 'doc': '<p>The last index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#lastOccurrence-element\' title=\'Go to ceylon.language::SearchableList.lastOccurrence.element\'>value</a> occurs, that falls within the range\n`…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.includesAt', 'type': 'function', 'url': 'SearchableList.type.html#includesAt', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#includesAt-sublist\' title=\'Go to ceylon.language::SearchableList.includesAt.sublist\'>list</a> occurs as a\nsublist at the given index of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.inclusions', 'type': 'function', 'url': 'SearchableList.type.html#inclusions', 'doc': '<p>The indexes in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#inclusions-sublist\' title=\'Go to ceylon.language::SearchableList.inclusions.sublist\'>list</a> occurs as a sublist, that are greater\nthan or equal to…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.includes', 'type': 'function', 'url': 'SearchableList.type.html#includes', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#includes-sublist\' title=\'Go to ceylon.language::SearchableList.includes.sublist\'>list</a> occurs as a\nsublist at some index in this list, at any index that\nis greater…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.firstInclusion', 'type': 'function', 'url': 'SearchableList.type.html#firstInclusion', 'doc': '<p>The first index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#firstInclusion-sublist\' title=\'Go to ceylon.language::SearchableList.firstInclusion.sublist\'>list</a> occurs as a sublist, that is greater\nthan or equal…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList.lastInclusion', 'type': 'function', 'url': 'SearchableList.type.html#lastInclusion', 'doc': '<p>The last index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#lastInclusion-sublist\' title=\'Go to ceylon.language::SearchableList.lastInclusion.sublist\'>list</a> occurs as a sublist, that falls within\nthe range `0:…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'SearchableList', 'type': 'interface', 'url': 'SearchableList.type.html', 'doc': '<p>A <code><a class=\'link\' href=\'List.type.html\' title=\'Go to ceylon.language::List\'><span class=\'type-identifier\'>List</span></a></code> which can be efficiently searched for\noccurrences of a given element, or for inclusions of a\ngiven sublist…</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'interleave', 'type': 'function', 'url': 'index.html#interleave', 'doc': '<p>Given one or more argument <a class=\'link-custom-text\' href=\'index.html#interleave-iterables\' title=\'Go to ceylon.language::interleave.iterables\'>streams</a>, return a\nstream containing elements of the given streams.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'parseBoolean', 'type': 'function', 'url': 'index.html#parseBoolean', 'doc': '<p>The <code>Boolean</code> value of the given string representation of a\nboolean value, or <code>null</code> if the string does not represent…</p>\n', 'tags': ['Basic types'],'icons': ['icon-shared-member']},
{'name': 'not', 'type': 'function', 'url': 'index.html#not', 'doc': '<p>Returns a function which is the logical negation of the\ngiven predicate function.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'String.lowercased', 'type': 'value', 'url': 'String.type.html#lowercased', 'doc': '<p>This string, with all characters in lowercase.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.uppercased', 'type': 'value', 'url': 'String.type.html#uppercased', 'doc': '<p>This string, with all characters in uppercase.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.split', 'type': 'function', 'url': 'String.type.html#split', 'doc': '<p>Split the string into tokens, using the given\n<a class=\'link-custom-text\' href=\'String.type.html#split-splitting\' title=\'Go to ceylon.language::String.split.splitting\'>predicate function</a> to determine which\ncharacters are…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.first', 'type': 'value', 'url': 'String.type.html#first', 'doc': '<p>The first character in the string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.last', 'type': 'value', 'url': 'String.type.html#last', 'doc': '<p>The last character in the string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.rest', 'type': 'value', 'url': 'String.type.html#rest', 'doc': '<p>The rest of the string, without its first character.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.getFromLast', 'type': 'function', 'url': 'String.type.html#getFromLast', 'doc': '<p>Get the character at the specified index, where the\nstring is indexed from the <em>end</em> of the string, or\n<code>null</code> if the…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.keys', 'type': 'attribute', 'url': 'String.type.html#keys', 'doc': '<p>A sequence containing all indexes of this string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.join', 'type': 'function', 'url': 'String.type.html#join', 'doc': '<p>Join the <a class=\'link-custom-text\' href=\'Object.type.html#string\' title=\'Go to ceylon.language::Object.string\'>string representations</a> of\nthe given <a class=\'link\' href=\'String.type.html#join-objects\' title=\'Go to ceylon.language::String.join.objects\'><code><span class=\'identifier\'>objects</span></code></a>, using this string as a separator.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.lines', 'type': 'attribute', 'url': 'String.type.html#lines', 'doc': '<p>Split the string into lines of text, discarding line\nbreaks.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.linesWithBreaks', 'type': 'attribute', 'url': 'String.type.html#linesWithBreaks', 'doc': '<p>Split the string into lines of text with line breaks.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.trimmed', 'type': 'attribute', 'url': 'String.type.html#trimmed', 'doc': '<p>A string containing the characters of this string,\nafter discarding <a class=\'link-custom-text\' href=\'Character.type.html#whitespace\' title=\'Go to ceylon.language::Character.whitespace\'>whitespace</a>\nfrom the…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.trim', 'type': 'function', 'url': 'String.type.html#trim', 'doc': '<p>A string containing the characters of this string,\nafter discarding the characters matching the given\n[[predicate…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.trimLeading', 'type': 'function', 'url': 'String.type.html#trimLeading', 'doc': '<p>A string containing the characters of this string,\nafter discarding the characters matching the given\n[[predicate…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.trimTrailing', 'type': 'function', 'url': 'String.type.html#trimTrailing', 'doc': '<p>A string containing the characters of this string,\nafter discarding the characters matching the given\n[[predicate…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.normalized', 'type': 'value', 'url': 'String.type.html#normalized', 'doc': '<p>A string containing the characters of this string after\ncollapsing strings of <a class=\'link-custom-text\' href=\'Character.type.html#whitespace\' title=\'Go to ceylon.language::Character.whitespace\'>whitespace</a>…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.reversed', 'type': 'value', 'url': 'String.type.html#reversed', 'doc': '<p>A string containing the characters of this string, with\nthe characters in reverse order.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.defines', 'type': 'function', 'url': 'String.type.html#defines', 'doc': '<p>Determines if this string contains a character at the\ngiven <a class=\'link\' href=\'String.type.html#defines-index\' title=\'Go to ceylon.language::String.defines.index\'><code><span class=\'identifier\'>index</span></code></a>, that is, if <code>0&lt;=index&lt;size</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.span', 'type': 'function', 'url': 'String.type.html#span', 'doc': '<p>A string containing the characters of this string\nbetween the given indexes.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.spanFrom', 'type': 'function', 'url': 'String.type.html#spanFrom', 'doc': '<p>A string containing the characters of this string from\nthe given <a class=\'link-custom-text\' href=\'String.type.html#spanFrom-from\' title=\'Go to ceylon.language::String.spanFrom.from\'>start index</a> inclusive to the end of\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.spanTo', 'type': 'function', 'url': 'String.type.html#spanTo', 'doc': '<p>A string containing the characters of this string from\nthe start of the string up to and including the given\n[[end…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.measure', 'type': 'function', 'url': 'String.type.html#measure', 'doc': '<p>A string containing the characters of this string\nbeginning at the given <a class=\'link-custom-text\' href=\'String.type.html#measure-from\' title=\'Go to ceylon.language::String.measure.from\'>start index</a>, returning\na string no…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.initial', 'type': 'function', 'url': 'String.type.html#initial', 'doc': '<p>Select the first characters of this string, returning a\nstring no longer than the given <a class=\'link\' href=\'String.type.html#initial-length\' title=\'Go to ceylon.language::String.initial.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.terminal', 'type': 'function', 'url': 'String.type.html#terminal', 'doc': '<p>Select the last characters of the string, returning a\nstring no longer than the given <a class=\'link\' href=\'String.type.html#terminal-length\' title=\'Go to ceylon.language::String.terminal.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.slice', 'type': 'function', 'url': 'String.type.html#slice', 'doc': '<p>Return two strings, the first containing the characters\nthat occur before the given <a class=\'link\' href=\'String.type.html#slice-index\' title=\'Go to ceylon.language::String.slice.index\'><code><span class=\'identifier\'>index</span></code></a>, the second with\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.size', 'type': 'value', 'url': 'String.type.html#size', 'doc': '<p>The length of the string (the number of characters it\ncontains).</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.lastIndex', 'type': 'attribute', 'url': 'String.type.html#lastIndex', 'doc': '<p>The index of the last character in the string, or\n<code>null</code> if the string has no characters.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.iterator', 'type': 'function', 'url': 'String.type.html#iterator', 'doc': '<p>An iterator for the characters of the string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.getFromFirst', 'type': 'function', 'url': 'String.type.html#getFromFirst', 'doc': '<p>Returns the character at the given <a class=\'link\' href=\'String.type.html#getFromFirst-index\' title=\'Go to ceylon.language::String.getFromFirst.index\'><code><span class=\'identifier\'>index</span></code></a> in the\nstring, or <code>null</code> if the index is before the start of\nthe string…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.contains', 'type': 'function', 'url': 'String.type.html#contains', 'doc': '<p>Determines if the given object is a <code>String</code> and, if\nso, if it occurs as a substring of this string, or if\nthe object…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.startsWith', 'type': 'function', 'url': 'String.type.html#startsWith', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'List.type.html#startsWith-sublist\' title=\'Go to ceylon.language::List.startsWith.sublist\'>list</a> occurs at the\nstart of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.endsWith', 'type': 'function', 'url': 'String.type.html#endsWith', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'List.type.html#endsWith-sublist\' title=\'Go to ceylon.language::List.endsWith.sublist\'>list</a> occurs at the\nend of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.plus', 'type': 'function', 'url': 'String.type.html#plus', 'doc': '<p>Returns the concatenation of this string with the\ngiven string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.repeat', 'type': 'function', 'url': 'String.type.html#repeat', 'doc': '<p>Returns a string formed by repeating this string the\ngiven number of <a class=\'link\' href=\'String.type.html#repeat-times\' title=\'Go to ceylon.language::String.repeat.times\'><code><span class=\'identifier\'>times</span></code></a>, or the empty string if\n<code>times&lt;=0</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.replace', 'type': 'function', 'url': 'String.type.html#replace', 'doc': '<p>Returns a string formed by replacing every occurrence\nin this string of the given <a class=\'link\' href=\'String.type.html#replace-substring\' title=\'Go to ceylon.language::String.replace.substring\'><code><span class=\'identifier\'>substring</span></code></a> with the\ngiven [[…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.replaceFirst', 'type': 'function', 'url': 'String.type.html#replaceFirst', 'doc': '<p>Returns a string formed by replacing the first\noccurrence in this string of the given <a class=\'link\' href=\'String.type.html#replaceFirst-substring\' title=\'Go to ceylon.language::String.replaceFirst.substring\'><code><span class=\'identifier\'>substring</span></code></a>,\nif any, with the…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.replaceLast', 'type': 'function', 'url': 'String.type.html#replaceLast', 'doc': '<p>Returns a string formed by replacing the last\noccurrence in this string of the given <a class=\'link\' href=\'String.type.html#replaceLast-substring\' title=\'Go to ceylon.language::String.replaceLast.substring\'><code><span class=\'identifier\'>substring</span></code></a>,\nif any, with the…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.compare', 'type': 'function', 'url': 'String.type.html#compare', 'doc': '<p>Compare this string with the given string\nlexicographically, according to the Unicode code points\nof the characters.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.compareIgnoringCase', 'type': 'function', 'url': 'String.type.html#compareIgnoringCase', 'doc': '<p>Compare this string with the given string\nlexicographically, ignoring the case of the characters.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.longerThan', 'type': 'function', 'url': 'String.type.html#longerThan', 'doc': '<p>Determines if this string is longer than the given\n<a class=\'link\' href=\'String.type.html#longerThan-length\' title=\'Go to ceylon.language::String.longerThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.shorterThan', 'type': 'function', 'url': 'String.type.html#shorterThan', 'doc': '<p>Determines if this string is shorter than the given\n<a class=\'link\' href=\'String.type.html#shorterThan-length\' title=\'Go to ceylon.language::String.shorterThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.equals', 'type': 'function', 'url': 'String.type.html#equals', 'doc': '<p>Determines if the given object is a <code>String</code>, and if\nso, if this string has the same <a class=\'link-custom-text\' href=\'String.type.html#size\' title=\'Go to ceylon.language::String.size\'>length</a>, and\nthe same [[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.equalsIgnoringCase', 'type': 'function', 'url': 'String.type.html#equalsIgnoringCase', 'doc': '<p>Compare this string with the given string, ignoring the\ncase of the characters.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.hash', 'type': 'value', 'url': 'String.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.string', 'type': 'attribute', 'url': 'String.type.html#string', 'doc': '<p>This string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.empty', 'type': 'value', 'url': 'String.type.html#empty', 'doc': '<p>Determines if this string has no characters, that is,\nif it has zero <a class=\'link\' href=\'String.type.html#size\' title=\'Go to ceylon.language::String.size\'><code><span class=\'type-identifier\'>String</span>.<span class=\'identifier\'>size</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.coalesced', 'type': 'attribute', 'url': 'String.type.html#coalesced', 'doc': '<p>This string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.clone', 'type': 'function', 'url': 'String.type.html#clone', 'doc': '<p>This string.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'String.pad', 'type': 'function', 'url': 'String.type.html#pad', 'doc': '<p>Pad this string with the given <a class=\'link\' href=\'String.type.html#pad-character\' title=\'Go to ceylon.language::String.pad.character\'><code><span class=\'identifier\'>character</span></code></a>, producing\na string of the given minimum <a class=\'link\' href=\'String.type.html#pad-size\' title=\'Go to ceylon.language::String.pad.size\'><code><span class=\'identifier\'>size</span></code></a>, centering the\nstring.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.padLeading', 'type': 'function', 'url': 'String.type.html#padLeading', 'doc': '<p>Left pad this string with the given <a class=\'link\' href=\'String.type.html#padLeading-character\' title=\'Go to ceylon.language::String.padLeading.character\'><code><span class=\'identifier\'>character</span></code></a>,\nproducing a string of the given minimum <a class=\'link\' href=\'String.type.html#padLeading-size\' title=\'Go to ceylon.language::String.padLeading.size\'><code><span class=\'identifier\'>size</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.padTrailing', 'type': 'function', 'url': 'String.type.html#padTrailing', 'doc': '<p>Right pad this string with the given <a class=\'link\' href=\'String.type.html#padTrailing-character\' title=\'Go to ceylon.language::String.padTrailing.character\'><code><span class=\'identifier\'>character</span></code></a>,\nproducing a string of the given minimum <a class=\'link\' href=\'String.type.html#padTrailing-size\' title=\'Go to ceylon.language::String.padTrailing.size\'><code><span class=\'identifier\'>size</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.copyTo', 'type': 'function', 'url': 'String.type.html#copyTo', 'doc': '<p>Efficiently copy the characters in the segment\n<code>sourcePosition:length</code> of this string to the segment\n`…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'String.sublistFrom', 'type': 'function', 'url': 'String.type.html#sublistFrom', 'doc': '<p>A sublist of this list, starting at the element with\nthe given <a class=\'link-custom-text\' href=\'List.type.html#sublistFrom-from\' title=\'Go to ceylon.language::List.sublistFrom.from\'>index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.sublistTo', 'type': 'function', 'url': 'String.type.html#sublistTo', 'doc': '<p>A sublist of this list, ending at the element with the\ngiven <a class=\'link-custom-text\' href=\'List.type.html#sublistTo-to\' title=\'Go to ceylon.language::List.sublistTo.to\'>index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.indexesWhere', 'type': 'function', 'url': 'String.type.html#indexesWhere', 'doc': '<p>The indexes in this list for which the element is not\nnull and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#indexesWhere-selecting\' title=\'Go to ceylon.language::List.indexesWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.firstIndexWhere', 'type': 'function', 'url': 'String.type.html#firstIndexWhere', 'doc': '<p>The first index in this list for which the element is\nnot null and satisfies the given\n[[predicate function|selecting]…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.lastIndexWhere', 'type': 'function', 'url': 'String.type.html#lastIndexWhere', 'doc': '<p>The last index in this list for which the element is\nnot null and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#lastIndexWhere-selecting\' title=\'Go to ceylon.language::List.lastIndexWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.occurrences', 'type': 'function', 'url': 'String.type.html#occurrences', 'doc': '<p>The indexes in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#occurrences-element\' title=\'Go to ceylon.language::SearchableList.occurrences.element\'>value</a> occurs.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.inclusions', 'type': 'function', 'url': 'String.type.html#inclusions', 'doc': '<p>The indexes in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#inclusions-sublist\' title=\'Go to ceylon.language::SearchableList.inclusions.sublist\'>list</a> occurs as a sublist, that are greater\nthan or equal to…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.occurs', 'type': 'function', 'url': 'String.type.html#occurs', 'doc': '<p>Determines if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#occurs-element\' title=\'Go to ceylon.language::SearchableList.occurs.element\'>value</a> occurs as an\nelement of this list, at any index that falls within\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.occursAt', 'type': 'function', 'url': 'String.type.html#occursAt', 'doc': '<p>Determines if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#occursAt-element\' title=\'Go to ceylon.language::SearchableList.occursAt.element\'>value</a> occurs at the\ngiven index in this list.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.includes', 'type': 'function', 'url': 'String.type.html#includes', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#includes-sublist\' title=\'Go to ceylon.language::SearchableList.includes.sublist\'>list</a> occurs as a\nsublist at some index in this list, at any index that\nis greater…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.includesAt', 'type': 'function', 'url': 'String.type.html#includesAt', 'doc': '<p>Determine if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#includesAt-sublist\' title=\'Go to ceylon.language::SearchableList.includesAt.sublist\'>list</a> occurs as a\nsublist at the given index of this list.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.firstOccurrence', 'type': 'function', 'url': 'String.type.html#firstOccurrence', 'doc': '<p>The first index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#firstOccurrence-element\' title=\'Go to ceylon.language::SearchableList.firstOccurrence.element\'>value</a> occurs, that falls within the segment\n<code>from:length</code>…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.lastOccurrence', 'type': 'function', 'url': 'String.type.html#lastOccurrence', 'doc': '<p>The last index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#lastOccurrence-element\' title=\'Go to ceylon.language::SearchableList.lastOccurrence.element\'>value</a> occurs, that falls within the range\n`…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.firstInclusion', 'type': 'function', 'url': 'String.type.html#firstInclusion', 'doc': '<p>The first index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#firstInclusion-sublist\' title=\'Go to ceylon.language::SearchableList.firstInclusion.sublist\'>list</a> occurs as a sublist, that is greater\nthan or equal…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.lastInclusion', 'type': 'function', 'url': 'String.type.html#lastInclusion', 'doc': '<p>The last index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#lastInclusion-sublist\' title=\'Go to ceylon.language::SearchableList.lastInclusion.sublist\'>list</a> occurs as a sublist, that falls within\nthe range `0:…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.largerThan', 'type': 'function', 'url': 'String.type.html#largerThan', 'doc': '<p>Determines if this value is strictly larger than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.smallerThan', 'type': 'function', 'url': 'String.type.html#smallerThan', 'doc': '<p>Determines if this value is strictly smaller than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.notSmallerThan', 'type': 'function', 'url': 'String.type.html#notSmallerThan', 'doc': '<p>Determines if this value is larger than or equal to the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.notLargerThan', 'type': 'function', 'url': 'String.type.html#notLargerThan', 'doc': '<p>Determines if this value is smaller than or equal to\nthe given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.each', 'type': 'function', 'url': 'String.type.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.count', 'type': 'function', 'url': 'String.type.html#count', 'doc': '<p>Produces the number of elements in this stream that\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#count-selecting\' title=\'Go to ceylon.language::Iterable.count.selecting\'>given predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.every', 'type': 'function', 'url': 'String.type.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.any', 'type': 'function', 'url': 'String.type.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.reduce', 'type': 'function', 'url': 'String.type.html#reduce', 'doc': '<p>Beginning with the <a class=\'link\' href=\'Iterable.type.html#first\' title=\'Go to ceylon.language::Iterable.first\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>first</span></code></a> element of this stream,\napply the given <a class=\'link-custom-text\' href=\'Iterable.type.html#reduce-accumulating\' title=\'Go to ceylon.language::Iterable.reduce.accumulating\'>combining function</a> to\neach…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.find', 'type': 'function', 'url': 'String.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.findLast', 'type': 'function', 'url': 'String.type.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.locate', 'type': 'function', 'url': 'String.type.html#locate', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#locate-selecting\' title=\'Go to ceylon.language::Iterable.locate.selecting\'>given predicate function</a>, if any,\ntogether with…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.locateLast', 'type': 'function', 'url': 'String.type.html#locateLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#locateLast-selecting\' title=\'Go to ceylon.language::Iterable.locateLast.selecting\'>given predicate function</a>, if any,\ntogether with its…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String.locations', 'type': 'function', 'url': 'String.type.html#locations', 'doc': '<p>A stream producing all elements of this stream which\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#locations-selecting\' title=\'Go to ceylon.language::Iterable.locations.selecting\'>given predicate function</a>,\ntogether with…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'String', 'type': 'class', 'url': 'String.type.html', 'doc': '<p>A string of characters.</p>\n', 'tags': ['Basic types', 'Strings'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'unflatten', 'type': 'function', 'url': 'index.html#unflatten', 'doc': '<p>Given a function with parameter types <code>P1</code>, <code>P2</code>, &hellip;, <code>Pn</code>,\nreturn a function with a single parameter of tuple type…</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'formatInteger', 'type': 'function', 'url': 'index.html#formatInteger', 'doc': '<p>The string representation of the given <a class=\'link\' href=\'index.html#formatInteger-integer\' title=\'Go to ceylon.language::formatInteger.integer\'><code><span class=\'identifier\'>integer</span></code></a> in the\nbase given by <a class=\'link\' href=\'index.html#formatInteger-radix\' title=\'Go to ceylon.language::formatInteger.radix\'><code><span class=\'identifier\'>radix</span></code></a>.</p>\n', 'tags': ['Numbers'],'icons': ['icon-shared-member']},
{'name': 'smallest', 'type': 'function', 'url': 'index.html#smallest', 'doc': '<p>Given two <code><a class=\'link\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'><span class=\'type-identifier\'>Comparable</span></a></code> values, return smallest of the two.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'ArraySequence.first', 'type': 'attribute', 'url': 'ArraySequence.type.html#first', 'doc': '<p>The first element returned by the iterator, if any, or\n<code>null</code> if this stream is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.last', 'type': 'attribute', 'url': 'ArraySequence.type.html#last', 'doc': '<p>The last element returned by the iterator, if any, or\n<code>null</code> if this stream is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.reduce', 'type': 'function', 'url': 'ArraySequence.type.html#reduce', 'doc': '<p>Beginning with the <a class=\'link\' href=\'Iterable.type.html#first\' title=\'Go to ceylon.language::Iterable.first\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>first</span></code></a> element of this stream,\napply the given <a class=\'link-custom-text\' href=\'Iterable.type.html#reduce-accumulating\' title=\'Go to ceylon.language::Iterable.reduce.accumulating\'>combining function</a> to\neach…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.collect', 'type': 'function', 'url': 'ArraySequence.type.html#collect', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nresults of applying the given <a class=\'link-custom-text\' href=\'Iterable.type.html#collect-collecting\' title=\'Go to ceylon.language::Iterable.collect.collecting\'>mapping</a> to\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.sort', 'type': 'function', 'url': 'ArraySequence.type.html#sort', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nelements of this stream, sorted according to the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.measure', 'type': 'function', 'url': 'ArraySequence.type.html#measure', 'doc': '<p>Obtain a measure containing the mapped values starting\nfrom the given <a class=\'link-custom-text\' href=\'Ranged.type.html#measure-from\' title=\'Go to ceylon.language::Ranged.measure.from\'>starting index</a>, with the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ArraySequence.span', 'type': 'function', 'url': 'ArraySequence.type.html#span', 'doc': '<p>Obtain a span containing the elements between the two\ngiven indices.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ArraySequence.spanFrom', 'type': 'function', 'url': 'ArraySequence.type.html#spanFrom', 'doc': '<p>Obtain a span containing the elements between the given\n<a class=\'link-custom-text\' href=\'Ranged.type.html#spanFrom-from\' title=\'Go to ceylon.language::Ranged.spanFrom.from\'>starting index</a> and the last index of this\nranged…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ArraySequence.spanTo', 'type': 'function', 'url': 'ArraySequence.type.html#spanTo', 'doc': '<p>Obtain a span containing the elements between the first\nindex of this ranged stream and given <a class=\'link-custom-text\' href=\'Ranged.type.html#spanTo-to\' title=\'Go to ceylon.language::Ranged.spanTo.to\'>end index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ArraySequence.getFromFirst', 'type': 'function', 'url': 'ArraySequence.type.html#getFromFirst', 'doc': '<p>The <a class=\'link\' href=\'Iterable.type.html#getFromFirst-index\' title=\'Go to ceylon.language::Iterable.getFromFirst.index\'><code><span class=\'identifier\'>index</span></code></a>th element returned by an iterator of this\nstream, or <code>null</code> if there are fewer than <code>index+1</code>\nelements…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.contains', 'type': 'function', 'url': 'ArraySequence.type.html#contains', 'doc': '<p>Returns <code>true</code> if the given value belongs to this\n<code>Category</code>, that is, if it is an element of this\n<code>Category</code>, or `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ArraySequence.size', 'type': 'attribute', 'url': 'ArraySequence.type.html#size', 'doc': '<p>The number of elements returned by the <a class=\'link\' href=\'Iterable.type.html#iterator\' title=\'Go to ceylon.language::Iterable.iterator\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>iterator()</span></code></a> of\nthis stream, if the iterator terminates.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.iterator', 'type': 'function', 'url': 'ArraySequence.type.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ArraySequence.rest', 'type': 'attribute', 'url': 'ArraySequence.type.html#rest', 'doc': '<p>A stream containing all but the first element of this\nstream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.clone', 'type': 'function', 'url': 'ArraySequence.type.html#clone', 'doc': '<p>A shallow copy of this collection, that is, a\ncollection with identical elements which does not\nchange if this…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ArraySequence.each', 'type': 'function', 'url': 'ArraySequence.type.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.count', 'type': 'function', 'url': 'ArraySequence.type.html#count', 'doc': '<p>Produces the number of elements in this stream that\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#count-selecting\' title=\'Go to ceylon.language::Iterable.count.selecting\'>given predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.every', 'type': 'function', 'url': 'ArraySequence.type.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.any', 'type': 'function', 'url': 'ArraySequence.type.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.find', 'type': 'function', 'url': 'ArraySequence.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence.findLast', 'type': 'function', 'url': 'ArraySequence.type.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'ArraySequence', 'type': 'class', 'url': 'ArraySequence.type.html', 'doc': '<p>A <code><a class=\'link\' href=\'Sequence.type.html\' title=\'Go to ceylon.language::Sequence\'><span class=\'type-identifier\'>Sequence</span></a></code> backed by an <code><a class=\'link\' href=\'Array.type.html\' title=\'Go to ceylon.language::Array\'><span class=\'type-identifier\'>Array</span></a></code>.</p>\n', 'tags': ['Collections', 'Sequences'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'Iterable.iterator', 'type': 'function', 'url': 'Iterable.type.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Iterable.contains', 'type': 'function', 'url': 'Iterable.type.html#contains', 'doc': '<p>Returns <code>true</code> if the iterator for this stream produces\nthe given element, or <code>false</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Iterable.empty', 'type': 'attribute', 'url': 'Iterable.type.html#empty', 'doc': '<p>Determines if the stream is empty, that is to say, if\nthe iterator returns no elements.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.size', 'type': 'attribute', 'url': 'Iterable.type.html#size', 'doc': '<p>The number of elements returned by the <a class=\'link\' href=\'Iterable.type.html#iterator\' title=\'Go to ceylon.language::Iterable.iterator\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>iterator()</span></code></a> of\nthis stream, if the iterator terminates.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.longerThan', 'type': 'function', 'url': 'Iterable.type.html#longerThan', 'doc': '<p>Determines if this stream has more elements than the\ngiven <a class=\'link\' href=\'Iterable.type.html#longerThan-length\' title=\'Go to ceylon.language::Iterable.longerThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.shorterThan', 'type': 'function', 'url': 'Iterable.type.html#shorterThan', 'doc': '<p>Determines if this stream has fewer elements than the\ngiven <a class=\'link\' href=\'Iterable.type.html#shorterThan-length\' title=\'Go to ceylon.language::Iterable.shorterThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.first', 'type': 'attribute', 'url': 'Iterable.type.html#first', 'doc': '<p>The first element returned by the iterator, if any, or\n<code>null</code> if this stream is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.last', 'type': 'attribute', 'url': 'Iterable.type.html#last', 'doc': '<p>The last element returned by the iterator, if any, or\n<code>null</code> if this stream is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.getFromFirst', 'type': 'function', 'url': 'Iterable.type.html#getFromFirst', 'doc': '<p>The <a class=\'link\' href=\'Iterable.type.html#getFromFirst-index\' title=\'Go to ceylon.language::Iterable.getFromFirst.index\'><code><span class=\'identifier\'>index</span></code></a>th element returned by an iterator of this\nstream, or <code>null</code> if there are fewer than <code>index+1</code>\nelements…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.sequence', 'type': 'function', 'url': 'Iterable.type.html#sequence', 'doc': '<p>A <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing all the elements\nof this stream, in the same order they occur in this\nstream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.indexes', 'type': 'function', 'url': 'Iterable.type.html#indexes', 'doc': '<p>A <code><a class=\'link\' href=\'Range.type.html\' title=\'Go to ceylon.language::Range\'><span class=\'type-identifier\'>Range</span></a></code> containing all indexes of this stream, or\n<code>[]</code> if this list is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.rest', 'type': 'attribute', 'url': 'Iterable.type.html#rest', 'doc': '<p>A stream containing all but the first element of this\nstream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.exceptLast', 'type': 'attribute', 'url': 'Iterable.type.html#exceptLast', 'doc': '<p>A stream containing all but the last element of this\nstream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.each', 'type': 'function', 'url': 'Iterable.type.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.map', 'type': 'function', 'url': 'Iterable.type.html#map', 'doc': '<p>Produces a stream containing the results of applying\nthe given <a class=\'link-custom-text\' href=\'Iterable.type.html#map-collecting\' title=\'Go to ceylon.language::Iterable.map.collecting\'>mapping</a> to the elements of\nthis stream.…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.flatMap', 'type': 'function', 'url': 'Iterable.type.html#flatMap', 'doc': '<p>Given a <a class=\'link-custom-text\' href=\'Iterable.type.html#flatMap-collecting\' title=\'Go to ceylon.language::Iterable.flatMap.collecting\'>mapping function</a> that accepts an\n<code><span class=\'type-parameter\'>Element</span></code> and returns a stream of <code><span class=\'type-parameter\'>Result</span></code>s,\nproduces a…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.filter', 'type': 'function', 'url': 'Iterable.type.html#filter', 'doc': '<p>Produces a stream containing the elements of this\nstream that satisfy the given <a class=\'link-custom-text\' href=\'Iterable.type.html#filter-selecting\' title=\'Go to ceylon.language::Iterable.filter.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.narrow', 'type': 'function', 'url': 'Iterable.type.html#narrow', 'doc': '<p>Produces a stream containing the elements of this\nstream that are instances of the given <span class=\'type-parameter\'>Type</span>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.fold', 'type': 'function', 'url': 'Iterable.type.html#fold', 'doc': '<p>Beginning with a given <a class=\'link-custom-text\' href=\'Iterable.type.html#fold-initial\' title=\'Go to ceylon.language::Iterable.fold.initial\'>initial value</a>, apply\nthe given <a class=\'link-custom-text\' href=\'Iterable.type.html#fold-accumulating\' title=\'Go to ceylon.language::Iterable.fold.accumulating\'>combining function</a> to each\nelement…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.reduce', 'type': 'function', 'url': 'Iterable.type.html#reduce', 'doc': '<p>Beginning with the <a class=\'link\' href=\'Iterable.type.html#first\' title=\'Go to ceylon.language::Iterable.first\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>first</span></code></a> element of this stream,\napply the given <a class=\'link-custom-text\' href=\'Iterable.type.html#reduce-accumulating\' title=\'Go to ceylon.language::Iterable.reduce.accumulating\'>combining function</a> to\neach…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.scan', 'type': 'function', 'url': 'Iterable.type.html#scan', 'doc': '<p>The stream of intermediate results obtained by\nbeginning with a given <a class=\'link-custom-text\' href=\'Iterable.type.html#scan-initial\' title=\'Go to ceylon.language::Iterable.scan.initial\'>initial value</a> and\niteratively…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.find', 'type': 'function', 'url': 'Iterable.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.findLast', 'type': 'function', 'url': 'Iterable.type.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.locate', 'type': 'function', 'url': 'Iterable.type.html#locate', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#locate-selecting\' title=\'Go to ceylon.language::Iterable.locate.selecting\'>given predicate function</a>, if any,\ntogether with…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.locateLast', 'type': 'function', 'url': 'Iterable.type.html#locateLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#locateLast-selecting\' title=\'Go to ceylon.language::Iterable.locateLast.selecting\'>given predicate function</a>, if any,\ntogether with its…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.locations', 'type': 'function', 'url': 'Iterable.type.html#locations', 'doc': '<p>A stream producing all elements of this stream which\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#locations-selecting\' title=\'Go to ceylon.language::Iterable.locations.selecting\'>given predicate function</a>,\ntogether with…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.max', 'type': 'function', 'url': 'Iterable.type.html#max', 'doc': '<p>Return the largest value in the stream, as measured by\nthe given <a class=\'link-custom-text\' href=\'Iterable.type.html#max-comparing\' title=\'Go to ceylon.language::Iterable.max.comparing\'>comparator function</a> imposing a\npartial…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.spread', 'type': 'function', 'url': 'Iterable.type.html#spread', 'doc': '<p>Given a <a class=\'link\' href=\'Iterable.type.html#spread-method\' title=\'Go to ceylon.language::Iterable.spread.method\'><code><span class=\'identifier\'>method()</span></code></a> of the element type <code><span class=\'type-parameter\'>Element</span></code>,\nreturn a function that, when supplied with a list of\nmethod…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.sort', 'type': 'function', 'url': 'Iterable.type.html#sort', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nelements of this stream, sorted according to the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.collect', 'type': 'function', 'url': 'Iterable.type.html#collect', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing the\nresults of applying the given <a class=\'link-custom-text\' href=\'Iterable.type.html#collect-collecting\' title=\'Go to ceylon.language::Iterable.collect.collecting\'>mapping</a> to\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.select', 'type': 'function', 'url': 'Iterable.type.html#select', 'doc': '<p>Produce a new <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing all\nelements of this stream that satisfy the given\n[[predicate…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.count', 'type': 'function', 'url': 'Iterable.type.html#count', 'doc': '<p>Produces the number of elements in this stream that\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#count-selecting\' title=\'Go to ceylon.language::Iterable.count.selecting\'>given predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.any', 'type': 'function', 'url': 'Iterable.type.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.every', 'type': 'function', 'url': 'Iterable.type.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.skip', 'type': 'function', 'url': 'Iterable.type.html#skip', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the first <a class=\'link\' href=\'Iterable.type.html#skip-skipping\' title=\'Go to ceylon.language::Iterable.skip.skipping\'><code><span class=\'identifier\'>skipping</span></code></a> elements\nproduced by…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.take', 'type': 'function', 'url': 'Iterable.type.html#take', 'doc': '<p>Produces a stream containing the first <a class=\'link\' href=\'Iterable.type.html#take-taking\' title=\'Go to ceylon.language::Iterable.take.taking\'><code><span class=\'identifier\'>taking</span></code></a>\nelements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.skipWhile', 'type': 'function', 'url': 'Iterable.type.html#skipWhile', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the leading elements until the\ngiven [[…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.takeWhile', 'type': 'function', 'url': 'Iterable.type.html#takeWhile', 'doc': '<p>Produces a stream containing the leading elements of\nthis stream until the given <a class=\'link-custom-text\' href=\'Iterable.type.html#takeWhile-taking\' title=\'Go to ceylon.language::Iterable.takeWhile.taking\'>predicate function</a>\nreturns…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.repeat', 'type': 'function', 'url': 'Iterable.type.html#repeat', 'doc': '<p>Produces a stream formed by repeating the elements of\nthis stream the given <a class=\'link-custom-text\' href=\'Iterable.type.html#repeat-times\' title=\'Go to ceylon.language::Iterable.repeat.times\'>number of times</a>, or an\nempty…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.by', 'type': 'function', 'url': 'Iterable.type.html#by', 'doc': '<p>Produces a stream containing every <a class=\'link\' href=\'Iterable.type.html#by-step\' title=\'Go to ceylon.language::Iterable.by.step\'><code><span class=\'identifier\'>step</span></code></a>th element\nof this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.defaultNullElements', 'type': 'function', 'url': 'Iterable.type.html#defaultNullElements', 'doc': '<p>Produces a stream containing the elements of this\nstream, in the order in which they occur in this stream,\nafter…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.coalesced', 'type': 'attribute', 'url': 'Iterable.type.html#coalesced', 'doc': '<p>The non-null elements of this stream, in the order in\nwhich they occur in this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.indexed', 'type': 'attribute', 'url': 'Iterable.type.html#indexed', 'doc': '<p>A stream containing all <a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entries</a> of form\n<code>index-&gt;element</code> where <code>element</code> is an element of this\nstream, and `…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.paired', 'type': 'attribute', 'url': 'Iterable.type.html#paired', 'doc': '<p>A stream containing whose elements are pairs (2-tuples)\ncomprising an element of this stream paired with the\nnext…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.partition', 'type': 'function', 'url': 'Iterable.type.html#partition', 'doc': '<p>Produces a stream of sequences of the given <a class=\'link\' href=\'Iterable.type.html#partition-length\' title=\'Go to ceylon.language::Iterable.partition.length\'><code><span class=\'identifier\'>length</span></code></a>,\ncontaining elements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.follow', 'type': 'function', 'url': 'Iterable.type.html#follow', 'doc': '<p>Produces a stream with a given <a class=\'link-custom-text\' href=\'Iterable.type.html#follow-head\' title=\'Go to ceylon.language::Iterable.follow.head\'>initial element</a>,\nfollowed by the elements of this stream, in the order\nin…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.chain', 'type': 'function', 'url': 'Iterable.type.html#chain', 'doc': '<p>The elements of this stream, in the order in which they\noccur in this stream, followed by the elements of the\n[[given…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.product', 'type': 'function', 'url': 'Iterable.type.html#product', 'doc': '<p>A stream of pairs of elements of this stream and the\nthe given stream, where for each element <code>x</code> of this\nstream, and…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.cycled', 'type': 'attribute', 'url': 'Iterable.type.html#cycled', 'doc': '<p>An infinite stream that produces the elements of this\nstream, repeatedly.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.interpose', 'type': 'function', 'url': 'Iterable.type.html#interpose', 'doc': '<p>A stream that contains the given <a class=\'link\' href=\'Iterable.type.html#interpose-element\' title=\'Go to ceylon.language::Iterable.interpose.element\'><code><span class=\'identifier\'>element</span></code></a> interposed\nbetween blocks of <a class=\'link\' href=\'Iterable.type.html#interpose-step\' title=\'Go to ceylon.language::Iterable.interpose.step\'><code><span class=\'identifier\'>step</span></code></a> elements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.distinct', 'type': 'attribute', 'url': 'Iterable.type.html#distinct', 'doc': '<p>A stream that produces every element produced by this\nstream exactly once.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.frequencies', 'type': 'function', 'url': 'Iterable.type.html#frequencies', 'doc': '<p>Produce a <code><a class=\'link\' href=\'Map.type.html\' title=\'Go to ceylon.language::Map\'><span class=\'type-identifier\'>Map</span></a></code> mapping elements to frequencies where\neach <a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entry</a> maps a distinct non-null element\nof this…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.tabulate', 'type': 'function', 'url': 'Iterable.type.html#tabulate', 'doc': '<p>Produces a <code><a class=\'link\' href=\'Map.type.html\' title=\'Go to ceylon.language::Map\'><span class=\'type-identifier\'>Map</span></a></code> mapping elements to items where each\n<a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entry</a> maps a distinct non-null element of\nthis…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.group', 'type': 'function', 'url': 'Iterable.type.html#group', 'doc': '<p>Classifies the elements of this stream into a new\nimmutable <code><a class=\'link\' href=\'Map.type.html\' title=\'Go to ceylon.language::Map\'><span class=\'type-identifier\'>Map</span></a></code> where each key is a value produced by\nthe given [[…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.summarize', 'type': 'function', 'url': 'Iterable.type.html#summarize', 'doc': '<p>Efficiently <a class=\'link\' href=\'Iterable.type.html#group\' title=\'Go to ceylon.language::Iterable.group\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>group()</span></code></a> and <a class=\'link\' href=\'Iterable.type.html#fold\' title=\'Go to ceylon.language::Iterable.fold\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>fold()</span></code></a> the elements of this\nstream in a single step.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Iterable.string', 'type': 'attribute', 'url': 'Iterable.type.html#string', 'doc': '<p>A string of form <code>"{ x, y, z }"</code> where <code>x</code>, <code>y</code>, and\n<code>z</code> are the <code>string</code> representations of the elements of\nthis…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Iterable', 'type': 'interface', 'url': 'Iterable.type.html', 'doc': '<p>Abstract supertype of <a class=\'link-custom-text\' href=\'Category.type.html\' title=\'Go to ceylon.language::Category\'>categories</a> whose\nelements may be iterated.</p>\n', 'tags': ['Streams'],'icons': ['icon-interface']},
{'name': 'or', 'type': 'function', 'url': 'index.html#or', 'doc': '<p>Returns a function which is the logical disjunction of the\ngiven predicate functions.</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'infinity', 'type': 'value', 'url': 'index.html#infinity', 'doc': '<p>An instance of <code><a class=\'link\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'><span class=\'type-identifier\'>Float</span></a></code> representing positive infinity,\n∞, the result of dividing a positive number by zero.</p>\n', 'tags': ['Numbers'],'icons': ['icon-shared-member']},
{'name': 'Float.undefined', 'type': 'attribute', 'url': 'Float.type.html#undefined', 'doc': '<p>Determines whether this value is undefined.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Float.notANumber', 'type': 'attribute', 'url': 'Float.type.html#undefined', 'doc': '<p>Determines whether this value is undefined.</p>\n', 'tags': [],'icons': ['icon-shared-member'], 'aliasFor': 'Float.undefined'},
{'name': 'Float.infinite', 'type': 'attribute', 'url': 'Float.type.html#infinite', 'doc': '<p>Determines whether this value is infinite in magnitude.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Float.finite', 'type': 'attribute', 'url': 'Float.type.html#finite', 'doc': '<p>Determines whether this value is finite.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Float.sign', 'type': 'value', 'url': 'Float.type.html#sign', 'doc': '<p>The sign of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float.positive', 'type': 'value', 'url': 'Float.type.html#positive', 'doc': '<p>Determines if this value is a positive number or\n<code>infinity</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.negative', 'type': 'value', 'url': 'Float.type.html#negative', 'doc': '<p>Determines if this value is a negative number or\n<code>-infinity</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.strictlyPositive', 'type': 'value', 'url': 'Float.type.html#strictlyPositive', 'doc': '<p>Determines if this value is a positive number, <code>+0.0</code>,\nor <code>infinity</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Float.strictlyNegative', 'type': 'value', 'url': 'Float.type.html#strictlyNegative', 'doc': '<p>Determines if this value is a negative number, <code>-0.0</code>,\nor <code>-infinity</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Float.equals', 'type': 'function', 'url': 'Float.type.html#equals', 'doc': '<p>Determines if the given object is equal to this <code>Float</code>,\nthat is, if:</p>\n<ul>\n<li>the given object is also a <code>Float</code>,</li>\n<li>neither…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.hash', 'type': 'value', 'url': 'Float.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.compare', 'type': 'function', 'url': 'Float.type.html#compare', 'doc': '<p>Compares this value with the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.plus', 'type': 'function', 'url': 'Float.type.html#plus', 'doc': '<p>The result of adding the given value to this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.minus', 'type': 'function', 'url': 'Float.type.html#minus', 'doc': '<p>The difference between this number and the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float.times', 'type': 'function', 'url': 'Float.type.html#times', 'doc': '<p>The product of this number and the given number.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.divided', 'type': 'function', 'url': 'Float.type.html#divided', 'doc': '<p>The quotient obtained by dividing this number by the\ngiven number.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.power', 'type': 'function', 'url': 'Float.type.html#power', 'doc': '<p>The result of raising this number to the given floating\npoint power, where, following the definition of the\nIEEE `pow()…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.wholePart', 'type': 'value', 'url': 'Float.type.html#wholePart', 'doc': '<p>The integral value of the number after truncation of\nthe fractional part.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.fractionalPart', 'type': 'value', 'url': 'Float.type.html#fractionalPart', 'doc': '<p>The fractional part of this number, after truncation of\nthe integral part.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.magnitude', 'type': 'value', 'url': 'Float.type.html#magnitude', 'doc': '<p>The magnitude of this number, defined for any instance\n<code>x</code> as:</p>\n<ul>\n<li><code>-x</code> if <code>x&lt;0</code>, or</li>\n<li><code>x</code> otherwise,</li>\n</ul>\n<p>where <code>0</code> is…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float.absolute', 'type': 'value', 'url': 'Float.type.html#magnitude', 'doc': '<p>The magnitude of this number, defined for any instance\n<code>x</code> as:</p>\n<ul>\n<li><code>-x</code> if <code>x&lt;0</code>, or</li>\n<li><code>x</code> otherwise,</li>\n</ul>\n<p>where <code>0</code> is…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over'], 'aliasFor': 'Float.magnitude'},
{'name': 'Float.negated', 'type': 'value', 'url': 'Float.type.html#negated', 'doc': '<p>The additive inverse of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.integer', 'type': 'value', 'url': 'Float.type.html#integer', 'doc': '<p>This value, represented as an <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>, after\ntruncation of its fractional part, if such a\nrepresentation is…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Float.timesInteger', 'type': 'function', 'url': 'Float.type.html#timesInteger', 'doc': '<p>The result of multiplying this number by the given\n<code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.plusInteger', 'type': 'function', 'url': 'Float.type.html#plusInteger', 'doc': '<p>The result of adding this number to the given\n<code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.powerOfInteger', 'type': 'function', 'url': 'Float.type.html#powerOfInteger', 'doc': '<p>The result of raising this number to the given integer\npower, where the following indeterminate forms evaluate\nto `1.0…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Float.string', 'type': 'value', 'url': 'Float.type.html#string', 'doc': '<p>A string representing this floating point number</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float.largerThan', 'type': 'function', 'url': 'Float.type.html#largerThan', 'doc': '<p>Determines if this value is strictly larger than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float.smallerThan', 'type': 'function', 'url': 'Float.type.html#smallerThan', 'doc': '<p>Determines if this value is strictly smaller than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float.notSmallerThan', 'type': 'function', 'url': 'Float.type.html#notSmallerThan', 'doc': '<p>Determines if this value is larger than or equal to the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float.notLargerThan', 'type': 'function', 'url': 'Float.type.html#notLargerThan', 'doc': '<p>Determines if this value is smaller than or equal to\nthe given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Float', 'type': 'class', 'url': 'Float.type.html', 'doc': '<p>An IEEE 754 64-bit [floating point number][].</p>\n', 'tags': ['Basic types', 'Numbers'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'Usable', 'type': 'interface', 'url': 'Usable.type.html', 'doc': '<p>Abstract supertype of resources whose lifecyle may be\nmanaged by the <code>try</code> statement.</p>\n', 'tags': ['Basic types'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Null', 'type': 'class', 'url': 'Null.type.html', 'doc': '<p>The type of the <a class=\'link\' href=\'index.html#null\' title=\'Go to ceylon.language::null\'><code><span class=\'identifier\'>null</span></code></a> value.</p>\n', 'tags': ['Basic types'],'icons': ['icon-class', 'icon-decoration-abstract', 'icon-decoration-enumerated']},
{'name': 'null', 'type': 'object', 'url': 'null.object.html', 'doc': '<p>The null value.</p>\n', 'tags': ['Basic types'],'icons': ['icon-object']},
{'name': 'null', 'type': 'value', 'url': 'index.html#null', 'doc': '<p>The null value.</p>\n', 'tags': ['Basic types'],'icons': ['icon-shared-member']},
{'name': 'Sequence.first', 'type': 'value', 'url': 'Sequence.type.html#first', 'doc': '<p>The first element of the sequence, that is, the element\nwith index <code>0</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequence.last', 'type': 'value', 'url': 'Sequence.type.html#last', 'doc': '<p>The last element of the sequence, that is, the element\nwith index <code>sequence.lastIndex</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequence.empty', 'type': 'attribute', 'url': 'Sequence.type.html#empty', 'doc': '<p>Returns <code>false</code>, since every <code>Sequence</code> contains at\nleast one element.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.size', 'type': 'value', 'url': 'Sequence.type.html#size', 'doc': '<p>The non-negative length of this sequence, that is, the\nnumber of elements in this sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequence.lastIndex', 'type': 'attribute', 'url': 'Sequence.type.html#lastIndex', 'doc': '<p>The index of the last element of the sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.keys', 'type': 'attribute', 'url': 'Sequence.type.html#keys', 'doc': '<p>An integer <code><a class=\'link\' href=\'Range.type.html\' title=\'Go to ceylon.language::Range\'><span class=\'type-identifier\'>Range</span></a></code> containing all indexes of this\nsequence, that is, the range <code>0..sequence.lastIndex</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.indexes', 'type': 'function', 'url': 'Sequence.type.html#indexes', 'doc': '<p>An integer <code><a class=\'link\' href=\'Range.type.html\' title=\'Go to ceylon.language::Range\'><span class=\'type-identifier\'>Range</span></a></code> containing all indexes of this\nsequence, that is, the range <code>0..sequence.lastIndex</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.sequence', 'type': 'function', 'url': 'Sequence.type.html#sequence', 'doc': '<p>This nonempty sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.rest', 'type': 'value', 'url': 'Sequence.type.html#rest', 'doc': '<p>The rest of the sequence, without the first element.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'Sequence.reversed', 'type': 'attribute', 'url': 'Sequence.type.html#reversed', 'doc': '<p>A sequence containing the elements of this sequence in\nreverse order to the order in which they occur in this\nsequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.repeat', 'type': 'function', 'url': 'Sequence.type.html#repeat', 'doc': '<p>Produces a sequence formed by repeating the elements of\nthis sequence the given <a class=\'link-custom-text\' href=\'Sequence.type.html#repeat-times\' title=\'Go to ceylon.language::Sequence.repeat.times\'>number of times</a>, or\nthe [[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.clone', 'type': 'function', 'url': 'Sequence.type.html#clone', 'doc': '<p>This nonempty sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.sort', 'type': 'function', 'url': 'Sequence.type.html#sort', 'doc': '<p>A nonempty sequence containing the elements of this\ncontainer, sorted according to a function imposing a\npartial order…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.collect', 'type': 'function', 'url': 'Sequence.type.html#collect', 'doc': '<p>A nonempty sequence containing the results of applying\nthe given mapping to the elements of this sequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.withLeading', 'type': 'function', 'url': 'Sequence.type.html#withLeading', 'doc': '<p>Return a nonempty sequence containing the given\n<a class=\'link\' href=\'Sequence.type.html#withLeading-element\' title=\'Go to ceylon.language::Sequence.withLeading.element\'><code><span class=\'identifier\'>element</span></code></a>, followed by the elements of this\nsequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.withTrailing', 'type': 'function', 'url': 'Sequence.type.html#withTrailing', 'doc': '<p>Return a nonempty sequence containing the elements of\nthis sequence, followed by the given <a class=\'link\' href=\'Sequence.type.html#withTrailing-element\' title=\'Go to ceylon.language::Sequence.withTrailing.element\'><code><span class=\'identifier\'>element</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.append', 'type': 'function', 'url': 'Sequence.type.html#append', 'doc': '<p>Return a nonempty sequence containing the elements of\nthis sequence, followed by the given <a class=\'link\' href=\'Sequence.type.html#append-elements\' title=\'Go to ceylon.language::Sequence.append.elements\'><code><span class=\'identifier\'>elements</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.prepend', 'type': 'function', 'url': 'Sequence.type.html#prepend', 'doc': '<p>Return a nonempty sequence containing the given\n<a class=\'link\' href=\'Sequence.type.html#prepend-elements\' title=\'Go to ceylon.language::Sequence.prepend.elements\'><code><span class=\'identifier\'>elements</span></code></a>, followed by the elements of this\nsequence.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.contains', 'type': 'function', 'url': 'Sequence.type.html#contains', 'doc': '<p>Returns <code>true</code> if the given value belongs to this\n<code>Category</code>, that is, if it is an element of this\n<code>Category</code>, or `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.shorterThan', 'type': 'function', 'url': 'Sequence.type.html#shorterThan', 'doc': '<p>Determines if this stream has fewer elements than the\ngiven <a class=\'link\' href=\'Iterable.type.html#shorterThan-length\' title=\'Go to ceylon.language::Iterable.shorterThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.longerThan', 'type': 'function', 'url': 'Sequence.type.html#longerThan', 'doc': '<p>Determines if this stream has more elements than the\ngiven <a class=\'link\' href=\'Iterable.type.html#longerThan-length\' title=\'Go to ceylon.language::Iterable.longerThan.length\'><code><span class=\'identifier\'>length</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.find', 'type': 'function', 'url': 'Sequence.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.findLast', 'type': 'function', 'url': 'Sequence.type.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.slice', 'type': 'function', 'url': 'Sequence.type.html#slice', 'doc': '<p>Return two lists, the first containing the elements\nthat occur before the given <a class=\'link\' href=\'List.type.html#slice-index\' title=\'Go to ceylon.language::List.slice.index\'><code><span class=\'identifier\'>index</span></code></a>, the second with\nthe elements…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence.measure', 'type': 'function', 'url': 'Sequence.type.html#measure', 'doc': '<p>Obtain a measure containing the mapped values starting\nfrom the given <a class=\'link-custom-text\' href=\'Ranged.type.html#measure-from\' title=\'Go to ceylon.language::Ranged.measure.from\'>starting index</a>, with the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.span', 'type': 'function', 'url': 'Sequence.type.html#span', 'doc': '<p>Obtain a span containing the elements between the two\ngiven indices.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.spanFrom', 'type': 'function', 'url': 'Sequence.type.html#spanFrom', 'doc': '<p>Obtain a span containing the elements between the given\n<a class=\'link-custom-text\' href=\'Ranged.type.html#spanFrom-from\' title=\'Go to ceylon.language::Ranged.spanFrom.from\'>starting index</a> and the last index of this\nranged…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.spanTo', 'type': 'function', 'url': 'Sequence.type.html#spanTo', 'doc': '<p>Obtain a span containing the elements between the first\nindex of this ranged stream and given <a class=\'link-custom-text\' href=\'Ranged.type.html#spanTo-to\' title=\'Go to ceylon.language::Ranged.spanTo.to\'>end index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Sequence.string', 'type': 'attribute', 'url': 'Sequence.type.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Sequence', 'type': 'interface', 'url': 'Sequence.type.html', 'doc': '<p>A nonempty, immutable sequence of values.</p>\n', 'tags': ['Sequences'],'icons': ['icon-interface']},
{'name': 'sequence', 'type': 'function', 'url': 'index.html#sequence', 'doc': '<p>A <a class=\'link-custom-text\' href=\'Sequence.type.html\' title=\'Go to ceylon.language::Sequence\'>nonempty sequence</a> of the given <a class=\'link\' href=\'index.html#sequence-elements\' title=\'Go to ceylon.language::sequence.elements\'><code><span class=\'identifier\'>elements</span></code></a>,\nor  <code>null</code> if the given stream is empty.</p>\n', 'tags': ['Sequences'],'icons': ['icon-shared-member']},
{'name': 'Character.string', 'type': 'value', 'url': 'Character.type.html#string', 'doc': '<p>A string containing just this character.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Character.lowercased', 'type': 'value', 'url': 'Character.type.html#lowercased', 'doc': '<p>The lowercase representation of this character.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.uppercased', 'type': 'value', 'url': 'Character.type.html#uppercased', 'doc': '<p>The uppercase representation of this character, in the\n<a class=\'link\' href=\'index.html#system\' title=\'Go to ceylon.language::system\'><code><span class=\'identifier\'>system</span></code></a> default locale.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.titlecased', 'type': 'value', 'url': 'Character.type.html#titlecased', 'doc': '<p>The title case representation of this character.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.lowercase', 'type': 'value', 'url': 'Character.type.html#lowercase', 'doc': '<p>Determine if this is a lowercase representation of the\ncharacter.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.uppercase', 'type': 'value', 'url': 'Character.type.html#uppercase', 'doc': '<p>Determine if this is an uppercase representation of the\ncharacter.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.titlecase', 'type': 'value', 'url': 'Character.type.html#titlecase', 'doc': '<p>Determine if this is a title case representation of the\ncharacter.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.digit', 'type': 'value', 'url': 'Character.type.html#digit', 'doc': '<p>Determine if this character is a numeric digit.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.letter', 'type': 'value', 'url': 'Character.type.html#letter', 'doc': '<p>Determine if this character is a letter.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.whitespace', 'type': 'value', 'url': 'Character.type.html#whitespace', 'doc': '<p>Determine if this character is a whitespace character.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.control', 'type': 'value', 'url': 'Character.type.html#control', 'doc': '<p>Determine if this character is an ISO control\ncharacter.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.integer', 'type': 'value', 'url': 'Character.type.html#integer', 'doc': '<p>The Unicode code point of the character, an <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>\nin the range <code>0..#10FFFF</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Character.codePoint', 'type': 'value', 'url': 'Character.type.html#integer', 'doc': '<p>The Unicode code point of the character, an <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>\nin the range <code>0..#10FFFF</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member'], 'aliasFor': 'Character.integer'},
{'name': 'Character.compare', 'type': 'function', 'url': 'Character.type.html#compare', 'doc': '<p>Compare this character with the given string character,\naccording to the Unicode code points of the characters.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Character.equals', 'type': 'function', 'url': 'Character.type.html#equals', 'doc': '<p>Determines if the given object is a character with the\nsame code point as this character.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Character.hash', 'type': 'value', 'url': 'Character.type.html#hash', 'doc': '<p>The code point of the character.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Character.predecessor', 'type': 'value', 'url': 'Character.type.html#predecessor', 'doc': '<p>The character with the unicode code point that is one\ngreater than this character.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Character.successor', 'type': 'value', 'url': 'Character.type.html#successor', 'doc': '<p>The character with the unicode code point that is one\nless than this character.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Character.neighbour', 'type': 'function', 'url': 'Character.type.html#neighbour', 'doc': '<p>The indirect successor or predecessor at the given\n<a class=\'link\' href=\'Enumerable.type.html#neighbour-offset\' title=\'Go to ceylon.language::Enumerable.neighbour.offset\'><code><span class=\'identifier\'>offset</span></code></a>, where:</p>\n<ul>\n<li><code>x.neighbour(0) == x</code>,</li>\n<li>`x.neighbour(i+1) ==…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Character.offset', 'type': 'function', 'url': 'Character.type.html#offset', 'doc': '<p>Compute the offset from the given value, where:</p>\n<ul>\n<li><code>x.offset(x) == 0</code>, and</li>\n<li><code>x.successor.offset(x) == 1</code> if `x!</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Character.offsetSign', 'type': 'function', 'url': 'Character.type.html#offsetSign', 'doc': '<p>The sign of the offset from the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Character.largerThan', 'type': 'function', 'url': 'Character.type.html#largerThan', 'doc': '<p>Determines if this value is strictly larger than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Character.smallerThan', 'type': 'function', 'url': 'Character.type.html#smallerThan', 'doc': '<p>Determines if this value is strictly smaller than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Character.notSmallerThan', 'type': 'function', 'url': 'Character.type.html#notSmallerThan', 'doc': '<p>Determines if this value is larger than or equal to the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Character.notLargerThan', 'type': 'function', 'url': 'Character.type.html#notLargerThan', 'doc': '<p>Determines if this value is smaller than or equal to\nthe given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Character', 'type': 'class', 'url': 'Character.type.html', 'doc': '<p>A 32-bit [Unicode][] character.</p>\n', 'tags': ['Basic types', 'Strings'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'identical', 'type': 'function', 'url': 'index.html#identical', 'doc': '<p>Determine if the arguments are <a class=\'link\' href=\'index.html#identical\' title=\'Go to ceylon.language::identical\'><code><span class=\'identifier\'>identical()</span></code></a>.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'Range.containsElement', 'type': 'function', 'url': 'Range.type.html#containsElement', 'doc': '<p>Determines if this range includes the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Range.includesRange', 'type': 'function', 'url': 'Range.type.html#includesRange', 'doc': '<p>Determines if this range includes the given range.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Range.shifted', 'type': 'function', 'url': 'Range.type.html#shifted', 'doc': '<p>Returns a range of the same length and type as this\nrange, with its endpoints shifted by the given number\nof…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Range.increasing', 'type': 'value', 'url': 'Range.type.html#increasing', 'doc': '<p>Determines if the range is increasing, that is, if\nsuccessors occur after predecessors.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Range.decreasing', 'type': 'value', 'url': 'Range.type.html#decreasing', 'doc': '<p>Determines if the range is decreasing, that is, if\npredecessors occur after successors.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Range.coalesced', 'type': 'attribute', 'url': 'Range.type.html#coalesced', 'doc': '<p>Returns the range itself, since a range cannot contain\nnull elements.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Range.contains', 'type': 'function', 'url': 'Range.type.html#contains', 'doc': '<p>Returns <code>true</code> if the given value belongs to this\n<code>Category</code>, that is, if it is an element of this\n<code>Category</code>, or `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Range', 'type': 'class', 'url': 'Range.type.html', 'doc': '<p>A range of adjacent <code><a class=\'link\' href=\'Enumerable.type.html\' title=\'Go to ceylon.language::Enumerable\'><span class=\'type-identifier\'>Enumerable</span></a></code> values.</p>\n', 'tags': ['Sequences'],'icons': ['icon-class', 'icon-decoration-abstract', 'icon-decoration-enumerated']},
{'name': 'AssertionError', 'type': 'class', 'url': 'AssertionError.type.html', 'doc': '<p>An error that occurs due to an incorrectly written program.</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Integer.character', 'type': 'value', 'url': 'Integer.type.html#character', 'doc': '<p>The UTF-32 character with this UCS code point.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Integer.divides', 'type': 'function', 'url': 'Integer.type.html#divides', 'doc': '<p>Determine if this number is a factor of the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.plus', 'type': 'function', 'url': 'Integer.type.html#plus', 'doc': '<p>The result of adding the given value to this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.minus', 'type': 'function', 'url': 'Integer.type.html#minus', 'doc': '<p>The difference between this number and the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.times', 'type': 'function', 'url': 'Integer.type.html#times', 'doc': '<p>The product of this number and the given number.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.divided', 'type': 'function', 'url': 'Integer.type.html#divided', 'doc': '<p>The quotient obtained by dividing this number by the\ngiven number.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.remainder', 'type': 'function', 'url': 'Integer.type.html#remainder', 'doc': '<p>The remainder, after dividing this number by the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.modulo', 'type': 'function', 'url': 'Integer.type.html#modulo', 'doc': '<p>The modulo, after dividing this number by the given\nnumber.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.power', 'type': 'function', 'url': 'Integer.type.html#power', 'doc': '<p>The result of raising this number to the given\nnon-negative integer power, where <code>0^0</code> evaluates to\n<code>1</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.equals', 'type': 'function', 'url': 'Integer.type.html#equals', 'doc': '<p>Determines if the given object is equal to this <code>Integer</code>,\nthat is, if:</p>\n<ul>\n<li>the given object is an <code>Integer</code>…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.hash', 'type': 'value', 'url': 'Integer.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.compare', 'type': 'function', 'url': 'Integer.type.html#compare', 'doc': '<p>Compares this value with the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.get', 'type': 'function', 'url': 'Integer.type.html#get', 'doc': '<p>If the <code>index</code> is for an addressable bit, the value of\nthat bit.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.clear', 'type': 'function', 'url': 'Integer.type.html#clear', 'doc': '<p>If the <code>index</code> is for an addressable bit, an instance\nwith the same addressable bits as this instance, but\nwith that…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.flip', 'type': 'function', 'url': 'Integer.type.html#flip', 'doc': '<p>If the <code>index</code> is for an addressable bit, an instance\nwith the same addressable bits as this instance, but\nwith that…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.set', 'type': 'function', 'url': 'Integer.type.html#set', 'doc': '<p>If the <code>index</code> is for an addressable bit, an instance\nwith the same addressable bits as this instance, but\nwith that…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.not', 'type': 'value', 'url': 'Integer.type.html#not', 'doc': '<p>The binary complement of this sequence of bits.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.or', 'type': 'function', 'url': 'Integer.type.html#or', 'doc': '<p>Performs a logical inclusive OR operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.xor', 'type': 'function', 'url': 'Integer.type.html#xor', 'doc': '<p>Performs a logical exclusive OR operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.and', 'type': 'function', 'url': 'Integer.type.html#and', 'doc': '<p>Performs a logical AND operation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.rightArithmeticShift', 'type': 'function', 'url': 'Integer.type.html#rightArithmeticShift', 'doc': '<p>If shift is in the range of addressable bits\n(<code>0..runtime.integerAddressableSize-1</code>), shift the\naddressable bits to…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.rightLogicalShift', 'type': 'function', 'url': 'Integer.type.html#rightLogicalShift', 'doc': '<p>If shift is in the range of addressable bits\n(<code>0..runtime.integerAddressableSize-1</code>), shift the\naddressable bits to…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.leftLogicalShift', 'type': 'function', 'url': 'Integer.type.html#leftLogicalShift', 'doc': '<p>If shift is in the range of addressable bits\n(<code>0..runtime.integerAddressableSize-1</code>), shift the\naddressable bits to…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.float', 'type': 'value', 'url': 'Integer.type.html#float', 'doc': '<p>The number, represented as a <code><a class=\'link\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'><span class=\'type-identifier\'>Float</span></a></code>, if such a\nrepresentation is possible</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Integer.nearestFloat', 'type': 'value', 'url': 'Integer.type.html#nearestFloat', 'doc': '<p>The nearest <code><a class=\'link\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'><span class=\'type-identifier\'>Float</span></a></code> to this number</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Integer.predecessor', 'type': 'value', 'url': 'Integer.type.html#predecessor', 'doc': '<p>The predecessor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.successor', 'type': 'value', 'url': 'Integer.type.html#successor', 'doc': '<p>The successor of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.neighbour', 'type': 'function', 'url': 'Integer.type.html#neighbour', 'doc': '<p>The indirect successor or predecessor at the given\n<a class=\'link\' href=\'Enumerable.type.html#neighbour-offset\' title=\'Go to ceylon.language::Enumerable.neighbour.offset\'><code><span class=\'identifier\'>offset</span></code></a>, where:</p>\n<ul>\n<li><code>x.neighbour(0) == x</code>,</li>\n<li>`x.neighbour(i+1) ==…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.offset', 'type': 'function', 'url': 'Integer.type.html#offset', 'doc': '<p>Compute the offset from the given value, where:</p>\n<ul>\n<li><code>x.offset(x) == 0</code>, and</li>\n<li><code>x.successor.offset(x) == 1</code> if `x!</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.offsetSign', 'type': 'function', 'url': 'Integer.type.html#offsetSign', 'doc': '<p>The sign of the offset from the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.unit', 'type': 'value', 'url': 'Integer.type.html#unit', 'doc': '<p>Determine if the number is the multiplicative identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.zero', 'type': 'value', 'url': 'Integer.type.html#zero', 'doc': '<p>Determine if the number is the additive identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.even', 'type': 'attribute', 'url': 'Integer.type.html#even', 'doc': '<p>Determine if this integer is even.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Integer.magnitude', 'type': 'value', 'url': 'Integer.type.html#magnitude', 'doc': '<p>The magnitude of this number, defined for any instance\n<code>x</code> as:</p>\n<ul>\n<li><code>-x</code> if <code>x&lt;0</code>, or</li>\n<li><code>x</code> otherwise,</li>\n</ul>\n<p>where <code>0</code> is…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.absolute', 'type': 'value', 'url': 'Integer.type.html#magnitude', 'doc': '<p>The magnitude of this number, defined for any instance\n<code>x</code> as:</p>\n<ul>\n<li><code>-x</code> if <code>x&lt;0</code>, or</li>\n<li><code>x</code> otherwise,</li>\n</ul>\n<p>where <code>0</code> is…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over'], 'aliasFor': 'Integer.magnitude'},
{'name': 'Integer.sign', 'type': 'value', 'url': 'Integer.type.html#sign', 'doc': '<p>The sign of this number:</p>\n<ul>\n<li><code>1</code> if the number is <a class=\'link\' href=\'Number.type.html#positive\' title=\'Go to ceylon.language::Number.positive\'><code><span class=\'type-identifier\'>Number</span>.<span class=\'identifier\'>positive</span></code></a>,</li>\n<li><code>-1</code> if it is <a class=\'link\' href=\'Number.type.html#negative\' title=\'Go to ceylon.language::Number.negative\'><code><span class=\'type-identifier\'>Number</span>.<span class=\'identifier\'>negative</span></code></a>, or</li>\n<li><code>0</code> if it is the…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.negative', 'type': 'value', 'url': 'Integer.type.html#negative', 'doc': '<p>Determine if the number is strictly negative, that is,\nif <code>this&lt;0</code>, where <code>0</code> is the additive identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.positive', 'type': 'value', 'url': 'Integer.type.html#positive', 'doc': '<p>Determine if the number is strictly positive, that is,\nif <code>this&gt;0</code>, where <code>0</code> is the additive identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.wholePart', 'type': 'value', 'url': 'Integer.type.html#wholePart', 'doc': '<p>The integral value of the number after truncation of\nthe fractional part.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.fractionalPart', 'type': 'value', 'url': 'Integer.type.html#fractionalPart', 'doc': '<p>The fractional part of this number, after truncation of\nthe integral part.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.negated', 'type': 'value', 'url': 'Integer.type.html#negated', 'doc': '<p>The additive inverse of this value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.timesInteger', 'type': 'function', 'url': 'Integer.type.html#timesInteger', 'doc': '<p>The result of multiplying this number by the given\n<code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.plusInteger', 'type': 'function', 'url': 'Integer.type.html#plusInteger', 'doc': '<p>The result of adding this number to the given\n<code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.powerOfInteger', 'type': 'function', 'url': 'Integer.type.html#powerOfInteger', 'doc': '<p>The result of raising this number to the given\nnon-negative integer power, where <code>0^0</code> evaluates to\n<code>1</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Integer.string', 'type': 'value', 'url': 'Integer.type.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.largerThan', 'type': 'function', 'url': 'Integer.type.html#largerThan', 'doc': '<p>Determines if this value is strictly larger than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.smallerThan', 'type': 'function', 'url': 'Integer.type.html#smallerThan', 'doc': '<p>Determines if this value is strictly smaller than the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.notSmallerThan', 'type': 'function', 'url': 'Integer.type.html#notSmallerThan', 'doc': '<p>Determines if this value is larger than or equal to the\ngiven value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.notLargerThan', 'type': 'function', 'url': 'Integer.type.html#notLargerThan', 'doc': '<p>Determines if this value is smaller than or equal to\nthe given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Integer.byte', 'type': 'value', 'url': 'Integer.type.html#byte', 'doc': '<p>A <code><a class=\'link\' href=\'Byte.type.html\' title=\'Go to ceylon.language::Byte\'><span class=\'type-identifier\'>Byte</span></a></code> whose <a class=\'link-custom-text\' href=\'Byte.type.html#signed\' title=\'Go to ceylon.language::Byte.signed\'>signed</a> and\n<a class=\'link-custom-text\' href=\'Byte.type.html#unsigned\' title=\'Go to ceylon.language::Byte.unsigned\'>unsigned</a> interpretations are\ncongruent modulo 256 to…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Integer', 'type': 'class', 'url': 'Integer.type.html', 'doc': '<p>An exact representation of a positive whole number,\nnegative whole number, or zero.</p>\n', 'tags': ['Basic types', 'Numbers'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'Number.magnitude', 'type': 'attribute', 'url': 'Number.type.html#magnitude', 'doc': '<p>The magnitude of this number, defined for any instance\n<code>x</code> as:</p>\n<ul>\n<li><code>-x</code> if <code>x&lt;0</code>, or</li>\n<li><code>x</code> otherwise,</li>\n</ul>\n<p>where <code>0</code> is…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Number.absolute', 'type': 'attribute', 'url': 'Number.type.html#magnitude', 'doc': '<p>The magnitude of this number, defined for any instance\n<code>x</code> as:</p>\n<ul>\n<li><code>-x</code> if <code>x&lt;0</code>, or</li>\n<li><code>x</code> otherwise,</li>\n</ul>\n<p>where <code>0</code> is…</p>\n', 'tags': [],'icons': ['icon-shared-member'], 'aliasFor': 'Number.magnitude'},
{'name': 'Number.sign', 'type': 'attribute', 'url': 'Number.type.html#sign', 'doc': '<p>The sign of this number:</p>\n<ul>\n<li><code>1</code> if the number is <a class=\'link\' href=\'Number.type.html#positive\' title=\'Go to ceylon.language::Number.positive\'><code><span class=\'type-identifier\'>Number</span>.<span class=\'identifier\'>positive</span></code></a>,</li>\n<li><code>-1</code> if it is <a class=\'link\' href=\'Number.type.html#negative\' title=\'Go to ceylon.language::Number.negative\'><code><span class=\'type-identifier\'>Number</span>.<span class=\'identifier\'>negative</span></code></a>, or</li>\n<li><code>0</code> if it is the…</li>\n</ul>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Number.positive', 'type': 'value', 'url': 'Number.type.html#positive', 'doc': '<p>Determine if the number is strictly positive, that is,\nif <code>this&gt;0</code>, where <code>0</code> is the additive identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Number.negative', 'type': 'value', 'url': 'Number.type.html#negative', 'doc': '<p>Determine if the number is strictly negative, that is,\nif <code>this&lt;0</code>, where <code>0</code> is the additive identity.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Number.fractionalPart', 'type': 'value', 'url': 'Number.type.html#fractionalPart', 'doc': '<p>The fractional part of this number, after truncation of\nthe integral part.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Number.wholePart', 'type': 'value', 'url': 'Number.type.html#wholePart', 'doc': '<p>The integral value of the number after truncation of\nthe fractional part.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Number.timesInteger', 'type': 'function', 'url': 'Number.type.html#timesInteger', 'doc': '<p>The result of multiplying this number by the given\n<code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Number.plusInteger', 'type': 'function', 'url': 'Number.type.html#plusInteger', 'doc': '<p>The result of adding this number to the given\n<code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Number.powerOfInteger', 'type': 'function', 'url': 'Number.type.html#powerOfInteger', 'doc': '<p>The result of raising this number to the given\nnon-negative <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code> power.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Number', 'type': 'interface', 'url': 'Number.type.html', 'doc': '<p>Abstraction of <a class=\'link-custom-text\' href=\'Numeric.type.html\' title=\'Go to ceylon.language::Numeric\'>numeric</a> types with a natural\n<a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>total order</a>, including the built-in numeric…</p>\n', 'tags': ['Numbers'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Map.get', 'type': 'function', 'url': 'Map.type.html#get', 'doc': '<p>Returns the item of the entry with the given <a class=\'link\' href=\'Map.type.html#get-key\' title=\'Go to ceylon.language::Map.get.key\'><code><span class=\'identifier\'>key</span></code></a>,\nor <code>null</code> if there is no entry with the given <code>key</code> in\nthis map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Map.defines', 'type': 'function', 'url': 'Map.type.html#defines', 'doc': '<p>Determines if there is an entry in this map with the\ngiven <a class=\'link\' href=\'Map.type.html#defines-key\' title=\'Go to ceylon.language::Map.defines.key\'><code><span class=\'identifier\'>key</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Map.getOrDefault', 'type': 'function', 'url': 'Map.type.html#getOrDefault', 'doc': '<p>Returns the item of the entry with the given <a class=\'link\' href=\'Map.type.html#getOrDefault-key\' title=\'Go to ceylon.language::Map.getOrDefault.key\'><code><span class=\'identifier\'>key</span></code></a>,\nor the given <a class=\'link\' href=\'Map.type.html#getOrDefault-default\' title=\'Go to ceylon.language::Map.getOrDefault.default\'><code><span class=\'identifier\'>default</span></code></a> if there is no entry with the\ngiven `…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.contains', 'type': 'function', 'url': 'Map.type.html#contains', 'doc': '<p>Determines if the given <a class=\'link-custom-text\' href=\'Map.type.html#contains-entry\' title=\'Go to ceylon.language::Map.contains.entry\'>value</a> is an <code><a class=\'link\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'><span class=\'type-identifier\'>Entry</span></a></code>\nbelonging to this map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Map.defaultNullElements', 'type': 'function', 'url': 'Map.type.html#defaultNullElements', 'doc': '<p>Produces a stream containing the elements of this\nstream, in the order in which they occur in this stream,\nafter…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Map.clone', 'type': 'function', 'url': 'Map.type.html#clone', 'doc': '<p>A shallow copy of this map, that is, a map with the\nsame entries as this map, which do not change if the\nentries in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Map.keys', 'type': 'attribute', 'url': 'Map.type.html#keys', 'doc': '<p>A <code><a class=\'link\' href=\'Collection.type.html\' title=\'Go to ceylon.language::Collection\'><span class=\'type-identifier\'>Collection</span></a></code> containing the keys of this map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Map.items', 'type': 'attribute', 'url': 'Map.type.html#items', 'doc': '<p>A <code><a class=\'link\' href=\'Collection.type.html\' title=\'Go to ceylon.language::Collection\'><span class=\'type-identifier\'>Collection</span></a></code> containing the items stored in this\nmap.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.inverse', 'type': 'function', 'url': 'Map.type.html#inverse', 'doc': '<p>Invert this map, producing a new immutable map where\nthe keys of the new map are the non-null items of this\nmap, and…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.equals', 'type': 'function', 'url': 'Map.type.html#equals', 'doc': '<p>Two maps are considered equal iff they have the same\n<em>entry sets</em>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Map.hash', 'type': 'attribute', 'url': 'Map.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Map.mapItems', 'type': 'function', 'url': 'Map.type.html#mapItems', 'doc': '<p>Produces a map with the same <a class=\'link\' href=\'Map.type.html#keys\' title=\'Go to ceylon.language::Map.keys\'><code><span class=\'type-identifier\'>Map</span>.<span class=\'identifier\'>keys</span></code></a> as this map.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.defaultNullItems', 'type': 'function', 'url': 'Map.type.html#defaultNullItems', 'doc': '<p>Produces a map containing the elements of this map,\nafter replacing every <code>null</code> item in the map with the\n[[given…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.filterKeys', 'type': 'function', 'url': 'Map.type.html#filterKeys', 'doc': '<p>Produces a map by applying a <a class=\'link\' href=\'Map.type.html#filterKeys-filtering\' title=\'Go to ceylon.language::Map.filterKeys.filtering\'><code><span class=\'identifier\'>filtering()</span></code></a> function\nto the <a class=\'link\' href=\'Map.type.html#keys\' title=\'Go to ceylon.language::Map.keys\'><code><span class=\'type-identifier\'>Map</span>.<span class=\'identifier\'>keys</span></code></a> of this map.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.patch', 'type': 'function', 'url': 'Map.type.html#patch', 'doc': '<p>Produces a map whose keys are the union of the keys\nof this map, with the keys of the given <a class=\'link-custom-text\' href=\'Map.type.html#patch-other\' title=\'Go to ceylon.language::Map.patch.other\'>map</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.coalescedMap', 'type': 'attribute', 'url': 'Map.type.html#coalescedMap', 'doc': '<p>A map with every entry of this map whose item is\nnon-null.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Map.distinct', 'type': 'attribute', 'url': 'Map.type.html#distinct', 'doc': '<p>A stream that produces every element produced by this\nstream exactly once.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Map', 'type': 'interface', 'url': 'Map.type.html', 'doc': '<p>A collection which maps <em>keys</em> to <em>items</em>, where a key\ncan map to at most one item.</p>\n', 'tags': ['Collections'],'icons': ['icon-interface']},
{'name': 'map', 'type': 'function', 'url': 'index.html#map', 'doc': '<p>Create a new immutable <code><a class=\'link\' href=\'Map.type.html\' title=\'Go to ceylon.language::Map\'><span class=\'type-identifier\'>Map</span></a></code> containing every <code><a class=\'link\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'><span class=\'type-identifier\'>Entry</span></a></code>\nproduced by the given <a class=\'link\' href=\'index.html#map-stream\' title=\'Go to ceylon.language::map.stream\'><code><span class=\'identifier\'>stream</span></code></a>, resolving items with…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'emptyMap.getOrDefault', 'type': 'function', 'url': 'emptyMap.object.html#getOrDefault', 'doc': '<p>Returns the item of the entry with the given <a class=\'link\' href=\'Map.type.html#getOrDefault-key\' title=\'Go to ceylon.language::Map.getOrDefault.key\'><code><span class=\'identifier\'>key</span></code></a>,\nor the given <a class=\'link\' href=\'Map.type.html#getOrDefault-default\' title=\'Go to ceylon.language::Map.getOrDefault.default\'><code><span class=\'identifier\'>default</span></code></a> if there is no entry with the\ngiven `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.mapItems', 'type': 'function', 'url': 'emptyMap.object.html#mapItems', 'doc': '<p>Produces a map with the same <a class=\'link\' href=\'Map.type.html#keys\' title=\'Go to ceylon.language::Map.keys\'><code><span class=\'type-identifier\'>Map</span>.<span class=\'identifier\'>keys</span></code></a> as this map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.find', 'type': 'function', 'url': 'emptyMap.object.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.findLast', 'type': 'function', 'url': 'emptyMap.object.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.each', 'type': 'function', 'url': 'emptyMap.object.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.get', 'type': 'function', 'url': 'emptyMap.object.html#get', 'doc': '<p>Returns the value defined for the given key, or <code>null</code>\nif there is no value defined for the given key.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptyMap.keys', 'type': 'attribute', 'url': 'emptyMap.object.html#keys', 'doc': '<p>The <code>Category</code> of all keys for which a value is defined\nby this <code>Correspondence</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.items', 'type': 'attribute', 'url': 'emptyMap.object.html#items', 'doc': '<p>A <code><a class=\'link\' href=\'Collection.type.html\' title=\'Go to ceylon.language::Collection\'><span class=\'type-identifier\'>Collection</span></a></code> containing the items stored in this\nmap.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.clone', 'type': 'function', 'url': 'emptyMap.object.html#clone', 'doc': '<p>A shallow copy of this collection, that is, a\ncollection with identical elements which does not\nchange if this…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptyMap.iterator', 'type': 'function', 'url': 'emptyMap.object.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptyMap.size', 'type': 'attribute', 'url': 'emptyMap.object.html#size', 'doc': '<p>The number of elements returned by the <a class=\'link\' href=\'Iterable.type.html#iterator\' title=\'Go to ceylon.language::Iterable.iterator\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>iterator()</span></code></a> of\nthis stream, if the iterator terminates.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.empty', 'type': 'attribute', 'url': 'emptyMap.object.html#empty', 'doc': '<p>Determines if the stream is empty, that is to say, if\nthe iterator returns no elements.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.defines', 'type': 'function', 'url': 'emptyMap.object.html#defines', 'doc': '<p>Determines if there is a value defined for the given\nkey.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptyMap.contains', 'type': 'function', 'url': 'emptyMap.object.html#contains', 'doc': '<p>Returns <code>true</code> if the given value belongs to this\n<code>Category</code>, that is, if it is an element of this\n<code>Category</code>, or `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'emptyMap.containsAny', 'type': 'function', 'url': 'emptyMap.object.html#containsAny', 'doc': '<p>Returns <code>true</code> if any one of the given values belongs\nto this <code>Category</code>, or <code>false</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.containsEvery', 'type': 'function', 'url': 'emptyMap.object.html#containsEvery', 'doc': '<p>Returns <code>true</code> if every one of the given values belongs\nto this <code>Category</code>, or <code>false</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.count', 'type': 'function', 'url': 'emptyMap.object.html#count', 'doc': '<p>Produces the number of elements in this stream that\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#count-selecting\' title=\'Go to ceylon.language::Iterable.count.selecting\'>given predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.any', 'type': 'function', 'url': 'emptyMap.object.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.every', 'type': 'function', 'url': 'emptyMap.object.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.skip', 'type': 'function', 'url': 'emptyMap.object.html#skip', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the first <a class=\'link\' href=\'Iterable.type.html#skip-skipping\' title=\'Go to ceylon.language::Iterable.skip.skipping\'><code><span class=\'identifier\'>skipping</span></code></a> elements\nproduced by…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.take', 'type': 'function', 'url': 'emptyMap.object.html#take', 'doc': '<p>Produces a stream containing the first <a class=\'link\' href=\'Iterable.type.html#take-taking\' title=\'Go to ceylon.language::Iterable.take.taking\'><code><span class=\'identifier\'>taking</span></code></a>\nelements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap.by', 'type': 'function', 'url': 'emptyMap.object.html#by', 'doc': '<p>Produces a stream containing every <a class=\'link\' href=\'Iterable.type.html#by-step\' title=\'Go to ceylon.language::Iterable.by.step\'><code><span class=\'identifier\'>step</span></code></a>th element\nof this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'emptyMap', 'type': 'object', 'url': 'emptyMap.object.html', 'doc': '<p>An immutable <code><a class=\'link\' href=\'Map.type.html\' title=\'Go to ceylon.language::Map\'><span class=\'type-identifier\'>Map</span></a></code> with no entries.</p>\n', 'tags': ['Collections'],'icons': ['icon-object']},
{'name': 'emptyMap', 'type': 'value', 'url': 'index.html#emptyMap', 'doc': '<p>An immutable <code><a class=\'link\' href=\'Map.type.html\' title=\'Go to ceylon.language::Map\'><span class=\'type-identifier\'>Map</span></a></code> with no entries.</p>\n', 'tags': ['Collections'],'icons': ['icon-shared-member']},
{'name': 'Array.Array', 'type': 'constructor', 'url': 'Array.type.html#Array', 'doc': '<p>Create an array with the given <span class=\'link-unresolvable\'><code>elements</code></span>.</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Array.Array', 'type': 'function', 'url': 'Array.type.html#Array', 'doc': '<p>Create an array with the given <a class=\'link\' href=\'Array.null.type.html#elements\' title=\'Go to ceylon.language::Array.null.elements\'><code><span class=\'identifier\'>elements</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.ofSize', 'type': 'constructor', 'url': 'Array.type.html#ofSize', 'doc': '<p>Create an array of the specified <span class=\'link-unresolvable\'><code>size</code></span>, populating\nevery index with the given <span class=\'link-unresolvable\'><code>element</code></span>.</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Array.ofSize', 'type': 'function', 'url': 'Array.type.html#ofSize', 'doc': '<p>Create an array of the specified <a class=\'link\' href=\'Array.ofSize.type.html#size\' title=\'Go to ceylon.language::Array.ofSize.size\'><code><span class=\'identifier\'>size</span></code></a>, populating\nevery index with the given <a class=\'link\' href=\'Array.ofSize.type.html#element\' title=\'Go to ceylon.language::Array.ofSize.element\'><code><span class=\'identifier\'>element</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.getFromLast', 'type': 'function', 'url': 'Array.type.html#getFromLast', 'doc': '<p>Get the element at the specified index, where the array\nis indexed from the <em>end</em> of the array, or <code>null</code> if\nthe index…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.getFromFirst', 'type': 'function', 'url': 'Array.type.html#getFromFirst', 'doc': '<p>Get the element at the specified index, or <code>null</code> if\nthe index falls outside the bounds of this array.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.lastIndex', 'type': 'value', 'url': 'Array.type.html#lastIndex', 'doc': '<p>The index of the last element of the list, or <code>null</code> if\nthe list is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.first', 'type': 'value', 'url': 'Array.type.html#first', 'doc': '<p>The first element returned by the iterator, if any, or\n<code>null</code> if this stream is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.last', 'type': 'value', 'url': 'Array.type.html#last', 'doc': '<p>The last element returned by the iterator, if any, or\n<code>null</code> if this stream is empty.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.empty', 'type': 'value', 'url': 'Array.type.html#empty', 'doc': '<p>Determines if the stream is empty, that is to say, if\nthe iterator returns no elements.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.size', 'type': 'value', 'url': 'Array.type.html#size', 'doc': '<p>The number of elements returned by the <a class=\'link\' href=\'Iterable.type.html#iterator\' title=\'Go to ceylon.language::Iterable.iterator\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>iterator()</span></code></a> of\nthis stream, if the iterator terminates.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.defines', 'type': 'function', 'url': 'Array.type.html#defines', 'doc': '<p>Determines if there is a value defined for the given\nkey.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.iterator', 'type': 'function', 'url': 'Array.type.html#iterator', 'doc': '<p>An iterator for the elements belonging to this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.contains', 'type': 'function', 'url': 'Array.type.html#contains', 'doc': '<p>Returns <code>true</code> if the given value belongs to this\n<code>Category</code>, that is, if it is an element of this\n<code>Category</code>, or `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.sequence', 'type': 'function', 'url': 'Array.type.html#sequence', 'doc': '<p>A <a class=\'link-custom-text\' href=\'Sequential.type.html\' title=\'Go to ceylon.language::Sequential\'>sequence</a> containing all the elements\nof this stream, in the same order they occur in this\nstream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.coalesced', 'type': 'value', 'url': 'Array.type.html#coalesced', 'doc': '<p>The non-null elements of this stream, in the order in\nwhich they occur in this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.clone', 'type': 'function', 'url': 'Array.type.html#clone', 'doc': '<p>A new array with the same elements as this array.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.set', 'type': 'function', 'url': 'Array.type.html#set', 'doc': '<p>Replace the existing element at the specified <a class=\'link\' href=\'Array.type.html#set-index\' title=\'Go to ceylon.language::Array.set.index\'><code><span class=\'identifier\'>index</span></code></a>\nwith the given <a class=\'link\' href=\'Array.type.html#set-element\' title=\'Go to ceylon.language::Array.set.element\'><code><span class=\'identifier\'>element</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.copyTo', 'type': 'function', 'url': 'Array.type.html#copyTo', 'doc': '<p>Efficiently copy the elements in the segment\n<code>sourcePosition:length</code> of this array to the segment\n`destinationPosition…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.span', 'type': 'function', 'url': 'Array.type.html#span', 'doc': '<p>Obtain a span containing the elements between the two\ngiven indices.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.spanFrom', 'type': 'function', 'url': 'Array.type.html#spanFrom', 'doc': '<p>Obtain a span containing the elements between the given\n<a class=\'link-custom-text\' href=\'Ranged.type.html#spanFrom-from\' title=\'Go to ceylon.language::Ranged.spanFrom.from\'>starting index</a> and the last index of this\nranged…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.spanTo', 'type': 'function', 'url': 'Array.type.html#spanTo', 'doc': '<p>Obtain a span containing the elements between the first\nindex of this ranged stream and given <a class=\'link-custom-text\' href=\'Ranged.type.html#spanTo-to\' title=\'Go to ceylon.language::Ranged.spanTo.to\'>end index</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.measure', 'type': 'function', 'url': 'Array.type.html#measure', 'doc': '<p>Obtain a measure containing the mapped values starting\nfrom the given <a class=\'link-custom-text\' href=\'Ranged.type.html#measure-from\' title=\'Go to ceylon.language::Ranged.measure.from\'>starting index</a>, with the given\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.skip', 'type': 'function', 'url': 'Array.type.html#skip', 'doc': '<p>Produces a stream containing the elements of this\nstream, after skipping the first <a class=\'link\' href=\'Iterable.type.html#skip-skipping\' title=\'Go to ceylon.language::Iterable.skip.skipping\'><code><span class=\'identifier\'>skipping</span></code></a> elements\nproduced by…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.take', 'type': 'function', 'url': 'Array.type.html#take', 'doc': '<p>Produces a stream containing the first <a class=\'link\' href=\'Iterable.type.html#take-taking\' title=\'Go to ceylon.language::Iterable.take.taking\'><code><span class=\'identifier\'>taking</span></code></a>\nelements of this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.by', 'type': 'function', 'url': 'Array.type.html#by', 'doc': '<p>Produces a stream containing every <a class=\'link\' href=\'Iterable.type.html#by-step\' title=\'Go to ceylon.language::Iterable.by.step\'><code><span class=\'identifier\'>step</span></code></a>th element\nof this stream.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.count', 'type': 'function', 'url': 'Array.type.html#count', 'doc': '<p>Produces the number of elements in this stream that\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#count-selecting\' title=\'Go to ceylon.language::Iterable.count.selecting\'>given predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.each', 'type': 'function', 'url': 'Array.type.html#each', 'doc': '<p>Call the given <a class=\'link-custom-text\' href=\'Iterable.type.html#each-step\' title=\'Go to ceylon.language::Iterable.each.step\'>function</a> for each element of\nthis stream, passing the elements in the order they\noccur in…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.any', 'type': 'function', 'url': 'Array.type.html#any', 'doc': '<p>Determines if there is at least one element of this\nstream that satisfies the given <a class=\'link-custom-text\' href=\'Iterable.type.html#any-selecting\' title=\'Go to ceylon.language::Iterable.any.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.every', 'type': 'function', 'url': 'Array.type.html#every', 'doc': '<p>Determines if all elements of this stream satisfy the\ngiven <a class=\'link-custom-text\' href=\'Iterable.type.html#every-selecting\' title=\'Go to ceylon.language::Iterable.every.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.filter', 'type': 'function', 'url': 'Array.type.html#filter', 'doc': '<p>Produces a stream containing the elements of this\nstream that satisfy the given <a class=\'link-custom-text\' href=\'Iterable.type.html#filter-selecting\' title=\'Go to ceylon.language::Iterable.filter.selecting\'>predicate\nfunction</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.find', 'type': 'function', 'url': 'Array.type.html#find', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#find-selecting\' title=\'Go to ceylon.language::Iterable.find.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.findLast', 'type': 'function', 'url': 'Array.type.html#findLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#findLast-selecting\' title=\'Go to ceylon.language::Iterable.findLast.selecting\'>given predicate function</a>, if any, or\n<code>null</code> if…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.firstIndexWhere', 'type': 'function', 'url': 'Array.type.html#firstIndexWhere', 'doc': '<p>The first index in this list for which the element is\nnot null and satisfies the given\n[[predicate function|selecting]…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.lastIndexWhere', 'type': 'function', 'url': 'Array.type.html#lastIndexWhere', 'doc': '<p>The last index in this list for which the element is\nnot null and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#lastIndexWhere-selecting\' title=\'Go to ceylon.language::List.lastIndexWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.indexesWhere', 'type': 'function', 'url': 'Array.type.html#indexesWhere', 'doc': '<p>The indexes in this list for which the element is not\nnull and satisfies the given\n<a class=\'link-custom-text\' href=\'List.type.html#indexesWhere-selecting\' title=\'Go to ceylon.language::List.indexesWhere.selecting\'>predicate function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.locate', 'type': 'function', 'url': 'Array.type.html#locate', 'doc': '<p>The first element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#locate-selecting\' title=\'Go to ceylon.language::Iterable.locate.selecting\'>given predicate function</a>, if any,\ntogether with…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.locateLast', 'type': 'function', 'url': 'Array.type.html#locateLast', 'doc': '<p>The last element of this stream which satisfies the\n<a class=\'link-custom-text\' href=\'Iterable.type.html#locateLast-selecting\' title=\'Go to ceylon.language::Iterable.locateLast.selecting\'>given predicate function</a>, if any,\ntogether with its…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.locations', 'type': 'function', 'url': 'Array.type.html#locations', 'doc': '<p>A stream producing all elements of this stream which\nsatisfy the <a class=\'link-custom-text\' href=\'Iterable.type.html#locations-selecting\' title=\'Go to ceylon.language::Iterable.locations.selecting\'>given predicate function</a>,\ntogether with…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.reduce', 'type': 'function', 'url': 'Array.type.html#reduce', 'doc': '<p>Beginning with the <a class=\'link\' href=\'Iterable.type.html#first\' title=\'Go to ceylon.language::Iterable.first\'><code><span class=\'type-identifier\'>Iterable</span>.<span class=\'identifier\'>first</span></code></a> element of this stream,\napply the given <a class=\'link-custom-text\' href=\'Iterable.type.html#reduce-accumulating\' title=\'Go to ceylon.language::Iterable.reduce.accumulating\'>combining function</a> to\neach…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.occursAt', 'type': 'function', 'url': 'Array.type.html#occursAt', 'doc': '<p>Determines if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#occursAt-element\' title=\'Go to ceylon.language::SearchableList.occursAt.element\'>value</a> occurs at the\ngiven index in this list.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.firstOccurrence', 'type': 'function', 'url': 'Array.type.html#firstOccurrence', 'doc': '<p>The first index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#firstOccurrence-element\' title=\'Go to ceylon.language::SearchableList.firstOccurrence.element\'>value</a> occurs, that falls within the segment\n<code>from:length</code>…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.lastOccurrence', 'type': 'function', 'url': 'Array.type.html#lastOccurrence', 'doc': '<p>The last index in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#lastOccurrence-element\' title=\'Go to ceylon.language::SearchableList.lastOccurrence.element\'>value</a> occurs, that falls within the range\n`…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.occurs', 'type': 'function', 'url': 'Array.type.html#occurs', 'doc': '<p>Determines if the given <a class=\'link-custom-text\' href=\'SearchableList.type.html#occurs-element\' title=\'Go to ceylon.language::SearchableList.occurs.element\'>value</a> occurs as an\nelement of this list, at any index that falls within\nthe…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.occurrences', 'type': 'function', 'url': 'Array.type.html#occurrences', 'doc': '<p>The indexes in this list at which the given\n<a class=\'link-custom-text\' href=\'SearchableList.type.html#occurrences-element\' title=\'Go to ceylon.language::SearchableList.occurrences.element\'>value</a> occurs.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.swap', 'type': 'function', 'url': 'Array.type.html#swap', 'doc': '<p>Given two indices within this array, efficiently swap\nthe positions of the elements at these indices.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.move', 'type': 'function', 'url': 'Array.type.html#move', 'doc': '<p>Efficiently move the element of this array at the given\n<a class=\'link-custom-text\' href=\'Array.type.html#move-from\' title=\'Go to ceylon.language::Array.move.from\'>source index</a> to the given\n<a class=\'link-custom-text\' href=\'Array.type.html#move-to\' title=\'Go to ceylon.language::Array.move.to\'>destination index</a>,…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.reverseInPlace', 'type': 'function', 'url': 'Array.type.html#reverseInPlace', 'doc': '<p>Reverses the order of the current elements in this\narray.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.sortInPlace', 'type': 'function', 'url': 'Array.type.html#sortInPlace', 'doc': '<p>Sorts the elements in this array according to the\norder induced by the given\n<a class=\'link-custom-text\' href=\'Array.type.html#sortInPlace-comparing\' title=\'Go to ceylon.language::Array.sortInPlace.comparing\'>comparison function</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Array.sort', 'type': 'function', 'url': 'Array.type.html#sort', 'doc': '<p>Sorts the elements in this array according to the\norder induced by the given\n<a class=\'link-custom-text\' href=\'Array.type.html#sort-comparing\' title=\'Go to ceylon.language::Array.sort.comparing\'>comparison function</a>,…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array.equals', 'type': 'function', 'url': 'Array.type.html#equals', 'doc': '<p>Determine if two values are equal.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.hash', 'type': 'attribute', 'url': 'Array.type.html#hash', 'doc': '<p>The hash value of the value, which allows the value to\nbe an element of a hash-based set or key of a\nhash-based map.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Array.string', 'type': 'attribute', 'url': 'Array.type.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Array', 'type': 'class', 'url': 'Array.type.html', 'doc': '<p>A fixed-sized array of mutable elements.</p>\n', 'tags': ['Collections'],'icons': ['icon-class', 'icon-decoration-final']},
{'name': 'plus', 'type': 'function', 'url': 'index.html#plus', 'doc': '<p>Add the given <code><a class=\'link\' href=\'Summable.type.html\' title=\'Go to ceylon.language::Summable\'><span class=\'type-identifier\'>Summable</span></a></code> values</p>\n', 'tags': ['Numbers'],'icons': ['icon-shared-member']},
{'name': 'byIncreasing', 'type': 'function', 'url': 'index.html#byIncreasing', 'doc': '<p>Produces a comparator function which orders elements in\nincreasing order according to the <code><a class=\'link\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'><span class=\'type-identifier\'>Comparable</span></a></code> value…</p>\n', 'tags': ['Functions', 'Comparisons'],'icons': ['icon-shared-member']},
{'name': 'increasing', 'type': 'function', 'url': 'index.html#increasing', 'doc': '<p>A comparator function which orders elements in increasing\n<a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>natural order</a>.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'increasingKey', 'type': 'function', 'url': 'index.html#increasingKey', 'doc': '<p>A comparator function which orders <a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entries</a> by\nincreasing <a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>natural order</a> of their\n[[keys|…</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'increasingItem', 'type': 'function', 'url': 'index.html#increasingItem', 'doc': '<p>A comparator function which orders <a class=\'link-custom-text\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'>entries</a> by\nincreasing <a class=\'link-custom-text\' href=\'Comparable.type.html\' title=\'Go to ceylon.language::Comparable\'>natural order</a> of their\n[[items|…</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'parseInteger', 'type': 'function', 'url': 'index.html#parseInteger', 'doc': '<p>The <code><a class=\'link\' href=\'Integer.type.html\' title=\'Go to ceylon.language::Integer\'><span class=\'type-identifier\'>Integer</span></a></code> value of the given\n<a class=\'link-custom-text\' href=\'index.html#parseInteger-string\' title=\'Go to ceylon.language::parseInteger.string\'>string representation</a> of an integer value in the\nbase given by [[radix]…</p>\n', 'tags': ['Numbers', 'Basic types'],'icons': ['icon-shared-member']},
{'name': 'expand', 'type': 'function', 'url': 'index.html#expand', 'doc': '<p>Given a <a class=\'link-custom-text\' href=\'index.html#expand-iterables\' title=\'Go to ceylon.language::expand.iterables\'>stream</a> whose elements are also\nstreams, return a new stream with all elements of every\nnested…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'flatten', 'type': 'function', 'url': 'index.html#flatten', 'doc': '<p>Given a function with a single parameter of tuple type\n<code>[P1, P2, ..., Pn]</code>, return a function with multiple…</p>\n', 'tags': ['Functions'],'icons': ['icon-shared-member']},
{'name': 'OptionalAnnotation', 'type': 'interface', 'url': 'OptionalAnnotation.type.html', 'doc': '<p>An annotation that may occur at most once at a given\nprogram element and only on certain program elements.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'count', 'type': 'function', 'url': 'index.html#count', 'doc': '<p>A count of the number of <code>true</code> items in the given values.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'span', 'type': 'function', 'url': 'index.html#span', 'doc': '<p>Produces a <code><a class=\'link\' href=\'Range.type.html\' title=\'Go to ceylon.language::Range\'><span class=\'type-identifier\'>Range</span></a></code> of adjacent <code><a class=\'link\' href=\'Enumerable.type.html\' title=\'Go to ceylon.language::Enumerable\'><span class=\'type-identifier\'>Enumerable</span></a></code> values\ngenerated by two endpoints: <a class=\'link\' href=\'index.html#span-first\' title=\'Go to ceylon.language::span.first\'><code><span class=\'identifier\'>first</span></code></a> and <a class=\'link\' href=\'index.html#span-last\' title=\'Go to ceylon.language::span.last\'><code><span class=\'identifier\'>last</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'mapPairs', 'type': 'function', 'url': 'index.html#mapPairs', 'doc': '<p>Given two streams, form a new stream by applying a binary\n<a class=\'link-custom-text\' href=\'index.html#mapPairs-collecting\' title=\'Go to ceylon.language::mapPairs.collecting\'>mapping function</a> to pairs of elements in the…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'findPair', 'type': 'function', 'url': 'index.html#findPair', 'doc': '<p>Given two streams, return the first pair of elements in the\ngiven streams that satisfies the given binary [[predicate…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'everyPair', 'type': 'function', 'url': 'index.html#everyPair', 'doc': '<p>Given two streams, return <code>true</code> if every pair of elements\nin the given streams satisfies the given binary [[predicate…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'anyPair', 'type': 'function', 'url': 'index.html#anyPair', 'doc': '<p>Given two streams, return <code>true</code> if some pair of elements\nin the given streams satisfies the given binary [[predicate…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'foldPairs', 'type': 'function', 'url': 'index.html#foldPairs', 'doc': '<p>Given two streams, return the result of applying the given\n<a class=\'link-custom-text\' href=\'index.html#foldPairs-accumulating\' title=\'Go to ceylon.language::foldPairs.accumulating\'>accumulating function</a> to each pair of…</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'byKey', 'type': 'function', 'url': 'index.html#byKey', 'doc': '<p>A comparator for <code><a class=\'link\' href=\'Entry.type.html\' title=\'Go to ceylon.language::Entry\'><span class=\'type-identifier\'>Entry</span></a></code>s which compares their keys\naccording to the given <a class=\'link\' href=\'index.html#byKey-comparing\' title=\'Go to ceylon.language::byKey.comparing\'><code><span class=\'identifier\'>comparing()</span></code></a> function.</p>\n', 'tags': ['Comparisons'],'icons': ['icon-shared-member']},
{'name': 'InitializationError', 'type': 'class', 'url': 'InitializationError.type.html', 'doc': '<p><a class=\'link-custom-text\' href=\'AssertionError.type.html\' title=\'Go to ceylon.language::AssertionError\'>Assertion failure</a> that occurs when a\nvalue reference could not be initialized, including when:</p>\n<ul>\n<li>a…</li>\n</ul>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Anything', 'type': 'class', 'url': 'Anything.type.html', 'doc': '<p>The abstract supertype of all types.</p>\n', 'tags': ['Basic types'],'icons': ['icon-class', 'icon-decoration-abstract', 'icon-decoration-enumerated']},
{'name': 'operatingSystem.name', 'type': 'attribute', 'url': 'operatingSystem.object.html#name', 'doc': '<p>Returns the name of the operating system this process is\nrunning on: <code>linux</code>, <code>mac</code>, <code>unix</code>, <code>windows</code> or <code>other</code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'operatingSystem.version', 'type': 'attribute', 'url': 'operatingSystem.object.html#version', 'doc': '<p>Returns the version of the operating system this\nprocess is running on or <code>Unknown</code> if it was not\npossible to retrieve…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'operatingSystem.newline', 'type': 'value', 'url': 'operatingSystem.object.html#newline', 'doc': '<p>The line ending character sequence on this platform.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'operatingSystem.fileSeparator', 'type': 'attribute', 'url': 'operatingSystem.object.html#fileSeparator', 'doc': '<p>The character used on this platform to separate the\nfolder/file elements of a path.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'operatingSystem.pathSeparator', 'type': 'attribute', 'url': 'operatingSystem.object.html#pathSeparator', 'doc': '<p>The character used on this platform to use as a\nseparator between several paths in a list of paths.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'operatingSystem.string', 'type': 'attribute', 'url': 'operatingSystem.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'operatingSystem', 'type': 'object', 'url': 'operatingSystem.object.html', 'doc': '<p>Represents the operating system on which the current\nprocess is running.</p>\n', 'tags': ['Environment'],'icons': ['icon-object']},
{'name': 'operatingSystem', 'type': 'value', 'url': 'index.html#operatingSystem', 'doc': '<p>Represents the operating system on which the current\nprocess is running.</p>\n', 'tags': ['Environment'],'icons': ['icon-shared-member']},
{'name': 'unzip', 'type': 'function', 'url': 'index.html#unzip', 'doc': '<p>Given a stream of tuples, return two streams.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'unzipPairs', 'type': 'function', 'url': 'index.html#unzipPairs', 'doc': '<p>Given a stream of pairs, return two streams.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'unzipEntries', 'type': 'function', 'url': 'index.html#unzipEntries', 'doc': '<p>Given a stream of entries, return two streams.</p>\n', 'tags': ['Streams'],'icons': ['icon-shared-member']},
{'name': 'Resource.name', 'type': 'attribute', 'url': 'Resource.type.html#name', 'doc': '<p>The name of the resource; usually the filename.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Resource.size', 'type': 'value', 'url': 'Resource.type.html#size', 'doc': '<p>The size of the resource, in bytes.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Resource.uri', 'type': 'value', 'url': 'Resource.type.html#uri', 'doc': '<p>The full path to the resource, expressed as a URI.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Resource.textContent', 'type': 'function', 'url': 'Resource.type.html#textContent', 'doc': '<p>Retrieves the contents of the resource as a <code><a class=\'link\' href=\'String.type.html\' title=\'Go to ceylon.language::String\'><span class=\'type-identifier\'>String</span></a></code>,\nusing the specified encoding.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Resource.string', 'type': 'attribute', 'url': 'Resource.type.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'Resource', 'type': 'interface', 'url': 'Resource.type.html', 'doc': '<p>A file packaged within a module.</p>\n', 'tags': ['Environment'],'icons': ['icon-interface']},
{'name': 'parseFloat', 'type': 'function', 'url': 'index.html#parseFloat', 'doc': '<p>The <code><a class=\'link\' href=\'Float.type.html\' title=\'Go to ceylon.language::Float\'><span class=\'type-identifier\'>Float</span></a></code> value of the given\n<a class=\'link-custom-text\' href=\'index.html#parseFloat-string\' title=\'Go to ceylon.language::parseFloat.string\'>string representation</a> of a decimal floating\npoint number, or <code>null</code> if…</p>\n', 'tags': ['Numbers', 'Basic types'],'icons': ['icon-shared-member']},
{'name': 'Contextual.get', 'type': 'function', 'url': 'Contextual.type.html#get', 'doc': '<p>Retrieves the value previously set.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Using.obtain', 'type': 'function', 'url': 'Contextual.Using.type.html#obtain', 'doc': '<p>Obtain this resource.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Using.release', 'type': 'function', 'url': 'Contextual.Using.type.html#release', 'doc': '<p>Release this resource.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'Using', 'type': 'class', 'url': 'Contextual.Using.type.html', 'doc': '<p>Used to set a value for this <code>Contextual</code></p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Contextual', 'type': 'class', 'url': 'Contextual.type.html', 'doc': '<p>Stores values local to the current thread of execution\nmeaning that each thread or process that accesses these\nvalues…</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'measure', 'type': 'function', 'url': 'index.html#measure', 'doc': '<p>Produces a <code><a class=\'link\' href=\'Range.type.html\' title=\'Go to ceylon.language::Range\'><span class=\'type-identifier\'>Range</span></a></code> of adjacent <code><a class=\'link\' href=\'Enumerable.type.html\' title=\'Go to ceylon.language::Enumerable\'><span class=\'type-identifier\'>Enumerable</span></a></code> values\ngenerated by a <a class=\'link\' href=\'index.html#measure-first\' title=\'Go to ceylon.language::measure.first\'><code><span class=\'identifier\'>first</span></code></a> element, and a strictly positive\n[[…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Exponentiable.power', 'type': 'function', 'url': 'Exponentiable.type.html#power', 'doc': '<p>The result of raising this number to the given power.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Exponentiable', 'type': 'interface', 'url': 'Exponentiable.type.html', 'doc': '<p>Abstraction of <a class=\'link-custom-text\' href=\'Numeric.type.html\' title=\'Go to ceylon.language::Numeric\'>numeric types</a> that may be raised\nto a power using the <em>exponentiation</em> operator <code>x ^ n</code>…</p>\n', 'tags': ['Numbers'],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'ceylon.language.meta', 'type': 'package', 'url': 'meta/index.html', 'doc': '<p>The Ceylon metamodel base package.</p>\n', 'tags': ['Metamodel'],'icons': ['icon-package']},
{'name': 'optionalAnnotation', 'type': 'function', 'url': 'meta/index.html#optionalAnnotation', 'doc': '<p>The value of given optional annotation type on the given program element,\nor null if the program element was not…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'typeLiteral', 'type': 'function', 'url': 'meta/index.html#typeLiteral', 'doc': '<p>Functional equivalent to type literals.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'modules.list', 'type': 'value', 'url': 'meta/modules.object.html#list', 'doc': '<p>Returns the list of all currently loaded modules.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'modules.find', 'type': 'function', 'url': 'meta/modules.object.html#find', 'doc': '<p>Finds a module by name and version, returns <code>null</code> if not found.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'modules.default', 'type': 'value', 'url': 'meta/modules.object.html#default', 'doc': '<p>Returns the default module, if there is one.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'modules', 'type': 'object', 'url': 'meta/modules.object.html', 'doc': '<p>Represents the list of Ceylon modules currently loaded at runtime.</p>\n', 'tags': [],'icons': ['icon-object']},
{'name': 'modules', 'type': 'value', 'url': 'meta/index.html#modules', 'doc': '<p>Represents the list of Ceylon modules currently loaded at runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'annotations', 'type': 'function', 'url': 'meta/index.html#annotations', 'doc': '<p>The annotations of the <a class=\'link-custom-text\' href=\'meta/index.html#annotations-annotationType\' title=\'Go to ceylon.language.meta::annotations.annotationType\'>given type</a>\napplied to the <a class=\'link-custom-text\' href=\'meta/index.html#annotations-programElement\' title=\'Go to ceylon.language.meta::annotations.programElement\'>given program element</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'sequencedAnnotations', 'type': 'function', 'url': 'meta/index.html#sequencedAnnotations', 'doc': '<p>The values of given sequenced annotation type on the given program element,\nor empty if the program element was not…</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'classDeclaration', 'type': 'function', 'url': 'meta/index.html#classDeclaration', 'doc': '<p>Returns the class declaration for a given instance.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'type', 'type': 'function', 'url': 'meta/index.html#type', 'doc': '<p>Returns the closed type and model of a given instance.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'ceylon.language.meta.declaration', 'type': 'package', 'url': 'meta/declaration/index.html', 'doc': '<p>The Ceylon metamodel open type and declaration package.</p>\n', 'tags': ['Metamodel'],'icons': ['icon-package']},
{'name': 'FunctionDeclaration.apply', 'type': 'function', 'url': 'meta/declaration/FunctionDeclaration.type.html#apply', 'doc': '<p>Applies the given closed type arguments to this function declaration in order to obtain a function model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'FunctionDeclaration.memberApply', 'type': 'function', 'url': 'meta/declaration/FunctionDeclaration.type.html#memberApply', 'doc': '<p>Applies the given closed container type and type arguments to this method declaration in order to obtain a method model…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'FunctionDeclaration', 'type': 'interface', 'url': 'meta/declaration/FunctionDeclaration.type.html', 'doc': '<p>Abstraction over declarations which can be invoked, namely functions, methods and constructors</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ValueConstructorDeclaration.container', 'type': 'value', 'url': 'meta/declaration/ValueConstructorDeclaration.type.html#container', 'doc': '<p>The class this constructor constructs</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ValueConstructorDeclaration.apply', 'type': 'function', 'url': 'meta/declaration/ValueConstructorDeclaration.type.html#apply', 'doc': '<p>Apply the given closed type argument to this toplevel value constructor\nto obtain as value constructor model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueConstructorDeclaration.memberApply', 'type': 'function', 'url': 'meta/declaration/ValueConstructorDeclaration.type.html#memberApply', 'doc': '<p>Apply the given closed type argument to this member value constructor\nto obtain as value constructor model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueConstructorDeclaration.get', 'type': 'function', 'url': 'meta/declaration/ValueConstructorDeclaration.type.html#get', 'doc': '<p>Reads the current value of this toplevel value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ValueConstructorDeclaration.memberGet', 'type': 'function', 'url': 'meta/declaration/ValueConstructorDeclaration.type.html#memberGet', 'doc': '<p>Reads the current value of this attribute on the given container instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ValueConstructorDeclaration', 'type': 'interface', 'url': 'meta/declaration/ValueConstructorDeclaration.type.html', 'doc': '<p>Declaration model for value constructors, for example</p>\n<pre data-language="ceylon">class Currency {\n    "The US Dollar"\n    shared new…\n</pre>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'AliasDeclaration.extendedType', 'type': 'value', 'url': 'meta/declaration/AliasDeclaration.type.html#extendedType', 'doc': '<p>The open type that is substituted by this type alias.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'AliasDeclaration', 'type': 'interface', 'url': 'meta/declaration/AliasDeclaration.type.html', 'doc': '<p>Type alias declaration.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'FunctionOrValueDeclaration.parameter', 'type': 'value', 'url': 'meta/declaration/FunctionOrValueDeclaration.type.html#parameter', 'doc': '<p>True if this function or value is a parameter to a <code><a class=\'link\' href=\'meta/declaration/FunctionalDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::FunctionalDeclaration\'><span class=\'type-identifier\'>FunctionalDeclaration</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionOrValueDeclaration.defaulted', 'type': 'value', 'url': 'meta/declaration/FunctionOrValueDeclaration.type.html#defaulted', 'doc': '<p>True if this function or value is a parameter and has a default value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionOrValueDeclaration.variadic', 'type': 'value', 'url': 'meta/declaration/FunctionOrValueDeclaration.type.html#variadic', 'doc': '<p>True if this function or value is a parameter and is variadic (accepts a list of values).</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionOrValueDeclaration', 'type': 'interface', 'url': 'meta/declaration/FunctionOrValueDeclaration.type.html', 'doc': '<p>A function or value declaration.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'OpenTypeArgument', 'type': 'alias', 'url': 'meta/declaration/index.html#OpenTypeArgument', 'doc': '<p>A tuple representing an open type argument and its use-site variance.</p>\n', 'tags': [],'icons': ['icon-type-alias']},
{'name': 'TypedDeclaration.openType', 'type': 'value', 'url': 'meta/declaration/TypedDeclaration.type.html#openType', 'doc': '<p>The open type for this declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'TypedDeclaration', 'type': 'interface', 'url': 'meta/declaration/TypedDeclaration.type.html', 'doc': '<p>Declaration which has an open type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'TypeParameter.container', 'type': 'value', 'url': 'meta/declaration/TypeParameter.type.html#container', 'doc': '<p>The declaration that declared this type parameter.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'TypeParameter.defaulted', 'type': 'value', 'url': 'meta/declaration/TypeParameter.type.html#defaulted', 'doc': '<p>True if this type parameter has a default type argument and can be omitted.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'TypeParameter.defaultTypeArgument', 'type': 'value', 'url': 'meta/declaration/TypeParameter.type.html#defaultTypeArgument', 'doc': '<p>This type parameter\'s default type argument, if it has one.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'TypeParameter.variance', 'type': 'value', 'url': 'meta/declaration/TypeParameter.type.html#variance', 'doc': '<p>This type parameter\'s variance, as defined by <code>in</code> or <code>out</code> keywords.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'TypeParameter.satisfiedTypes', 'type': 'value', 'url': 'meta/declaration/TypeParameter.type.html#satisfiedTypes', 'doc': '<p>The <code>satisfies</code> upper bounds for this type parameter.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'TypeParameter.caseTypes', 'type': 'value', 'url': 'meta/declaration/TypeParameter.type.html#caseTypes', 'doc': '<p>The <code>of</code> enumerated bounds for this type parameter.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'TypeParameter', 'type': 'interface', 'url': 'meta/declaration/TypeParameter.type.html', 'doc': '<p>A type parameter declaration.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'OpenTypeVariable.declaration', 'type': 'value', 'url': 'meta/declaration/OpenTypeVariable.type.html#declaration', 'doc': '<p>This type variable\'s type parameter declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenTypeVariable', 'type': 'interface', 'url': 'meta/declaration/OpenTypeVariable.type.html', 'doc': '<p>An open type variable.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ConstructorDeclaration', 'type': 'interface', 'url': 'meta/declaration/ConstructorDeclaration.type.html', 'doc': '<p>Abstraction over <a class=\'link-custom-text\' href=\'meta/declaration/CallableConstructorDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::CallableConstructorDeclaration\'>callable constructors</a>\nand [[value constructors|…</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'GenericDeclaration.typeParameterDeclarations', 'type': 'value', 'url': 'meta/declaration/GenericDeclaration.type.html#typeParameterDeclarations', 'doc': '<p>The list of type parameters declared on this generic declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'GenericDeclaration.getTypeParameterDeclaration', 'type': 'function', 'url': 'meta/declaration/GenericDeclaration.type.html#getTypeParameterDeclaration', 'doc': '<p>Finds a type parameter by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'GenericDeclaration', 'type': 'interface', 'url': 'meta/declaration/GenericDeclaration.type.html', 'doc': '<p>A declaration that can have type parameters.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ValueDeclaration.late', 'type': 'value', 'url': 'meta/declaration/ValueDeclaration.type.html#late', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#late\' title=\'Go to ceylon.language::late\'>late</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration.variable', 'type': 'value', 'url': 'meta/declaration/ValueDeclaration.type.html#variable', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#variable\' title=\'Go to ceylon.language::variable\'>variable</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration.objectValue', 'type': 'value', 'url': 'meta/declaration/ValueDeclaration.type.html#objectValue', 'doc': '<p>True if this declaration is an <code>object</code> declaration, whose type is an anonymous class.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration.objectClass', 'type': 'value', 'url': 'meta/declaration/ValueDeclaration.type.html#objectClass', 'doc': '<p>This value\'s anonymous class declaration if this value is an object declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration.apply', 'type': 'function', 'url': 'meta/declaration/ValueDeclaration.type.html#apply', 'doc': '<p>Applies this value declaration in order to obtain a value model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration.memberApply', 'type': 'function', 'url': 'meta/declaration/ValueDeclaration.type.html#memberApply', 'doc': '<p>Applies the given closed container type to this attribute declaration in order to obtain an attribute model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration.get', 'type': 'function', 'url': 'meta/declaration/ValueDeclaration.type.html#get', 'doc': '<p>Reads the current value of this toplevel value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ValueDeclaration.memberGet', 'type': 'function', 'url': 'meta/declaration/ValueDeclaration.type.html#memberGet', 'doc': '<p>Reads the current value of this attribute on the given container instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ValueDeclaration.set', 'type': 'function', 'url': 'meta/declaration/ValueDeclaration.type.html#set', 'doc': '<p>Sets the current value of this toplevel value.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'ValueDeclaration.memberSet', 'type': 'function', 'url': 'meta/declaration/ValueDeclaration.type.html#memberSet', 'doc': '<p>Sets the current value of this attribute on the given container instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration.setter', 'type': 'value', 'url': 'meta/declaration/ValueDeclaration.type.html#setter', 'doc': '<p>Returns the setter declaration for this variable if there is one, <code>null</code> otherwise.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueDeclaration', 'type': 'interface', 'url': 'meta/declaration/ValueDeclaration.type.html', 'doc': '<p>A value declaration.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'OpenClassOrInterfaceType.declaration', 'type': 'value', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html#declaration', 'doc': '<p>The class or interface declaration for this open type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenClassOrInterfaceType.extendedType', 'type': 'value', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html#extendedType', 'doc': '<p>The extended type of this open type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenClassOrInterfaceType.satisfiedTypes', 'type': 'value', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html#satisfiedTypes', 'doc': '<p>The satisfied types of this open type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenClassOrInterfaceType.typeArguments', 'type': 'value', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html#typeArguments', 'doc': '<p>The map of open type arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenClassOrInterfaceType.typeArgumentList', 'type': 'value', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html#typeArgumentList', 'doc': '<p>The list of open type arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenClassOrInterfaceType.typeArgumentWithVariances', 'type': 'value', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html#typeArgumentWithVariances', 'doc': '<p>The map of type parameter declaration to open type arguments and use-site variance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenClassOrInterfaceType.typeArgumentWithVarianceList', 'type': 'value', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html#typeArgumentWithVarianceList', 'doc': '<p>The list of open type arguments with use-site variance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenClassOrInterfaceType', 'type': 'interface', 'url': 'meta/declaration/OpenClassOrInterfaceType.type.html', 'doc': '<p>An open class or interface, with open type arguments.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'NestableDeclaration.actual', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#actual', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#actual\' title=\'Go to ceylon.language::actual\'>actual</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration.formal', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#formal', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#formal\' title=\'Go to ceylon.language::formal\'>formal</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration.default', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#default', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#default\' title=\'Go to ceylon.language::default\'>default</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration.shared', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#shared', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#shared\' title=\'Go to ceylon.language::shared\'>shared</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration.containingPackage', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#containingPackage', 'doc': '<p>This declaration\'s package container.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration.containingModule', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#containingModule', 'doc': '<p>This declaration\'s module container.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration.container', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#container', 'doc': '<p>This declaration\'s immediate container, which can be either a <code><a class=\'link\' href=\'meta/declaration/NestableDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::NestableDeclaration\'><span class=\'type-identifier\'>NestableDeclaration</span></a></code>\nor a <code><a class=\'link\' href=\'meta/declaration/Package.type.html\' title=\'Go to ceylon.language.meta.declaration::Package\'><span class=\'type-identifier\'>Package</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration.toplevel', 'type': 'value', 'url': 'meta/declaration/NestableDeclaration.type.html#toplevel', 'doc': '<p>True if this declaration is a toplevel declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'NestableDeclaration', 'type': 'interface', 'url': 'meta/declaration/NestableDeclaration.type.html', 'doc': '<p>A declaration which can be contained in a <code><a class=\'link\' href=\'meta/declaration/Package.type.html\' title=\'Go to ceylon.language.meta.declaration::Package\'><span class=\'type-identifier\'>Package</span></a></code> or in another <code><a class=\'link\' href=\'meta/declaration/NestableDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::NestableDeclaration\'><span class=\'type-identifier\'>NestableDeclaration</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'ClassWithConstructorsDeclaration', 'type': 'interface', 'url': 'meta/declaration/ClassWithConstructorsDeclaration.type.html', 'doc': '<p>The declaration model of a class that has constructors.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Declaration.name', 'type': 'value', 'url': 'meta/declaration/Declaration.type.html#name', 'doc': '<p>The name of this declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Declaration.qualifiedName', 'type': 'value', 'url': 'meta/declaration/Declaration.type.html#qualifiedName', 'doc': '<p>The qualified name of this declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Declaration', 'type': 'interface', 'url': 'meta/declaration/Declaration.type.html', 'doc': '<p>A declaration.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'InterfaceDeclaration.interfaceApply', 'type': 'function', 'url': 'meta/declaration/InterfaceDeclaration.type.html#interfaceApply', 'doc': '<p>Applies the given closed type arguments to this toplevel interface\ndeclaration in order to obtain an interface model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'InterfaceDeclaration.memberInterfaceApply', 'type': 'function', 'url': 'meta/declaration/InterfaceDeclaration.type.html#memberInterfaceApply', 'doc': '<p>Applies the given closed container type and type arguments to this member\ninterface declaration in order to obtain a…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'InterfaceDeclaration', 'type': 'interface', 'url': 'meta/declaration/InterfaceDeclaration.type.html', 'doc': '<p>An interface declaration.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'nothingType.string', 'type': 'attribute', 'url': 'meta/declaration/nothingType.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'nothingType', 'type': 'object', 'url': 'meta/declaration/nothingType.object.html', 'doc': '<p>The singleton open type for <a class=\'link-custom-text\' href=\'index.html#nothing\' title=\'Go to ceylon.language::nothing\'>Nothing</a>.</p>\n', 'tags': [],'icons': ['icon-object']},
{'name': 'nothingType', 'type': 'value', 'url': 'meta/declaration/index.html#nothingType', 'doc': '<p>The singleton open type for <a class=\'link-custom-text\' href=\'index.html#nothing\' title=\'Go to ceylon.language::nothing\'>Nothing</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'CallableConstructorDeclaration.abstract', 'type': 'value', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html#abstract', 'doc': '<p>True if the constructor has an <a class=\'link-custom-text\' href=\'index.html#abstract\' title=\'Go to ceylon.language::abstract\'>abstract</a> annotation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'CallableConstructorDeclaration.defaultConstructor', 'type': 'value', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html#defaultConstructor', 'doc': '<p>Whether this is the default constructor.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'CallableConstructorDeclaration.container', 'type': 'value', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html#container', 'doc': '<p>The class this constructor constructs</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'CallableConstructorDeclaration.invoke', 'type': 'function', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html#invoke', 'doc': '<p>Invokes the underlying toplevel function, by applying the specified type arguments and value arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-over']},
{'name': 'CallableConstructorDeclaration.memberInvoke', 'type': 'function', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html#memberInvoke', 'doc': '<p>Invokes the underlying method, by applying the specified type arguments and value arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'CallableConstructorDeclaration.apply', 'type': 'function', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html#apply', 'doc': '<p>Applies the given closed type arguments to the declaration of the class\nenclosing this constructor declaration,…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'CallableConstructorDeclaration.memberApply', 'type': 'function', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html#memberApply', 'doc': '<p>Applies the given closed type arguments to the declaration of the member class\nenclosing this constructor declaration,…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'CallableConstructorDeclaration', 'type': 'interface', 'url': 'meta/declaration/CallableConstructorDeclaration.type.html', 'doc': '<p>Declaration model for callable constructors, for example</p>\n<pre data-language="ceylon">class WithConstructors {\n    shared new () {}…\n</pre>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ClassWithInitializerDeclaration.defaultConstructor', 'type': 'value', 'url': 'meta/declaration/ClassWithInitializerDeclaration.type.html#defaultConstructor', 'doc': '<p>A CallableConstructorDeclaration representing the class initializer.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ClassWithInitializerDeclaration.parameterDeclarations', 'type': 'value', 'url': 'meta/declaration/ClassWithInitializerDeclaration.type.html#parameterDeclarations', 'doc': '<p>The list of parameter declarations for this class.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ClassWithInitializerDeclaration.constructorDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassWithInitializerDeclaration.type.html#constructorDeclarations', 'doc': '<p>A singleton sequence containing the <a class=\'link\' href=\'meta/declaration/ClassWithInitializerDeclaration.type.html#defaultConstructor\' title=\'Go to ceylon.language.meta.declaration::ClassWithInitializerDeclaration.defaultConstructor\'><code><span class=\'type-identifier\'>ClassWithInitializerDeclaration</span>.<span class=\'identifier\'>defaultConstructor</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ClassWithInitializerDeclaration.getConstructorDeclaration', 'type': 'function', 'url': 'meta/declaration/ClassWithInitializerDeclaration.type.html#getConstructorDeclaration', 'doc': '<p>Looks up a constructor declaration directly declared on this class, by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'ClassWithInitializerDeclaration.annotatedConstructorDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassWithInitializerDeclaration.type.html#annotatedConstructorDeclarations', 'doc': '<p>Returns the list of constructors declared on this class that are annotated with the\ngiven <code>Annotation</code> type argument.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ClassWithInitializerDeclaration', 'type': 'interface', 'url': 'meta/declaration/ClassWithInitializerDeclaration.type.html', 'doc': '<p>The declaration model of a class that has a parameter list rather than\nexplicit constructors.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ClassDeclaration.defaultConstructor', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#defaultConstructor', 'doc': '<p>A constructor declaration representing the class initializer\n(for a class with a parameter list) or\nthe default…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.parameterDeclarations', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#parameterDeclarations', 'doc': '<p>The list of parameter declarations for this class.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.getParameterDeclaration', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#getParameterDeclaration', 'doc': '<p>Gets a parameter declaration by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.annotation', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#annotation', 'doc': '<p>True if the current declaration is an annotation class or function.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.abstract', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#abstract', 'doc': '<p>True if the class has an <a class=\'link-custom-text\' href=\'index.html#abstract\' title=\'Go to ceylon.language::abstract\'>abstract</a> annotation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.serializable', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#serializable', 'doc': '<p>True if the class is serializable class.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.anonymous', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#anonymous', 'doc': '<p>True if the class is an anonymous class, as is the case for the class of object value declarations.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.objectValue', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#objectValue', 'doc': '<p>This anonymous class\' object value declaration if this class is an anonymous class.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.final', 'type': 'value', 'url': 'meta/declaration/ClassDeclaration.type.html#final', 'doc': '<p>True if the class has a <a class=\'link-custom-text\' href=\'index.html#final\' title=\'Go to ceylon.language::final\'>final</a> annotation.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.classApply', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#classApply', 'doc': '<p>Applies the given closed type arguments to this toplevel class declaration in order to obtain a class model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.memberClassApply', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#memberClassApply', 'doc': '<p>Applies the given closed container type and type arguments to this member class declaration in order to obtain a member…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.instantiate', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#instantiate', 'doc': '<p>Creates a new instance of this toplevel class,\nby applying the specified type arguments and value arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'ClassDeclaration.memberInstantiate', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#memberInstantiate', 'doc': '<p>Creates a new instance of this member class, by applying the specified\ntype arguments and value arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'ClassDeclaration.getConstructorDeclaration', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#getConstructorDeclaration', 'doc': '<p>Looks up a constructor declaration directly declared on this class, by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.constructorDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#constructorDeclarations', 'doc': '<p>Returns the list of constructors declared on this class.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration.annotatedConstructorDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassDeclaration.type.html#annotatedConstructorDeclarations', 'doc': '<p>Returns the list of constructors declared on this class that are annotated with the\ngiven <code>Annotation</code> type argument.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassDeclaration', 'type': 'interface', 'url': 'meta/declaration/ClassDeclaration.type.html', 'doc': '<p>Class declaration.</p>\n<h3>Callable classes</h3>\n<p>Since Ceylon 1.2 classes are not always directly invokable\n(if the class has…</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'AnnotatedDeclaration.annotations', 'type': 'function', 'url': 'meta/declaration/AnnotatedDeclaration.type.html#annotations', 'doc': '<p>The annotation instances of the given\nannotation type on this declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'AnnotatedDeclaration', 'type': 'interface', 'url': 'meta/declaration/AnnotatedDeclaration.type.html', 'doc': '<p>Declaration which can be annotated, such as:</p>\n<ul>\n<li><code><a class=\'link\' href=\'meta/declaration/NestableDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::NestableDeclaration\'><span class=\'type-identifier\'>NestableDeclaration</span></a></code></li>\n<li><code><a class=\'link\' href=\'meta/declaration/Module.type.html\' title=\'Go to ceylon.language.meta.declaration::Module\'><span class=\'type-identifier\'>Module</span></a></code></li>\n<li><code><a class=\'link\' href=\'meta/declaration/Package.type.html\' title=\'Go to ceylon.language.meta.declaration::Package\'><span class=\'type-identifier\'>Package</span></a></code></li>\n</ul>\n<p>You can query…</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'GettableDeclaration.get', 'type': 'function', 'url': 'meta/declaration/GettableDeclaration.type.html#get', 'doc': '<p>Reads the current value of this toplevel value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'GettableDeclaration.memberGet', 'type': 'function', 'url': 'meta/declaration/GettableDeclaration.type.html#memberGet', 'doc': '<p>Reads the current value of this attribute on the given container instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'GettableDeclaration', 'type': 'interface', 'url': 'meta/declaration/GettableDeclaration.type.html', 'doc': '<p>Abstraction over declarations from which a value can be obtained, namely</p>\n<ul>\n<li><code><a class=\'link\' href=\'meta/declaration/ValueDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::ValueDeclaration\'><span class=\'type-identifier\'>ValueDeclaration</span></a></code> which abstracts over…</li>\n</ul>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'OpenInterfaceType.declaration', 'type': 'value', 'url': 'meta/declaration/OpenInterfaceType.type.html#declaration', 'doc': '<p>This declaration\'s package container.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'OpenInterfaceType', 'type': 'interface', 'url': 'meta/declaration/OpenInterfaceType.type.html', 'doc': '<p>An open interface type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'OpenIntersection.satisfiedTypes', 'type': 'value', 'url': 'meta/declaration/OpenIntersection.type.html#satisfiedTypes', 'doc': '<p>This intersection\'s list of satisfied open types.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenIntersection', 'type': 'interface', 'url': 'meta/declaration/OpenIntersection.type.html', 'doc': '<p>An open intersection type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'OpenType', 'type': 'interface', 'url': 'meta/declaration/OpenType.type.html', 'doc': '<p>An open type.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'Module.version', 'type': 'value', 'url': 'meta/declaration/Module.type.html#version', 'doc': '<p>The module version.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Module.members', 'type': 'value', 'url': 'meta/declaration/Module.type.html#members', 'doc': '<p>The package members of the module.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Module.dependencies', 'type': 'value', 'url': 'meta/declaration/Module.type.html#dependencies', 'doc': '<p>The modules this module depends on.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Module.findPackage', 'type': 'function', 'url': 'meta/declaration/Module.type.html#findPackage', 'doc': '<p>Finds a package by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Module.findImportedPackage', 'type': 'function', 'url': 'meta/declaration/Module.type.html#findImportedPackage', 'doc': '<p>Finds a package by name in this module or in its dependencies.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Module.resourceByPath', 'type': 'function', 'url': 'meta/declaration/Module.type.html#resourceByPath', 'doc': '<p>Searches for a resource by its path inside the module.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Module', 'type': 'interface', 'url': 'meta/declaration/Module.type.html', 'doc': '<p>A <code>module</code> declaration\nfrom a <code>module.ceylon</code> compilation unit</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Import.name', 'type': 'value', 'url': 'meta/declaration/Import.type.html#name', 'doc': '<p>The name of the imported module.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Import.version', 'type': 'value', 'url': 'meta/declaration/Import.type.html#version', 'doc': '<p>The compile-time version of the imported module.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Import.shared', 'type': 'value', 'url': 'meta/declaration/Import.type.html#shared', 'doc': '<p>True if this imported module is shared.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Import.optional', 'type': 'value', 'url': 'meta/declaration/Import.type.html#optional', 'doc': '<p>True if this imported module is optional.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Import.container', 'type': 'value', 'url': 'meta/declaration/Import.type.html#container', 'doc': '<p>The containing module.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Import', 'type': 'interface', 'url': 'meta/declaration/Import.type.html', 'doc': '<p>Model of an <code>import</code> declaration\nwithin a module declaration.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Package.container', 'type': 'value', 'url': 'meta/declaration/Package.type.html#container', 'doc': '<p>The module this package belongs to.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.shared', 'type': 'value', 'url': 'meta/declaration/Package.type.html#shared', 'doc': '<p>True if this package is shared.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.members', 'type': 'function', 'url': 'meta/declaration/Package.type.html#members', 'doc': '<p>Returns the list of member declarations that satisfy the given <code>Kind</code> type argument.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.annotatedMembers', 'type': 'function', 'url': 'meta/declaration/Package.type.html#annotatedMembers', 'doc': '<p>Returns the list of member declarations that satisfy the given <code>Kind</code> type argument and\nthat are annotated with the…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.getMember', 'type': 'function', 'url': 'meta/declaration/Package.type.html#getMember', 'doc': '<p>Looks up a member declaration by name, provided it satisfies the given <code>Kind</code> type\nargument.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.getValue', 'type': 'function', 'url': 'meta/declaration/Package.type.html#getValue', 'doc': '<p>The value with the given name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.getClassOrInterface', 'type': 'function', 'url': 'meta/declaration/Package.type.html#getClassOrInterface', 'doc': '<p>The class or interface with the given name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.getFunction', 'type': 'function', 'url': 'meta/declaration/Package.type.html#getFunction', 'doc': '<p>The function with the given name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package.getAlias', 'type': 'function', 'url': 'meta/declaration/Package.type.html#getAlias', 'doc': '<p>The type alias with the given name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Package', 'type': 'interface', 'url': 'meta/declaration/Package.type.html', 'doc': '<p>Model of a <code>package</code> declaration\nfrom a <code>package.ceylon</code> compilation unit</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Variance', 'type': 'interface', 'url': 'meta/declaration/Variance.type.html', 'doc': '<p>Variance information.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'invariant.string', 'type': 'attribute', 'url': 'meta/declaration/invariant.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'invariant', 'type': 'object', 'url': 'meta/declaration/invariant.object.html', 'doc': '<p>Invariant means that neither subtype nor supertype can be accepted, the\ntype has to be exactly that which is declared.</p>\n', 'tags': [],'icons': ['icon-object']},
{'name': 'invariant', 'type': 'value', 'url': 'meta/declaration/index.html#invariant', 'doc': '<p>Invariant means that neither subtype nor supertype can be accepted, the\ntype has to be exactly that which is declared.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'covariant.string', 'type': 'attribute', 'url': 'meta/declaration/covariant.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'covariant', 'type': 'object', 'url': 'meta/declaration/covariant.object.html', 'doc': '<p>Covariant means that subtypes of the given type may be returned.</p>\n', 'tags': [],'icons': ['icon-object']},
{'name': 'covariant', 'type': 'value', 'url': 'meta/declaration/index.html#covariant', 'doc': '<p>Covariant means that subtypes of the given type may be returned.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'contravariant.string', 'type': 'attribute', 'url': 'meta/declaration/contravariant.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'contravariant', 'type': 'object', 'url': 'meta/declaration/contravariant.object.html', 'doc': '<p>Contravariant means that supertypes of the given type may be accepted.</p>\n', 'tags': [],'icons': ['icon-object']},
{'name': 'contravariant', 'type': 'value', 'url': 'meta/declaration/index.html#contravariant', 'doc': '<p>Contravariant means that supertypes of the given type may be accepted.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'OpenClassType.declaration', 'type': 'value', 'url': 'meta/declaration/OpenClassType.type.html#declaration', 'doc': '<p>This class declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'OpenClassType', 'type': 'interface', 'url': 'meta/declaration/OpenClassType.type.html', 'doc': '<p>An open class type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ClassOrInterfaceDeclaration.extendedType', 'type': 'value', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#extendedType', 'doc': '<p>This type\'s extended type, unless this is the class for\n<a class=\'link-custom-text\' href=\'Anything.type.html\' title=\'Go to ceylon.language::Anything\'>Anything</a>, whichis the root\nof…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.satisfiedTypes', 'type': 'value', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#satisfiedTypes', 'doc': '<p>The list of types satisfied by this type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.caseTypes', 'type': 'value', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#caseTypes', 'doc': '<p>If this type has an <code>of</code> clause, this is the list of case types for the current type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.isAlias', 'type': 'value', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#isAlias', 'doc': '<p>True if this type is an alias type, in which case the <a class=\'link\' href=\'meta/declaration/ClassOrInterfaceDeclaration.type.html#extendedType\' title=\'Go to ceylon.language.meta.declaration::ClassOrInterfaceDeclaration.extendedType\'><code><span class=\'type-identifier\'>ClassOrInterfaceDeclaration</span>.<span class=\'identifier\'>extendedType</span></code></a> will\ncontain the substituted type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.memberDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#memberDeclarations', 'doc': '<p>Returns the list of shared member declarations that satisfy the\ngiven <code>Kind</code> type argument.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.declaredMemberDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#declaredMemberDeclarations', 'doc': '<p>Returns the list of member declarations directly declared on this class or interface,\nwhich satisfy the given <code>Kind</code>…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.annotatedMemberDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#annotatedMemberDeclarations', 'doc': '<p>Returns the list of shared member declarations that satisfy the given <code>Kind</code> type argument and\nthat are annotated with…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.annotatedDeclaredMemberDeclarations', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#annotatedDeclaredMemberDeclarations', 'doc': '<p>Returns the list of member declarations directly declared on this class or interface, which satisfy the given\n<code>Kind</code>…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.getMemberDeclaration', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#getMemberDeclaration', 'doc': '<p>Looks up a shared member declaration by name,\nprovided it satisfies the given <code>Kind</code> type argument.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.getDeclaredMemberDeclaration', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#getDeclaredMemberDeclaration', 'doc': '<p>Looks up a member declaration directly declared on this class or interface, by name,\nprovided it satisfies the given `…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.apply', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#apply', 'doc': '<p>Applies the given closed type arguments to this toplevel class or interface declaration in order to obtain a class or…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration.memberApply', 'type': 'function', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html#memberApply', 'doc': '<p>Applies the given closed container type and type arguments to this member class or interface declaration in order to…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterfaceDeclaration', 'type': 'interface', 'url': 'meta/declaration/ClassOrInterfaceDeclaration.type.html', 'doc': '<p>A class or interface declaration.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'FunctionalDeclaration.annotation', 'type': 'value', 'url': 'meta/declaration/FunctionalDeclaration.type.html#annotation', 'doc': '<p>True if the current declaration is an annotation class or function.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionalDeclaration.parameterDeclarations', 'type': 'value', 'url': 'meta/declaration/FunctionalDeclaration.type.html#parameterDeclarations', 'doc': '<p>The list of parameter declarations for this functional declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionalDeclaration.getParameterDeclaration', 'type': 'function', 'url': 'meta/declaration/FunctionalDeclaration.type.html#getParameterDeclaration', 'doc': '<p>Gets a parameter declaration by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionalDeclaration.apply', 'type': 'function', 'url': 'meta/declaration/FunctionalDeclaration.type.html#apply', 'doc': '<p>Applies the given closed type arguments to this function declaration in order to obtain a function model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionalDeclaration.memberApply', 'type': 'function', 'url': 'meta/declaration/FunctionalDeclaration.type.html#memberApply', 'doc': '<p>Applies the given closed container type and type arguments to this method declaration in order to obtain a method model…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionalDeclaration.invoke', 'type': 'function', 'url': 'meta/declaration/FunctionalDeclaration.type.html#invoke', 'doc': '<p>Invokes the underlying toplevel function, by applying the specified type arguments and value arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'FunctionalDeclaration.memberInvoke', 'type': 'function', 'url': 'meta/declaration/FunctionalDeclaration.type.html#memberInvoke', 'doc': '<p>Invokes the underlying method, by applying the specified type arguments and value arguments.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionalDeclaration', 'type': 'interface', 'url': 'meta/declaration/FunctionalDeclaration.type.html', 'doc': '<p>A function declaration.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'OpenUnion.caseTypes', 'type': 'value', 'url': 'meta/declaration/OpenUnion.type.html#caseTypes', 'doc': '<p>The list of case types for this open union type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'OpenUnion', 'type': 'interface', 'url': 'meta/declaration/OpenUnion.type.html', 'doc': '<p>An open union type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'SetterDeclaration.variable', 'type': 'value', 'url': 'meta/declaration/SetterDeclaration.type.html#variable', 'doc': '<p>The variable value this setter is for.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'SetterDeclaration.actual', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#actual', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#actual\' title=\'Go to ceylon.language::actual\'>actual</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration.formal', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#formal', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#formal\' title=\'Go to ceylon.language::formal\'>formal</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration.default', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#default', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#default\' title=\'Go to ceylon.language::default\'>default</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration.shared', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#shared', 'doc': '<p>True if this declaration is annotated with <a class=\'link-custom-text\' href=\'index.html#shared\' title=\'Go to ceylon.language::shared\'>shared</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration.containingPackage', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#containingPackage', 'doc': '<p>This declaration\'s package container.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration.containingModule', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#containingModule', 'doc': '<p>This declaration\'s module container.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration.container', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#container', 'doc': '<p>This declaration\'s immediate container, which can be either a <code><a class=\'link\' href=\'meta/declaration/NestableDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::NestableDeclaration\'><span class=\'type-identifier\'>NestableDeclaration</span></a></code>\nor a <code><a class=\'link\' href=\'meta/declaration/Package.type.html\' title=\'Go to ceylon.language.meta.declaration::Package\'><span class=\'type-identifier\'>Package</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration.toplevel', 'type': 'attribute', 'url': 'meta/declaration/SetterDeclaration.type.html#toplevel', 'doc': '<p>True if this declaration is a toplevel declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'SetterDeclaration', 'type': 'interface', 'url': 'meta/declaration/SetterDeclaration.type.html', 'doc': '<p>A setter declaration represents the assign block of a <code><a class=\'link\' href=\'meta/declaration/ValueDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::ValueDeclaration\'><span class=\'type-identifier\'>ValueDeclaration</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ceylon.language.meta.model', 'type': 'package', 'url': 'meta/model/index.html', 'doc': '<p>The Ceylon metamodel closed type and model package.</p>\n', 'tags': ['Metamodel'],'icons': ['icon-package']},
{'name': 'Method.declaration', 'type': 'value', 'url': 'meta/model/Method.type.html#declaration', 'doc': '<p>This function\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Method.bind', 'type': 'function', 'url': 'meta/model/Method.type.html#bind', 'doc': '<p>Type-unsafe container binding, to be used when the container type is unknown until runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Method', 'type': 'interface', 'url': 'meta/model/Method.type.html', 'doc': '<p>A function model represents the model of a Ceylon function that you can invoke and inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Class.defaultConstructor', 'type': 'value', 'url': 'meta/model/Class.type.html#defaultConstructor', 'doc': '<p>A model of the default constructor (for a class with constructors)\nor class initializer (for a class with a parameter…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Class.getConstructor', 'type': 'function', 'url': 'meta/model/Class.type.html#getConstructor', 'doc': '<p>The constructor with the given name, or null if this class lacks\na constructor of the given name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Class', 'type': 'interface', 'url': 'meta/model/Class.type.html', 'doc': '<p>A class model represents the model of a Ceylon class that you can instantiate and inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'TypeArgument', 'type': 'alias', 'url': 'meta/model/index.html#TypeArgument', 'doc': '<p>A tuple representing a type argument and its use-site variance.</p>\n', 'tags': [],'icons': ['icon-type-alias']},
{'name': 'CallableConstructor.declaration', 'type': 'value', 'url': 'meta/model/CallableConstructor.type.html#declaration', 'doc': '<p>This constructor\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'CallableConstructor.type', 'type': 'value', 'url': 'meta/model/CallableConstructor.type.html#type', 'doc': '<p>This function\'s return closed type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'CallableConstructor.container', 'type': 'value', 'url': 'meta/model/CallableConstructor.type.html#container', 'doc': '<p>The class containing this constructor; the type of instances produced\nby this constructor.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'CallableConstructor', 'type': 'interface', 'url': 'meta/model/CallableConstructor.type.html', 'doc': '<p>A callable constructor model represents the model of a Ceylon class\nconstructor that you can invoke and inspect</p>\n<h2>…</h2>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'MemberInterface.bind', 'type': 'function', 'url': 'meta/model/MemberInterface.type.html#bind', 'doc': '<p>Type-unsafe container binding, to be used when the container type is unknown until runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberInterface', 'type': 'interface', 'url': 'meta/model/MemberInterface.type.html', 'doc': '<p>A member interface model that you can inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'FunctionModel.declaration', 'type': 'value', 'url': 'meta/model/FunctionModel.type.html#declaration', 'doc': '<p>This function\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'FunctionModel.type', 'type': 'value', 'url': 'meta/model/FunctionModel.type.html#type', 'doc': '<p>This function\'s return closed type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'FunctionModel', 'type': 'interface', 'url': 'meta/model/FunctionModel.type.html', 'doc': '<p>A function model represents the model of a Ceylon function that you can inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Member.declaringType', 'type': 'value', 'url': 'meta/model/Member.type.html#declaringType', 'doc': '<p>The declaring closed type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Member', 'type': 'interface', 'url': 'meta/model/Member.type.html', 'doc': '<p>Model for members that can be bound to a containing instance to turn them into toplevel models.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ValueModel.declaration', 'type': 'value', 'url': 'meta/model/ValueModel.type.html#declaration', 'doc': '<p>This value\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ValueModel.type', 'type': 'value', 'url': 'meta/model/ValueModel.type.html#type', 'doc': '<p>This value\'s closed type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ValueModel', 'type': 'interface', 'url': 'meta/model/ValueModel.type.html', 'doc': '<p>A value model represents the model of a Ceylon value that you can inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'MutationException', 'type': 'class', 'url': 'meta/model/MutationException.type.html', 'doc': '<p>Thrown when you try to change the value of a non-variable value</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Model.container', 'type': 'value', 'url': 'meta/model/Model.type.html#container', 'doc': '<p>The container type of this model, or <code>null</code> if this is a toplevel model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Model.declaration', 'type': 'value', 'url': 'meta/model/Model.type.html#declaration', 'doc': '<p>The declaration for this model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Model', 'type': 'interface', 'url': 'meta/model/Model.type.html', 'doc': '<p>The root of all models.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'TypeApplicationException', 'type': 'class', 'url': 'meta/model/TypeApplicationException.type.html', 'doc': '<p>Thrown when declarations are applied with invalid or incompatible type arguments.</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'MemberClassValueConstructor.declaration', 'type': 'value', 'url': 'meta/model/MemberClassValueConstructor.type.html#declaration', 'doc': '<p>This value\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassValueConstructor.type', 'type': 'value', 'url': 'meta/model/MemberClassValueConstructor.type.html#type', 'doc': '<p>This value\'s closed type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassValueConstructor.container', 'type': 'value', 'url': 'meta/model/MemberClassValueConstructor.type.html#container', 'doc': '<p>The class containing this constructor; the type of instances produced\nby this constructor.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassValueConstructor.bind', 'type': 'function', 'url': 'meta/model/MemberClassValueConstructor.type.html#bind', 'doc': '<p>Binds this attribute to the given container instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassValueConstructor', 'type': 'interface', 'url': 'meta/model/MemberClassValueConstructor.type.html', 'doc': '<p>A model for a value constructor of a member class.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'IntersectionType.satisfiedTypes', 'type': 'value', 'url': 'meta/model/IntersectionType.type.html#satisfiedTypes', 'doc': '<p>The list of closed satisfied types of this intersection.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'IntersectionType', 'type': 'interface', 'url': 'meta/model/IntersectionType.type.html', 'doc': '<p>A closed intersection type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ValueConstructor.declaration', 'type': 'value', 'url': 'meta/model/ValueConstructor.type.html#declaration', 'doc': '<p>This value\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ValueConstructor.type', 'type': 'value', 'url': 'meta/model/ValueConstructor.type.html#type', 'doc': '<p>This value\'s closed type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ValueConstructor.container', 'type': 'value', 'url': 'meta/model/ValueConstructor.type.html#container', 'doc': '<p>The class containing this constructor; the type of instances produced\nby this constructor.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ValueConstructor', 'type': 'interface', 'url': 'meta/model/ValueConstructor.type.html', 'doc': '<p>A callable constructor model represents the model of a Ceylon class\nvalue constructor that you can get and inspect</p>\n<h2>…</h2>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'InvocationException', 'type': 'class', 'url': 'meta/model/InvocationException.type.html', 'doc': '<p>Thrown when attempting to invoke something which can\'t be invoked, like abstract class\ninitialisers.</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Generic.typeArguments', 'type': 'value', 'url': 'meta/model/Generic.type.html#typeArguments', 'doc': '<p>The map of type parameter declaration to type arguments for this generic model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Generic.typeArgumentList', 'type': 'value', 'url': 'meta/model/Generic.type.html#typeArgumentList', 'doc': '<p>The list of type arguments for this generic model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Generic.typeArgumentWithVariances', 'type': 'value', 'url': 'meta/model/Generic.type.html#typeArgumentWithVariances', 'doc': '<p>The map of type parameter declaration to type arguments and use-site variance for this generic model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Generic.typeArgumentWithVarianceList', 'type': 'value', 'url': 'meta/model/Generic.type.html#typeArgumentWithVarianceList', 'doc': '<p>The list of type arguments for this generic model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Generic', 'type': 'interface', 'url': 'meta/model/Generic.type.html', 'doc': '<p>A generic model which has closed type arguments.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Qualified.bind', 'type': 'function', 'url': 'meta/model/Qualified.type.html#bind', 'doc': '<p>Type-unsafe container binding, to be used when the container type is unknown until runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Qualified', 'type': 'interface', 'url': 'meta/model/Qualified.type.html', 'doc': '<p>Abstraction for models of elements which must be qualified\nby an instance to order to be evaluated, including:</p>\n<ul>\n<li>[[…</li>\n</ul>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Value.declaration', 'type': 'value', 'url': 'meta/model/Value.type.html#declaration', 'doc': '<p>This value\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Value', 'type': 'interface', 'url': 'meta/model/Value.type.html', 'doc': '<p>A value model represents the model of a Ceylon value that you can read and inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'IncompatibleTypeException', 'type': 'class', 'url': 'meta/model/IncompatibleTypeException.type.html', 'doc': '<p>Thrown when you invoke metamodel methods with invalid or incompatible type arguments.</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'StorageException', 'type': 'class', 'url': 'meta/model/StorageException.type.html', 'doc': '<p>Thrown when you try to read attributes that were not shared nor captured and had no\nphysical storage allocated, so do…</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Declared.declaration', 'type': 'value', 'url': 'meta/model/Declared.type.html#declaration', 'doc': '<p>The declaration model of this model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Declared.container', 'type': 'value', 'url': 'meta/model/Declared.type.html#container', 'doc': '<p>The container type of this model, or <code>null</code> if this is a toplevel model.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Declared', 'type': 'interface', 'url': 'meta/model/Declared.type.html', 'doc': '<p>A model element that has a declaration.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Functional.parameterTypes', 'type': 'value', 'url': 'meta/model/Functional.type.html#parameterTypes', 'doc': '<p>The parameter types</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Functional', 'type': 'interface', 'url': 'meta/model/Functional.type.html', 'doc': '<p>Abstraction for models which have a parameter list.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Attribute.declaration', 'type': 'value', 'url': 'meta/model/Attribute.type.html#declaration', 'doc': '<p>The declaration model of this attribute,\nwhich is necessarily a <code><a class=\'link\' href=\'meta/declaration/ValueDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::ValueDeclaration\'><span class=\'type-identifier\'>ValueDeclaration</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Attribute.bind', 'type': 'function', 'url': 'meta/model/Attribute.type.html#bind', 'doc': '<p>Binds this attribute to the given container instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Attribute', 'type': 'interface', 'url': 'meta/model/Attribute.type.html', 'doc': '<p>An attribute model represents the model of a Ceylon attribute that you can read and inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ClassOrInterface.declaration', 'type': 'value', 'url': 'meta/model/ClassOrInterface.type.html#declaration', 'doc': '<p>The declaration for this class or interface.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ClassOrInterface.extendedType', 'type': 'value', 'url': 'meta/model/ClassOrInterface.type.html#extendedType', 'doc': '<p>The extended closed type for this class or interface.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.satisfiedTypes', 'type': 'value', 'url': 'meta/model/ClassOrInterface.type.html#satisfiedTypes', 'doc': '<p>The list of closed types that this class or interface satisfies.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.caseValues', 'type': 'value', 'url': 'meta/model/ClassOrInterface.type.html#caseValues', 'doc': '<p>The list of case values for this type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getClassOrInterface', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getClassOrInterface', 'doc': '<p>Gets a member class or interface by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredClassOrInterface', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredClassOrInterface', 'doc': '<p>Gets a member class or interface by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getClass', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getClass', 'doc': '<p>Gets a member class by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredClass', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredClass', 'doc': '<p>Gets a member class by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getInterface', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getInterface', 'doc': '<p>Gets a member interface by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredInterface', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredInterface', 'doc': '<p>Gets a member interface by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getMethod', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getMethod', 'doc': '<p>Gets a method by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredMethod', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredMethod', 'doc': '<p>Gets a method by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getAttribute', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getAttribute', 'doc': '<p>Gets an attribute by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredAttribute', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredAttribute', 'doc': '<p>Gets an attribute by name.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredAttributes', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredAttributes', 'doc': '<p>Gets a list of attributes matching the given container and attribute type, annotated with all the\nspecified annotations…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getAttributes', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getAttributes', 'doc': '<p>Gets a list of attributes matching the given container and attribute type, annotated with all the\nspecified annotations…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredMethods', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredMethods', 'doc': '<p>Gets a list of methods matching the given container, return and parameter types, annotated with all the\nspecified…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getMethods', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getMethods', 'doc': '<p>Gets a list of methods matching the given container, return and parameter types, annotated with all the\nspecified…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredClasses', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredClasses', 'doc': '<p>Gets a list of member classes matching the given container, return and parameter types, annotated with all the…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getClasses', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getClasses', 'doc': '<p>Returns the list of shared member classes on this class or interface\nand annotated with all the specified annotations.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getDeclaredInterfaces', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getDeclaredInterfaces', 'doc': '<p>Returns the list of member interfaces directly declared on this class or interface\nand annotated with all the…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface.getInterfaces', 'type': 'function', 'url': 'meta/model/ClassOrInterface.type.html#getInterfaces', 'doc': '<p>Returns the list of shared member interfaces on this class or interface\nand annotated with all the specified…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassOrInterface', 'type': 'interface', 'url': 'meta/model/ClassOrInterface.type.html', 'doc': '<p>Model of a class or interface that you can inspect.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'InterfaceModel.declaration', 'type': 'value', 'url': 'meta/model/InterfaceModel.type.html#declaration', 'doc': '<p>The declaration model of this class,\nwhich is necessarily an <code><a class=\'link\' href=\'meta/declaration/InterfaceDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::InterfaceDeclaration\'><span class=\'type-identifier\'>InterfaceDeclaration</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'InterfaceModel', 'type': 'interface', 'url': 'meta/model/InterfaceModel.type.html', 'doc': '<p>An interface model represents the model of a Ceylon interface that you can inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'nothingType.union', 'type': 'function', 'url': 'meta/model/nothingType.object.html#union', 'doc': '<p>The union of this type with the other type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'nothingType.intersection', 'type': 'function', 'url': 'meta/model/nothingType.object.html#intersection', 'doc': '<p>The intersection of this type with the other type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'nothingType.string', 'type': 'attribute', 'url': 'meta/model/nothingType.object.html#string', 'doc': '<p>A developer-friendly string representing the instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'nothingType.typeOf', 'type': 'function', 'url': 'meta/model/nothingType.object.html#typeOf', 'doc': '<p>True if the given instance is of this type, or is of a subtype of this type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'nothingType.exactly', 'type': 'function', 'url': 'meta/model/nothingType.object.html#exactly', 'doc': '<p>True if the given type is a exactly this type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'nothingType.supertypeOf', 'type': 'function', 'url': 'meta/model/nothingType.object.html#supertypeOf', 'doc': '<p>True if this type is a supertype of the given type, or if both types are the same.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-impl']},
{'name': 'nothingType.subtypeOf', 'type': 'function', 'url': 'meta/model/nothingType.object.html#subtypeOf', 'doc': '<p>True if this type is a subtype of the given type, or if both types are the same.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-over']},
{'name': 'nothingType', 'type': 'object', 'url': 'meta/model/nothingType.object.html', 'doc': '<p>The singleton closed type for <a class=\'link-custom-text\' href=\'index.html#nothing\' title=\'Go to ceylon.language::nothing\'>Nothing</a>.</p>\n', 'tags': [],'icons': ['icon-object']},
{'name': 'nothingType', 'type': 'value', 'url': 'meta/model/index.html#nothingType', 'doc': '<p>The singleton closed type for <a class=\'link-custom-text\' href=\'index.html#nothing\' title=\'Go to ceylon.language::nothing\'>Nothing</a>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'MemberClassCallableConstructor.declaration', 'type': 'value', 'url': 'meta/model/MemberClassCallableConstructor.type.html#declaration', 'doc': '<p>This constructor\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassCallableConstructor.type', 'type': 'value', 'url': 'meta/model/MemberClassCallableConstructor.type.html#type', 'doc': '<p>This function\'s return closed type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassCallableConstructor.container', 'type': 'value', 'url': 'meta/model/MemberClassCallableConstructor.type.html#container', 'doc': '<p>The class containing this constructor; the type of instances produced\nby this constructor.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassCallableConstructor.bind', 'type': 'function', 'url': 'meta/model/MemberClassCallableConstructor.type.html#bind', 'doc': '<p>Type-unsafe container binding, to be used when the container type is unknown until runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClassCallableConstructor', 'type': 'interface', 'url': 'meta/model/MemberClassCallableConstructor.type.html', 'doc': '<p>A model for a callable constructor of a member class.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Interface', 'type': 'interface', 'url': 'meta/model/Interface.type.html', 'doc': '<p>An interface model that you can inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Applicable.apply', 'type': 'function', 'url': 'meta/model/Applicable.type.html#apply', 'doc': '<p>Type-unsafe application, to be used when the argument types are unknown until runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Applicable.namedApply', 'type': 'function', 'url': 'meta/model/Applicable.type.html#namedApply', 'doc': '<p>Type-unsafe application by name, to be used when the argument types are unknown until runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Applicable', 'type': 'interface', 'url': 'meta/model/Applicable.type.html', 'doc': '<p>Represents classes or functions that you can apply in a type-unsafe way.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ClassModel.declaration', 'type': 'value', 'url': 'meta/model/ClassModel.type.html#declaration', 'doc': '<p>The declaration model of this class,\nwhich is necessarily a <code><a class=\'link\' href=\'meta/declaration/ClassDeclaration.type.html\' title=\'Go to ceylon.language.meta.declaration::ClassDeclaration\'><span class=\'type-identifier\'>ClassDeclaration</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'ClassModel.defaultConstructor', 'type': 'value', 'url': 'meta/model/ClassModel.type.html#defaultConstructor', 'doc': '<p>A function model for this class\'s initializer or default constructor,\nor null if this class has constructors but lacks…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassModel.getConstructor', 'type': 'function', 'url': 'meta/model/ClassModel.type.html#getConstructor', 'doc': '<p>Looks up a constructor by name,\nReturns <code>null</code> if no such constructor matches.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassModel.getDeclaredConstructor', 'type': 'function', 'url': 'meta/model/ClassModel.type.html#getDeclaredConstructor', 'doc': '<p>Looks up a constructor by name,\nReturns <code>null</code> if no such constructor matches.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassModel.getDeclaredCallableConstructors', 'type': 'function', 'url': 'meta/model/ClassModel.type.html#getDeclaredCallableConstructors', 'doc': '<p>Returns the list of callable constructors directly declared on this class\nand annotated with all the specified…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassModel.getCallableConstructors', 'type': 'function', 'url': 'meta/model/ClassModel.type.html#getCallableConstructors', 'doc': '<p>Returns the list of shared callable constructors on this class\nand annotated with all the specified annotations.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassModel.getDeclaredValueConstructors', 'type': 'function', 'url': 'meta/model/ClassModel.type.html#getDeclaredValueConstructors', 'doc': '<p>Returns the list of value constructors directly declared on this class\nand annotated with all the specified…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassModel.getValueConstructors', 'type': 'function', 'url': 'meta/model/ClassModel.type.html#getValueConstructors', 'doc': '<p>Returns the list of shared value constructors on this class\nand annotated with all the specified annotations.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ClassModel', 'type': 'interface', 'url': 'meta/model/ClassModel.type.html', 'doc': '<p>A class model represents the model of a Ceylon class that you can inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'UnionType.caseTypes', 'type': 'value', 'url': 'meta/model/UnionType.type.html#caseTypes', 'doc': '<p>The list of closed case types of this union.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'UnionType', 'type': 'interface', 'url': 'meta/model/UnionType.type.html', 'doc': '<p>A closed union type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Gettable.get', 'type': 'function', 'url': 'meta/model/Gettable.type.html#get', 'doc': '<p>Reads the current value for this value binding.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Gettable.set', 'type': 'function', 'url': 'meta/model/Gettable.type.html#set', 'doc': '<p>Changes this variable\'s value to the given new value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Gettable.setIfAssignable', 'type': 'function', 'url': 'meta/model/Gettable.type.html#setIfAssignable', 'doc': '<p>Non type-safe equivalent to <a class=\'link\' href=\'meta/model/Gettable.type.html#set\' title=\'Go to ceylon.language.meta.model::Gettable.set\'><code><span class=\'type-identifier\'>Gettable</span>.<span class=\'identifier\'>set()</span></code></a>, to be used when you don\'t know the\nvariable type at compile-time.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Gettable', 'type': 'interface', 'url': 'meta/model/Gettable.type.html', 'doc': '<p>An abstraction of things that have a value which be <a class=\'link-custom-text\' href=\'meta/model/Gettable.type.html#get\' title=\'Go to ceylon.language.meta.model::Gettable.get\'>got</a>,\nand possibley set.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Function.declaration', 'type': 'value', 'url': 'meta/model/Function.type.html#declaration', 'doc': '<p>This function\'s declaration.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Function', 'type': 'interface', 'url': 'meta/model/Function.type.html', 'doc': '<p>A function model represents the model of a Ceylon function that you can invoke and inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Type.typeOf', 'type': 'function', 'url': 'meta/model/Type.type.html#typeOf', 'doc': '<p>True if the given instance is of this type, or is of a subtype of this type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Type.supertypeOf', 'type': 'function', 'url': 'meta/model/Type.type.html#supertypeOf', 'doc': '<p>True if this type is a supertype of the given type, or if both types are the same.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Type.subtypeOf', 'type': 'function', 'url': 'meta/model/Type.type.html#subtypeOf', 'doc': '<p>True if this type is a subtype of the given type, or if both types are the same.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'Type.exactly', 'type': 'function', 'url': 'meta/model/Type.type.html#exactly', 'doc': '<p>True if the given type is a exactly this type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Type.union', 'type': 'function', 'url': 'meta/model/Type.type.html#union', 'doc': '<p>The union of this type with the other type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Type.intersection', 'type': 'function', 'url': 'meta/model/Type.type.html#intersection', 'doc': '<p>The intersection of this type with the other type.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Type', 'type': 'interface', 'url': 'meta/model/Type.type.html', 'doc': '<p>A closed type.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'MemberClass.bind', 'type': 'function', 'url': 'meta/model/MemberClass.type.html#bind', 'doc': '<p>Type-unsafe container binding, to be used when the container type is unknown until runtime.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClass.defaultConstructor', 'type': 'value', 'url': 'meta/model/MemberClass.type.html#defaultConstructor', 'doc': '<p>A function model for this class\'s initializer or default constructor,\nor null if this class has constructors but lacks…</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClass.getConstructor', 'type': 'function', 'url': 'meta/model/MemberClass.type.html#getConstructor', 'doc': '<p>The constructor with the given name, or null if this class lacks\na constructor of the given name</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'MemberClass', 'type': 'interface', 'url': 'meta/model/MemberClass.type.html', 'doc': '<p>A class model represents the model of a Ceylon class that you can instantiate and inspect.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ceylon.language.serialization', 'type': 'package', 'url': 'serialization/index.html', 'doc': '<p>The Ceylon serialization infrastructure.</p>\n', 'tags': ['Serialization'],'icons': ['icon-package']},
{'name': 'serialization', 'type': 'function', 'url': 'serialization/index.html#serialization', 'doc': '<p>A new <code><a class=\'link\' href=\'serialization/SerializationContext.type.html\' title=\'Go to ceylon.language.serialization::SerializationContext\'><span class=\'type-identifier\'>SerializationContext</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'References.instance', 'type': 'value', 'url': 'serialization/References.type.html#instance', 'doc': '<p>The instance</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'References.references', 'type': 'value', 'url': 'serialization/References.type.html#references', 'doc': '<p>The references that are reachable from the <a class=\'link\' href=\'serialization/References.type.html#instance\' title=\'Go to ceylon.language.serialization::References.instance\'><code><span class=\'type-identifier\'>References</span>.<span class=\'identifier\'>instance</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'References', 'type': 'interface', 'url': 'serialization/References.type.html', 'doc': '<p>Exposes the instances directly reachable from a given instance.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'SerializationException', 'type': 'class', 'url': 'serialization/SerializationException.type.html', 'doc': '<p>Thrown to indicate an exception event during serialization</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'Element.index', 'type': 'value', 'url': 'serialization/Element.type.html#index', 'doc': '<p>The index of the element in the Array which makes the reference.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Element', 'type': 'interface', 'url': 'serialization/Element.type.html', 'doc': '<p>An <code><a class=\'link\' href=\'Array.type.html\' title=\'Go to ceylon.language::Array\'><span class=\'type-identifier\'>Array</span></a></code> instance referring to another instance via one\nof its elements.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Member.attribute', 'type': 'value', 'url': 'serialization/Member.type.html#attribute', 'doc': '<p>The attribute making the reference.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'Member.referred', 'type': 'function', 'url': 'serialization/Member.type.html#referred', 'doc': '<p>The <a class=\'link\' href=\'serialization/Member.type.html#referred\' title=\'Go to ceylon.language.serialization::Member.referred\'><code><span class=\'type-identifier\'>Member</span>.<span class=\'identifier\'>referred()</span></code></a> instance reachable from the given <a class=\'link\' href=\'serialization/Member.type.html#referred-instance\' title=\'Go to ceylon.language.serialization::Member.referred.instance\'><code><span class=\'identifier\'>instance</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Member', 'type': 'interface', 'url': 'serialization/Member.type.html', 'doc': '<p>An instance referring to another instance via a reference attribute.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'UninitializedLateValue', 'type': 'class', 'url': 'serialization/UninitializedLateValue.type.html', 'doc': '<p>The type of <a class=\'link\' href=\'serialization/index.html#uninitializedLateValue\' title=\'Go to ceylon.language.serialization::uninitializedLateValue\'><code><span class=\'identifier\'>uninitializedLateValue</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-class', 'icon-decoration-abstract', 'icon-decoration-enumerated']},
{'name': 'uninitializedLateValue', 'type': 'object', 'url': 'serialization/uninitializedLateValue.object.html', 'doc': '<p>A singleton used to indicate that a <code>late</code> <code><a class=\'link\' href=\'serialization/Member.type.html\' title=\'Go to ceylon.language.serialization::Member\'><span class=\'type-identifier\'>Member</span></a></code> of a particular\ninstance has not been initialized.</p>\n', 'tags': [],'icons': ['icon-object']},
{'name': 'uninitializedLateValue', 'type': 'value', 'url': 'serialization/index.html#uninitializedLateValue', 'doc': '<p>A singleton used to indicate that a <code>late</code> <code><a class=\'link\' href=\'serialization/Member.type.html\' title=\'Go to ceylon.language.serialization::Member\'><span class=\'type-identifier\'>Member</span></a></code> of a particular\ninstance has not been initialized.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'DeserializationContext.instance', 'type': 'function', 'url': 'serialization/DeserializationContext.type.html#instance', 'doc': '<p>The given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#instance-instanceId\' title=\'Go to ceylon.language.serialization::DeserializationContext.instance.instanceId\'><code><span class=\'identifier\'>instanceId</span></code></a> refers to an instance of the given class.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'DeserializationContext.memberInstance', 'type': 'function', 'url': 'serialization/DeserializationContext.type.html#memberInstance', 'doc': '<p>The given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#memberInstance-instanceId\' title=\'Go to ceylon.language.serialization::DeserializationContext.memberInstance.instanceId\'><code><span class=\'identifier\'>instanceId</span></code></a> is a member of the instance with the given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#memberInstance-containerId\' title=\'Go to ceylon.language.serialization::DeserializationContext.memberInstance.containerId\'><code><span class=\'identifier\'>containerId</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'DeserializationContext.attribute', 'type': 'function', 'url': 'serialization/DeserializationContext.type.html#attribute', 'doc': '<p>The value of the given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#attribute-attribute\' title=\'Go to ceylon.language.serialization::DeserializationContext.attribute.attribute\'><code><span class=\'identifier\'>attribute</span></code></a> of the instance with\nthe given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#attribute-instanceId\' title=\'Go to ceylon.language.serialization::DeserializationContext.attribute.instanceId\'><code><span class=\'identifier\'>instanceId</span></code></a> has given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#attribute-attributeValueId\' title=\'Go to ceylon.language.serialization::DeserializationContext.attribute.attributeValueId\'><code><span class=\'identifier\'>attributeValueId</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'DeserializationContext.element', 'type': 'function', 'url': 'serialization/DeserializationContext.type.html#element', 'doc': '<p>The value at the given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#element-index\' title=\'Go to ceylon.language.serialization::DeserializationContext.element.index\'><code><span class=\'identifier\'>index</span></code></a> of the <code><a class=\'link\' href=\'Array.type.html\' title=\'Go to ceylon.language::Array\'><span class=\'type-identifier\'>Array</span></a></code> instance with\nthe given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#element-instanceId\' title=\'Go to ceylon.language.serialization::DeserializationContext.element.instanceId\'><code><span class=\'identifier\'>instanceId</span></code></a> has given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#element-elementValueId\' title=\'Go to ceylon.language.serialization::DeserializationContext.element.elementValueId\'><code><span class=\'identifier\'>elementValueId</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'DeserializationContext.instanceValue', 'type': 'function', 'url': 'serialization/DeserializationContext.type.html#instanceValue', 'doc': '<p>The instance with the given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#instanceValue-instanceId\' title=\'Go to ceylon.language.serialization::DeserializationContext.instanceValue.instanceId\'><code><span class=\'identifier\'>instanceId</span></code></a> has the given value.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'DeserializationContext.reconstruct', 'type': 'function', 'url': 'serialization/DeserializationContext.type.html#reconstruct', 'doc': '<p>Get the instance with the given <a class=\'link\' href=\'serialization/DeserializationContext.type.html#reconstruct-instanceId\' title=\'Go to ceylon.language.serialization::DeserializationContext.reconstruct.instanceId\'><code><span class=\'identifier\'>instanceId</span></code></a> reconstructing it\nif necessary.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'DeserializationContext', 'type': 'interface', 'url': 'serialization/DeserializationContext.type.html', 'doc': '<p>A contract for identifying instances, specifying their classes, attributes,\nelements and values, and ultimately…</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'ReachableReference.referred', 'type': 'function', 'url': 'serialization/ReachableReference.type.html#referred', 'doc': '<p>The <a class=\'link\' href=\'serialization/ReachableReference.type.html#referred\' title=\'Go to ceylon.language.serialization::ReachableReference.referred\'><code><span class=\'type-identifier\'>ReachableReference</span>.<span class=\'identifier\'>referred()</span></code></a> instance reachable from the given <a class=\'link\' href=\'serialization/ReachableReference.type.html#referred-instance\' title=\'Go to ceylon.language.serialization::ReachableReference.referred.instance\'><code><span class=\'identifier\'>instance</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'ReachableReference', 'type': 'interface', 'url': 'serialization/ReachableReference.type.html', 'doc': '<p>A means via which one instance can refer to another.</p>\n', 'tags': [],'icons': ['icon-interface', 'icon-decoration-enumerated']},
{'name': 'SerializationContext.references', 'type': 'function', 'url': 'serialization/SerializationContext.type.html#references', 'doc': '<p>Obtain the references of the given instance.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal']},
{'name': 'SerializationContext', 'type': 'interface', 'url': 'serialization/SerializationContext.type.html', 'doc': '<p>A context representing serialization of many objects to a\nsingle output stream.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'Outer.referred', 'type': 'function', 'url': 'serialization/Outer.type.html#referred', 'doc': '<p>The outer instance of the given member <a class=\'link\' href=\'serialization/Outer.type.html#referred-instance\' title=\'Go to ceylon.language.serialization::Outer.referred.instance\'><code><span class=\'identifier\'>instance</span></code></a>.</p>\n', 'tags': [],'icons': ['icon-shared-member', 'icon-decoration-formal', 'icon-decoration-impl']},
{'name': 'Outer', 'type': 'interface', 'url': 'serialization/Outer.type.html', 'doc': '<p>A member instance referring to its outer instance.</p>\n', 'tags': [],'icons': ['icon-interface']},
{'name': 'DeserializationException', 'type': 'class', 'url': 'serialization/DeserializationException.type.html', 'doc': '<p>Thrown to indicate an exception event during deserialization</p>\n', 'tags': [],'icons': ['icon-class']},
{'name': 'deserialization', 'type': 'function', 'url': 'serialization/index.html#deserialization', 'doc': '<p>A new <code><a class=\'link\' href=\'serialization/DeserializationContext.type.html\' title=\'Go to ceylon.language.serialization::DeserializationContext\'><span class=\'type-identifier\'>DeserializationContext</span></a></code>.</p>\n', 'tags': [],'icons': ['icon-shared-member']},
{'name': 'ceylon.language', 'type': 'module', 'url': 'index.html', 'doc': '<p>The Ceylon language module containing the core definitions\nreferred to by the [language specification][spec], along…</p>\n', 'tags': [],'icons': ['icon-module']}];
var tagIndex = [
'Basic types',
'Collections',
'Comparisons',
'Environment',
'Functions',
'Metamodel',
'Numbers',
'Sequences',
'Streams',
'Strings'];
